﻿Copyright (c) (2015) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Clear Display /86100
INSTRUMENT:            Sub Stop /86100
INSTRUMENT:            Sub Run /86100
INSTRUMENT:            Sub Run Until /86100
INSTRUMENT:            Sub Single Acquisition /86100
INSTRUMENT:            Sub Digitize /86100
DATE:                  2016-06-02 10:21:08
AUTHOR:                Fluke
REVISION:              $Revision: 16154 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       7
NUMBER OF LINES:       156
CONFIGURatioN:         Agilent 86100
=============================================================================
#
#  Procedure Author:
#        DAC
#
#  Compatibility:
#        MET/CAL 7.2 or later
#
#  Subprocedures:
#        None
#
#  Required Files:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
#  Usage:
#
#  1.039  MATH         @86100_Measurement        = "RiseTime"
#  1.040  MATH         @86100_RunUntil           = "Waveforms"
#  1.041  MATH         @86100_NumberWaveforms    = "25"
#
#  1.049  CALL         Sub Clear Display /86100
#  1.050  CALL         Sub Run Until /86100
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  MATH         Debug = 0

  1.002  JMPL         CLEAR_DISPLAY                PSUBI("Clear Display")
  1.003  JMPL         STOP                         PSUBI("Stop")
  1.004  JMPL         RUN_UNTIL                    PSUBI("Run Until")
  1.005  JMPL         RUN                          PSUBI("Run")
  1.006  JMPL         SINGLE                       PSUBI("Single")
  1.007  JMPL         DIGITIZE                     PSUBI("Digitize")
  1.008  DISP         Subprocedure not found!
  1.009  END

  1.010  EVAL   Increment step number

# =====  Sub Clear Display /86100  ==========================================

  2.001  LABEL        CLEAR_DISPLAY
  2.002  SCPI         [@86100]CDIS
  2.003  END

  2.004  EVAL   Increment step number

# =====  Sub Stop /86100  ===================================================

  3.001  LABEL        STOP
  3.002  SCPI         [@86100]STOP
  3.003  END

  3.004  EVAL   Increment step number

# =====  Sub Run /86100  ====================================================

  4.001  LABEL        RUN
  4.002  SCPI         [@86100]RUN
  4.003  END

  4.004  EVAL   Increment step number

# =====  Sub Run Until /86100  ==============================================

  5.001  LABEL        RUN_UNTIL

  5.002  IF           ZCMPI(@86100_RunUntil, "Waveforms")
  5.003  MEM2         =ACQ:RUNT WAV,[V @86100_NumberWaveforms];:RUN
  5.004  ELSEIF       ZCMPI(@86100_RunUntil, "Samples")
  5.005  MEM2         =ACQ:RUNT SAMP,[V @86100_NumberSamples];:RUN
  5.006  ELSEIF       ZCMPI(@86100_RunUntil, "Patterns")
  5.007  MEM2         =ACQ:RUNT PATT,[V @86100_NumberPatterns];:RUN
  5.008  ELSE
  5.009  DISP         @86100_RunUntil must be one of:
  5.009  DISP         [32] "Waveforms"
  5.009  DISP         [32] "Samples"
  5.009  DISP         [32] "Patterns"
  5.010  END
  5.011  ENDIF

  5.012  SCPI         [@86100][T300000][MEM2]
  5.013  END

  5.014  EVAL   Increment step number

# =====  Sub Single /86100  =================================================

  6.001  LABEL        SINGLE
  6.002  SCPI         [@86100]SING
  6.003  END


  6.004  EVAL   Increment step number

# =====  Sub Digitize /86100  ===============================================

  7.001  LABEL        DIGITIZE
  7.002  MATH         Error = 0

  7.003  IF           FIND(@86100_Digitize, "Ch", 0)
  7.004  MATH         Param = "CHAN"; Prefix = "Ch"
  7.005  ELSEIF       FIND(@86100_Digitize, "Function", 0)
  7.006  MATH         Param = "FUNC"; Prefix = "Function"
  7.007  ELSEIF       FIND(@86100_Digitize, "Response", 0)
  7.008  MATH         Param = "RESP"; Prefix = "Response"
  7.009  ELSE
  7.010  MATH         Error = 1
  7.011  ENDIF

  7.012  IF           NOT(Error)
  7.013  MATH         N = SUB(@86100_Digitize, LEN(Prefix) + 1, 1)

  7.014  IF           NOT(IS_NUM(N))
  7.015  MATH         Error = 1
  7.016  ENDIF

  7.017  ENDIF

  7.018  IF           Error
  7.019  DISP         @86100_Digitize must be one of:
  7.019  DISP         [32] "Ch<N>"
  7.019  DISP         [32] "Function<N>"
  7.019  DISP         [32] "Response<N>"
  7.020  END
  7.021  ENDIF

  7.022  SCPI         [@86100][T300000]DIG [V Param][V N]
  7.023  END
