﻿Copyright (c) (2015) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Autoscale /86100
INSTRUMENT:            Sub Setup /86100
INSTRUMENT:            Sub Query Measurement /86100
INSTRUMENT:            Sub Get Average /86100
DATE:                  2016-08-09 17:21:26
AUTHOR:                Fluke
REVISION:              $Revision: 16740 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       4
NUMBER OF LINES:       667
CONFIGURATION:         Agilent 86100 Series
=============================================================================
#
#  Procedure Author:
#        DAC
#
#  Compatibility:
#        MET/CAL 7.2 or later
#
#  Subprocedures:
#        Sub Acquire Command /86100
#        Sub Channel Command /86100
#        Sub Function Command/86100
#        Sub Timebase Command/86100
#        Sub Trigger Command/86100
#
#  Required Files:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
#  Parameters                    Values
#  --------------------------    --------------------------------------------
#
#  @86100_LeftPluginModelNum     86101A | 86103A | 86105A | 86106A | 86109A |
#                                86112A | 86117A | 83484A
#  @86100_RightPluginModelNum    86101A | 86103A | 86105A | 86106A | 86109A |
#                                86112A | 86117A | 83484A
#
#  @86100_MeasurementSource      Ch<N> | Function<N> | Memory<N>
#
#  @86100_Measurement            DutyCycle | Frequency | Period | DeltaTime |
#                                RiseTime  | FallTime | Preshoot | Overshoot |
#                                PosPulseWidth | NegPulseWidth |
#                                Vampl | Vavg | Vbase | Vmax |
#                                Vmin  | Vpp  | Vrms  | Vtop
#
#  @86100_MeasurementThresholds  <NR1>%,<NR1>%,<NR1>% | <NR3>V,<NR3>V,<NR3>V
#
#  @86100_DeltaTimeDefinition    <start_edge_direction>,<start_edge_number>,
#                                <start_edge_position>,<stop_edge_direction>,
#                                <stop_edge_number>,<stop_edge_position>
#
#  @86100_AverageCount           <NR1> 0 (Off) or 1 to 4096
#
#  <N> is 1 to 4
#
#  @86100_Ch<N>_Attenuation      <NR3>,Ratio, where <NR3> is 100E-6 to 1E+6 or
#                                <NR3>,Decibel, where <NR3> is  -80 to 120
#  @86100_Ch<N>_BW               Low | Mid | High
#  @86100_Ch<N>_Display          On | Off
#  @86100_Ch<N>_Offset           <NR3>[][<prefix>]V
#  @86100_Ch<N>_Range            <NR3>[][<prefix>]V
#  @86100_Ch<N>_Scale            <NR3>[][<prefix>]V/div
#
#  @86100_Digitize               Ch<N> | Function<N> | Response<N>
#
#  @86100_Function<N>            Add | Differentiate | Invert | Magnify |
#                                Max | MIN | Multiply | Peeling | Subtract |
#                                Versus
#
#  @86100_F<N>_Display           ON | OFF
#
#  @86100_F1_Operand1            Ch<N> | Memory<N> | <NR3>
#  @86100_F1_Operand2            Ch<N> | Memory<N> | <NR3>
#
#  @86100_F2_Operand1            Ch<N> | Memory<N> | <NR3> | Function1
#  @86100_F2_Operand2            Ch<N> | Memory<N> | <NR3> | Function1
#
#  @86100_F3_Operand1            Ch<N> | Memory<N> | <NR3> | Function1 or 2
#  @86100_F3_Operand2            Ch<N> | Memory<N> | <NR3> | Function1 or 2
#
#  @86100_F4_Operand1            Ch<N> | Memory<N> | <NR3> | Function1 2, or 3
#  @86100_F4_Operand2            Ch<N> | Memory<N> | <NR3> | Function1 2, or 3
#
#  @86100_NumberSamples          <NR1>
#
#  @86100_NumberWAveforms        <NR1>
#
#  @86100_TimebaseDelay          <NR3>[][<prefix>]s
#  @86100_TimebaseOffset         <NR3>[][<prefix>]s
#  @86100_TimebasePosition       <NR3>[][<prefix>]s
#  @86100_TimebaseRange          <NR3>[][<prefix>]s
#  @86100_TimebaseRef            Left | Center
#  @86100_TimebaseScale          <NR3>[][<prefix>]s/div
#
#  @86100_TrigLevel              <NR3>[][<prefix>]V
#  @86100_TrigSlope              Pos | Neg
#  @86100_TrigSrc                FrontPanel | FreeRun |
#                                LeftModule | RightModule
#
#  Example Usage:
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON


  1.001  MATH         Debug = 0

  1.002  JMPL         AUTOSCALE                    PSUBI("Autoscale")
  1.003  JMPL         SETUP                        PSUBI("Setup")
  1.004  JMPL         QUERY_MEASUREMENT            PSUBI("Query Measurement")
  1.005  JMPL         GET_AVERAGE                  PSUBI("Get Average")
  1.006  DISP         Subprocedure not found!
  1.007  END

  1.008  EVAL   Increment step number

# =====  Sub Single /86100  =================================================

  2.001  LABEL        AUTOSCALE
  2.002  SCPI         [@86100]AUT
  2.003  END

  2.004  EVAL   Increment step number

# =====  Sub Setup /86100  ==================================================

  3.001  LABEL        SETUP
  3.002  MATH         @86100_Cmd = ""; @Error = 0

# -----  Setup acquisition.
  3.003  CALL         Sub Acquire Command /86100

  3.004  IF           @Error
  3.005  END
  3.006  ENDIF

  3.007  IF           NOT(EMPTY(@86100_AcquireCmd))

  3.008  IF           EMPTY(@86100_Cmd)
  3.009  MATH         @86100_Cmd = @86100_AcquireCmd
  3.010  ELSE
  3.011  MATH         @86100_Cmd = @86100_Cmd & ";:" & @86100_AcquireCmd
  3.012  ENDIF

  3.013  ENDIF

# -----  Setup thresholds.
  3.014  IF           NOT(EMPTY(@86100_MeasurementThresholds))
  3.015  CALL         Sub Thresholds Command /86100

  3.016  IF           @Error
  3.017  END
  3.018  ENDIF

  3.019  IF           EMPTY(@86100_Cmd)
  3.020  MATH         @86100_Cmd = @86100_ThresholdsCmd
  3.021  ELSE
  3.022  MATH         @86100_Cmd = @86100_Cmd & ";:" & @86100_ThresholdsCmd
  3.023  ENDIF

  3.024  ENDIF

# -----  Setup delta time defintion.
  3.025  IF           NOT(EMPTY(@86100_DeltaTimeDefinition))
  3.026  CALL         Sub Delta Time Definition Command /86100

  3.027  IF           @Error
  3.028  END
  3.029  ENDIF

  3.030  IF           EMPTY(@86100_Cmd)
  3.031  MATH         @86100_Cmd = @86100_DeltaTimeDefCmd
  3.032  ELSE
  3.033  MATH         @86100_Cmd = @86100_Cmd & ";:"
  3.034  MATH         @86100_Cmd = @86100_Cmd & @86100_DeltaTimeDefCmd
  3.035  ENDIF

  3.036  ENDIF

# -----  Setup channel 1.

  3.037  MATH         @86100_Ch          = 1
  3.038  MATH         @86100_Attenuation = @86100_Ch1_Attenuation
  3.039  MATH         @86100_BW          = @86100_Ch1_BW
  3.040  MATH         @86100_Display     = @86100_Ch1_Display
  3.041  MATH         @86100_Offset      = @86100_Ch1_Offset
  3.042  MATH         @86100_Range       = @86100_Ch1_Range
  3.043  MATH         @86100_Scale       = @86100_Ch1_Scale
  3.044  CALL         Sub Channel Command /86100

  3.045  IF           @Error
  3.046  END
  3.047  ENDIF

  3.048  IF           NOT(EMPTY(@86100_ChCmd))

  3.049  IF           EMPTY(@86100_Cmd)
  3.050  MATH         @86100_Cmd = @86100_ChCmd
  3.051  ELSE
  3.052  MATH         @86100_Cmd = @86100_Cmd & ";:" & @86100_ChCmd
  3.053  ENDIF

  3.054  ENDIF

# -----  Setup channel 2.

  3.055  MATH         @86100_Ch          = 2
  3.056  MATH         @86100_Attenuation = @86100_Ch2_Attenuation
  3.057  MATH         @86100_BW          = @86100_Ch2_BW
  3.058  MATH         @86100_Display     = @86100_Ch2_Display
  3.059  MATH         @86100_Offset      = @86100_Ch2_Offset
  3.060  MATH         @86100_Range       = @86100_Ch2_Range
  3.061  MATH         @86100_Scale       = @86100_Ch2_Scale
  3.062  CALL         Sub Channel Command /86100

  3.063  IF           @Error
  3.064  END
  3.065  ENDIF

  3.066  IF           NOT(EMPTY(@86100_ChCmd))

  3.067  IF           EMPTY(@86100_Cmd)
  3.068  MATH         @86100_Cmd = @86100_ChCmd
  3.069  ELSE
  3.070  MATH         @86100_Cmd = @86100_Cmd & ";:" & @86100_ChCmd
  3.071  ENDIF

  3.072  ENDIF

# -----  Setup channel 3.

  3.073  MATH         @86100_Ch          = 3
  3.074  MATH         @86100_Attenuation = @86100_Ch3_Attenuation
  3.075  MATH         @86100_BW          = @86100_Ch3_BW
  3.076  MATH         @86100_Display     = @86100_Ch3_Display
  3.077  MATH         @86100_Offset      = @86100_Ch3_Offset
  3.078  MATH         @86100_Range       = @86100_Ch3_Range
  3.079  MATH         @86100_Scale       = @86100_Ch3_Scale
  3.080  CALL         Sub Channel Command /86100

  3.081  IF           @Error
  3.082  END
  3.083  ENDIF

  3.084  IF           NOT(EMPTY(@86100_ChCmd))

  3.085  IF           EMPTY(@86100_Cmd)
  3.086  MATH         @86100_Cmd = @86100_ChCmd
  3.087  ELSE
  3.088  MATH         @86100_Cmd = @86100_Cmd & ";:" & @86100_ChCmd
  3.089  ENDIF

  3.090  ENDIF

# -----  Setup channel 4.

  3.091  MATH         @86100_Ch          = 4
  3.092  MATH         @86100_Attenuation = @86100_Ch4_Attenuation
  3.093  MATH         @86100_BW          = @86100_Ch4_BW
  3.094  MATH         @86100_Display     = @86100_Ch4_Display
  3.095  MATH         @86100_Offset      = @86100_Ch4_Offset
  3.096  MATH         @86100_Range       = @86100_Ch4_Range
  3.097  MATH         @86100_Scale       = @86100_Ch4_Scale
  3.098  CALL         Sub Channel Command /86100

  3.099  IF           @Error
  3.100  END
  3.101  ENDIF

  3.102  IF           NOT(EMPTY(@86100_ChCmd))

  3.103  IF           EMPTY(@86100_Cmd)
  3.104  MATH         @86100_Cmd = @86100_ChCmd
  3.105  ELSE
  3.106  MATH         @86100_Cmd = @86100_Cmd & ";:" & @86100_ChCmd
  3.107  ENDIF

  3.108  ENDIF

# -----  Setup timbase.
  3.109  CALL         Sub Timebase Command /86100

  3.110  IF           @Error
  3.111  END
  3.112  ENDIF

  3.113  IF           NOT(EMPTY(@86100_TimebaseCmd))

  3.114  IF           EMPTY(@86100_Cmd)
  3.115  MATH         @86100_Cmd = @86100_TimebaseCmd
  3.116  ELSE
  3.117  MATH         @86100_Cmd = @86100_Cmd & ";:" & @86100_TimebaseCmd
  3.118  ENDIF

  3.119  ENDIF

# -----  Setup trigger.
  3.120  CALL         Sub Trigger Command /86100

  3.121  IF           @Error
  3.122  END
  3.123  ENDIF

  3.124  IF           NOT(EMPTY(@86100_TriggerCmd))

  3.125  IF           EMPTY(@86100_Cmd)
  3.126  MATH         @86100_Cmd = @86100_TriggerCmd
  3.127  ELSE
  3.128  MATH         @86100_Cmd = @86100_Cmd & ";:" & @86100_TriggerCmd
  3.129  ENDIF

  3.130  ENDIF

# -----  Setup function 1.
  3.131  IF           NOT(EMPTY(@86100_Function1))
  3.132  MATH         @86100_FunctionNum = 1
  3.133  MATH         @86100_Function    = @86100_Function1
  3.134  MATH         @86100_Operand1    = @86100_F1_Operand1
  3.135  MATH         @86100_Operand2    = @86100_F1_Operand2
  3.136  MATH         @86100_Display     = @86100_F1_Display
  3.137  CALL         Sub Function Command /86100

  3.138  IF           @Error
  3.139  END
  3.140  ENDIF

  3.141  IF           EMPTY(@86100_Cmd)
  3.142  MATH         @86100_Cmd = @86100_FunctionCmd
  3.143  ELSE
  3.144  MATH         @86100_Cmd = @86100_Cmd & ";:" & @86100_FunctionCmd
  3.145  ENDIF

  3.146  ENDIF

# -----  Setup function 2.
  3.147  IF           NOT(EMPTY(@86100_Function2))
  3.148  MATH         @86100_FunctionNum = 2
  3.149  MATH         @86100_Function    = @86100_Function2
  3.150  MATH         @86100_Operand1    = @86100_F2_Operand1
  3.151  MATH         @86100_Operand2    = @86100_F2_Operand2
  3.152  MATH         @86100_Display     = @86100_F2_Display
  3.153  CALL         Sub Function Command /86100

  3.154  IF           @Error
  3.155  END
  3.156  ENDIF

  3.157  IF           EMPTY(@86100_Cmd)
  3.158  MATH         @86100_Cmd = @86100_FunctionCmd
  3.159  ELSE
  3.160  MATH         @86100_Cmd = @86100_Cmd & ";:" & @86100_FunctionCmd
  3.161  ENDIF

  3.162  ENDIF

# -----  Setup function 3.
  3.163  IF           NOT(EMPTY(@86100_Function3))
  3.164  MATH         @86100_FunctionNum = 3
  3.165  MATH         @86100_Function    = @86100_Function3
  3.166  MATH         @86100_Operand1    = @86100_F3_Operand1
  3.167  MATH         @86100_Operand2    = @86100_F3_Operand2
  3.168  MATH         @86100_Display     = @86100_F3_Display
  3.169  CALL         Sub Function Command /86100

  3.170  IF           @Error
  3.171  END
  3.172  ENDIF

  3.173  IF           EMPTY(@86100_Cmd)
  3.174  MATH         @86100_Cmd = @86100_FunctionCmd
  3.175  ELSE
  3.176  MATH         @86100_Cmd = @86100_Cmd & ";:" & @86100_FunctionCmd
  3.177  ENDIF

  3.178  ENDIF

# -----  Setup function 4.
  3.179  IF           NOT(EMPTY(@86100_Function4))
  3.180  MATH         @86100_FunctionNum = 4
  3.181  MATH         @86100_Function    = @86100_Function4
  3.182  MATH         @86100_Operand1    = @86100_F4_Operand1
  3.183  MATH         @86100_Operand2    = @86100_F4_Operand2
  3.184  MATH         @86100_Display     = @86100_F4_Display
  3.185  CALL         Sub Function Command /86100

  3.186  IF           @Error
  3.187  END
  3.188  ENDIF

  3.189  IF           EMPTY(@86100_Cmd)
  3.190  MATH         @86100_Cmd = @86100_FunctionCmd
  3.191  ELSE
  3.192  MATH         @86100_Cmd = @86100_Cmd & ";:" & @86100_FunctionCmd
  3.193  ENDIF

  3.194  ENDIF

# -----  Setup digitize
  3.195  IF           0

  3.196  IF           NOT(EMPTY(@86100_Digitize))
  3.197  MATH         Cmd = ""

  3.198  IF           ZCMPI(@86100_Function, "Add")
  3.199  MATH         Digitize = "ADD"
  3.200  ELSEIF       ZCMPI(@86100_Function, "Differentiate")
  3.201  MATH         Function = "DIFF"
  3.202  ELSEIF       ZCMPI(@86100_Function, "Invert")
  3.203  MATH         Function = "INV"
  3.204  ELSEIF       ZCMPI(@86100_Function, "Magnify")
  3.205  MATH         Function = "MAGN"
  3.206  ELSEIF       ZCMPI(@86100_Function, "Max")
  3.207  MATH         Function = "MAX"
  3.208  ELSEIF       ZCMPI(@86100_Function, "Min")
  3.209  MATH         Function = "MIN"
  3.210  ELSEIF       ZCMPI(@86100_Function, "Multiply")
  3.211  MATH         Function = "MULT"
  3.212  ELSEIF       ZCMPI(@86100_Function, "Peeling")
  3.213  MATH         Function = "PEEL"
  3.214  ELSEIF       ZCMPI(@86100_Function, "Subtract")
  3.215  MATH         Function = "SUB"
  3.216  ELSEIF       ZCMPI(@86100_Function, "Versus")
  3.217  MATH         Function = "SUB"
  3.218  ELSE
  3.219  DISP         @86100_Function[V @86100_FunctionNum] must be one of:
  3.219  DISP
  3.219  DISP         [32] Add |
  3.219  DISP         [32] Differentiate |
  3.219  DISP         [32] Invert |
  3.219  DISP         [32] Magnify |
  3.219  DISP         [32] Max |
  3.219  DISP         [32] Min |
  3.219  DISP         [32] Multiply |
  3.219  DISP         [32] Peeling |
  3.219  DISP         [32] Subtract |
  3.219  DISP         [32] Versus
  3.220  MATH         @Error = 1
  3.221  ENDIF

  3.222  MATH         Cmd = "FUNC" & @86100_FunctionNum & ":" & Function

  3.223  IF           NOT(EMPTY(@86100_Operand1))

  3.224  IF           ZCMPI(@86100_Operand1, "Ch1")
  3.225  MATH         Operand1 = "CHAN1"
  3.226  ELSEIF       ZCMPI(@86100_Operand1, "Ch2")
  3.227  MATH         Operand1 = "CHAN2"
  3.228  ELSEIF       ZCMPI(@86100_Operand1, "Ch3")
  3.229  MATH         Operand1 = "CHAN3"
  3.230  ELSEIF       ZCMPI(@86100_Operand1, "Ch4")
  3.231  MATH         Operand1 = "CHAN4"
  3.232  ELSEIF       ZCMPI(@86100_Operand1, "Function1")
  3.233  MATH         Operand1 = "FUNC1"
  3.234  ELSEIF       ZCMPI(@86100_Operand1, "Function2")
  3.235  MATH         Operand1 = "FUNC2"
  3.236  ELSEIF       ZCMPI(@86100_Operand1, "Function3")
  3.237  MATH         Operand1 = "FUNC3"
  3.238  ELSEIF       ZCMPI(@86100_Operand1, "Memory1")
  3.239  MATH         Operand1 = "MEM1"
  3.240  ELSEIF       ZCMPI(@86100_Operand1, "Memory2")
  3.241  MATH         Operand1 = "MEM2"
  3.242  ELSEIF       ZCMPI(@86100_Operand1, "Memory3")
  3.243  MATH         Operand1 = "MEM3"
  3.244  ELSEIF       ZCMPI(@86100_Operand1, "Memory4")
  3.245  MATH         Operand1 = "MEM4"
  3.246  ELSEIF       IS_NUM_LEAD(@86100_Operand1)
  3.247  MATH         Operand1 = BASE(@86100_Operand1)
  3.248  ELSE
  3.249  DISP         @86100_F[V @86100_FunctionNum]_Operand1 must be one of:
  3.249  DISP
  3.249  DISP         [32] Ch1 | Ch2 | Ch3 | Ch4
  3.249  DISP         [32] Function1 | Function2 | Function3
  3.249  DISP         [32] Memory1 | Memory2 | Memory3 | Memory4
  3.249  DISP         [32] <NR3>
  3.250  MATH         @Error = 1
  3.251  ENDIF

  3.252  MATH         Cmd = Cmd & " " & Operand1

  3.253  IF           NOT(EMPTY(@86100_Operand2))

  3.254  IF           ZCMPI(@86100_Operand2, "Ch1")
  3.255  MATH         Operand2 = "CHAN1"
  3.256  ELSEIF       ZCMPI(@86100_Operand2, "Ch2")
  3.257  MATH         Operand2 = "CHAN2"
  3.258  ELSEIF       ZCMPI(@86100_Operand2, "Ch3")
  3.259  MATH         Operand2 = "CHAN3"
  3.260  ELSEIF       ZCMPI(@86100_Operand2, "Ch4")
  3.261  MATH         Operand2 = "CHAN4"
  3.262  ELSEIF       ZCMPI(@86100_Operand2, "Function1")
  3.263  MATH         Operand2 = "FUNC1"
  3.264  ELSEIF       ZCMPI(@86100_Operand2, "Function2")
  3.265  MATH         Operand2 = "FUNC2"
  3.266  ELSEIF       ZCMPI(@86100_Operand2, "Function3")
  3.267  MATH         Operand2 = "FUNC3"
  3.268  ELSEIF       ZCMPI(@86100_Operand2, "Memory1")
  3.269  MATH         Operand2 = "MEM1"
  3.270  ELSEIF       ZCMPI(@86100_Operand2, "Memory2")
  3.271  MATH         Operand2 = "MEM2"
  3.272  ELSEIF       ZCMPI(@86100_Operand2, "Memory3")
  3.273  MATH         Operand2 = "MEM3"
  3.274  ELSEIF       ZCMPI(@86100_Operand2, "Memory4")
  3.275  MATH         Operand2 = "MEM4"
  3.276  ELSEIF       IS_NUM_LEAD(@86100_Operand2)
  3.277  MATH         Operand2 = BASE(@86100_Operand2)
  3.278  ELSE
  3.279  DISP         @86100_F[V @86100_FunctionNum]_Operand2 must be one of:
  3.279  DISP
  3.279  DISP         [32] Ch1 | Ch2 | Ch3 | Ch4
  3.279  DISP         [32] Function1 | Function2 | Function3
  3.279  DISP         [32] Memory1 | Memory2 | Memory3 | Memory4
  3.279  DISP         [32] <NR3>
  3.280  MATH         @Error = 1
  3.281  ENDIF

  3.282  MATH         Cmd = Cmd & "," & Operand2
  3.283  ENDIF

  3.284  IF           NOT(EMPTY(@86100_Display))

  3.285  IF           ZCMPI(@86100_Display, "On")
  3.286  MATH         Display = "ON"
  3.287  ELSEIF       ZCMPI(@86100_Display, "Off")
  3.288  MATH         Display = "OFF"
  3.289  ELSE
  3.290  DISP         @86100_F<N>_Display must be one of:
  3.290  DISP
  3.290  DISP         [32] On | Off
  3.291  MATH         @Error = 1
  3.292  ENDIF

  3.293  MATH         Cmd = Cmd & ";DISP " & Display
  3.294  ENDIF

  3.295  ENDIF

  3.296  IF           @Error
  3.297  END
  3.298  ENDIF

  3.299  ENDIF

  3.300  MATH         @86100_FunctionCmd = Cmd

  3.301  IF           Debug
  3.302  SCPI         [@86100][V @86100_FunctionCmd]
  3.303  ENDIF


  3.304  IF           @Error
  3.305  END
  3.306  ENDIF

  3.307  IF           EMPTY(@86100_Cmd)
  3.308  MATH         @86100_Cmd = @86100_FunctionCmd
  3.309  ELSE
  3.310  MATH         @86100_Cmd = @86100_Cmd & ";:" & @86100_FunctionCmd
  3.311  ENDIF

  3.312  ENDIF        ; IF 0

  3.313  IF           NOT(Debug)
  3.314  SCPI         [@86100][V @86100_Cmd]
  3.315  ENDIF

  3.316  END

  3.317  EVAL   Increment step number

# =====  Sub Query Measurement /86100  ======================================

  4.001  LABEL        QUERY_MEASUREMENT
  4.002  CALL         Sub Measure Query /86100

  4.003  IF           @Error
  4.004  END
  4.005  ENDIF

  4.006  SCPI         [@86100][V @86100_MeasureQuery][I$]

  4.007  IF           Debug
  4.008  DISP         [V @86100_MeasureQuery] returned:
  4.008  DISP
  4.008  DISP         "[MEM2]"
  4.009  ENDIF

  4.010  MATH         MEM = MEM2
  4.011  END

# =====     ============================================

#                                   NOTE
#
# This subprocedure assumes the 86100 measurement has been setup as:
#
#        SCPI         [@86100]ACQ:AVER OFF;COUN <average count>
#
# Return Format:
#   <label>,<current>,<result state>,<min>,<max>,<mean>,<std dev>,<# of meas>

  4.012  LABEL        GET_AVERAGE

  4.013  IF           EMPTY(@86100_MeasurementSource1)
  4.014  MATH         Source1 = "CHAN1"
  4.015  ELSE
  4.016  MATH         @86100_MeasurementSource = @86100_MeasurementSource1
  4.017  CALL         Sub Measurement Source /86100

  4.018  IF           @Error
  4.019  END
  4.020  ENDIF

  4.021  MATH         Source1 = @Source
  4.022  ENDIF

  4.023  MATH         Meas = @86100_Measurement & " " & Source1

  4.024  IF           ZCMPI(@86100_Measurement, "DeltaTime")

  4.025  IF           EMPTY(@86100_MeasurementSource2)
  4.026  MATH         Source2 = "CHAN1"
  4.027  ELSE
  4.028  MATH         @86100_MeasurementSource = @86100_MeasurementSource2
  4.029  CALL         Sub Measurement Source /86100

  4.030  IF           @Error
  4.031  END
  4.032  ENDIF

  4.033  MATH         Source2 = @Source
  4.034  ENDIF

  4.035  MATH         Meas = Meas & "," & Source2
  4.036  ENDIF

  4.037  SCPI         [@86100]ACQ:AVER ON;:DIG
  4.038  SCPI         [@86100]MEAS:CLE;[V Meas];SEND ON
  4.039  SCPI         [@86100]MEAS:RES?[I$]

  4.040  IF           ISVAR("@86100_CheckResultState")
  4.041  MATH         L[1] = @86100_CheckResultState
  4.042  ELSE
  4.043  MATH         L[1] = 1
  4.044  ENDIF

  4.045  IF           L[1]
  4.046  CALL         Sub Check Result State /86100
  4.047  ENDIF

  4.048  MATH         MEM = FLD(MEM2, 6, ",")

  4.049  SCPI         [@86100]MEAS:CLE
  4.050  END
