﻿Copyright (c) (2015) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Acquire Command /86100
INSTRUMENT:            Sub Channel Command /86100
INSTRUMENT:            Sub Function Command /86100
INSTRUMENT:            Sub Timebase Command /86100
INSTRUMENT:            Sub Trigger Command /86100
INSTRUMENT:            Sub Measure Query /86100
DATE:                  2016-08-09 14:23:18
AUTHOR:                Fluke
REVISION:              $Revision: 16624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       7
NUMBER OF LINES:       776
CONFIGURATION:         Agilent 86100 Series
=============================================================================
#
#  Procedure Author:
#        DAC
#
#  Compatibility:
#        MET/CAL 7.2 or later
#
#  Subprocedures:
#        None
#
#  Required Files:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  MATH         Debug = 0

  1.002  JMPL         ACQUIRE_COMMAND              PSUBI("Acquire Command")
  1.003  JMPL         CHANNEL_COMMAND              PSUBI("Channel Command")
  1.004  JMPL         FUNCTION_COMMAND             PSUBI("Function Command")
  1.005  JMPL         TIMEBASE_COMMAND             PSUBI("Timebase Command")
  1.006  JMPL         TRIGGER_COMMAND              PSUBI("Trigger Command")
  1.007  JMPL         MEASURE_QUERY                PSUBI("Measure Query")
  1.008  DISP         Subprocedure not found!
  1.009  END

  1.010  EVAL   Increment step number

# =====  Sub Setup Channel /86100  ==========================================

  2.001  LABEL        ACQUIRE_COMMAND
  2.002  MATH         Cmd = ""

# -----  Setup averaging.

  2.003  IF           EMPTY(@86100_AverageCount)
  2.004  MATH         State = "OFF"
  2.005  ELSE
  2.006  MATH         State = "ON"
  2.007  ENDIF

  2.008  MATH         AvgCmd = "AVER " & State

  2.009  IF           EMPTY(Cmd)
  2.010  MATH         Cmd = "ACQ" & ":"
  2.011  ELSE
  2.012  MATH         Cmd = Cmd & ";"
  2.013  ENDIF

  2.014  MATH         Cmd = Cmd & AvgCmd

  2.015  IF           NOT(EMPTY(@86100_AverageCount))
  2.016  MATH         Cnt = @86100_AverageCount

  2.017  IF           NOT(IS_NUM(Cnt))
  2.018  MATH         @Error = 1
  2.019  ELSEIF       (Cnt < 0) || (Cnt > 4096) || (INT(Cnt) != Cnt)
  2.020  MATH         @Error = 1
  2.021  ENDIF

  2.022  IF           @Error
  2.023  DISP         @86100_AverageCount must 0 (off) or 1 to 4096
  2.024  END
  2.025  ENDIF

  2.026  MATH         Cmd = Cmd & ";COUN " & @86100_AverageCount
  2.027  ENDIF

  2.028  MATH         @86100_AcquireCmd = Cmd

  2.029  IF           Debug && NOT(EMPTY(@86100_AcquireCmd))
  2.030  SCPI         [@86100][V @86100_AcquireCmd]
  2.031  ENDIF

  2.032  END

  2.033  EVAL   Increment step number

# =====  Sub Setup Channel /86100  ==========================================

  3.001  LABEL        CHANNEL_COMMAND
  3.002  MATH         Cmd = ""

# -----  Atenuation ---------------------------------------------------------
  3.003  IF           NOT(EMPTY(@86100_Attenuation))
  3.004  MATH         Attenuation = FLD(@86100_Attenuation, 1, ",")
  3.005  MATH         Type        = FLD(@86100_Attenuation, 2, ",")

  3.006  MATH         L[1] = IS_NUM(Attenuation)
  3.007  MATH         L[2] = ZCMPI(Type, "Ratio")
  3.008  MATH         L[3] = ZCMPI(Type, "Decibel")

  3.009  IF           NOT(L[1]) || NOT(L[2] || L[3])
  3.010  DISP         @86100_Ch[V @86100_Ch]_Attenuation must be one of:
  3.010  DISP
  3.010  DISP         [32] <NR3>,Ratio
  3.010  DISP         [32] <NR3>,Decibel
  3.011  MATH         @Error = 1
  3.012  END
  3.013  ENDIF

  3.014  IF           L[2]
  3.015  MATH         L[3] = 100E-6; L[4] = 1E+6
  3.016  ELSE
  3.017  MATH         L[3] = -80;    L[4] = 120
  3.018  ENDIF

  3.019  MATH         L[1] = Attenuation

  3.020  IF           (L[1] < L[3]) || (L[1] > L[4])
  3.021  MATH         Msg = "@86100_Ch" & @86100_Ch & "_Attenuation = "
  3.022  MATH         Msg = Msg & @86100_Attenuation & " is invalid."
  3.023  DISP         [V Msg]
  3.023  DISP
  3.023  DISP         Legal values are [L3] to [L4]
  3.024  MATH         @Error = 1
  3.025  END
  3.026  ENDIF

  3.027  IF           EMPTY(Cmd)
  3.028  MATH         Cmd = "CHAN" & @86100_Ch & ":"
  3.029  ELSE
  3.030  MATH         Cmd = Cmd & ";"
  3.031  ENDIF

  3.032  MATH         Cmd = Cmd & "PROB " & @86100_Attenuation
  3.033  ENDIF

# -----  Bandwidth ----------------------------------------------------------
  3.034  IF           NOT(EMPTY(@86100_BW))

  3.035  IF           ZCMPI(@86100_BW, "Low")
  3.036  MATH         BW = "LOW"
  3.037  ELSEIF       ZCMPI(@86100_BW, "Middle")
  3.038  MATH         BW = "MID"
  3.039  ELSEIF       ZCMPI(@86100_BW, "High")
  3.040  MATH         BW = "HIGH"
  3.041  ELSE
  3.042  DISP         @86100_Ch[V @86100_Ch]_BW must be one of:
  3.042  DISP
  3.042  DISP         [32] Low | Middle | High
  3.043  MATH         @Error = 1
  3.044  END
  3.045  ENDIF

  3.046  IF           EMPTY(Cmd)
  3.047  MATH         Cmd = "CHAN" & @86100_Ch & ":"
  3.048  ELSE
  3.049  MATH         Cmd = Cmd & ";"
  3.050  ENDIF

  3.051  MATH         Cmd = Cmd & "BAND " & BW
  3.052  ENDIF

# -----  Display ------------------------------------------------------------
  3.053  IF           NOT(EMPTY(@86100_Display))

  3.054  IF           ZCMPI(@86100_Display, "On")
  3.055  MATH         Display = "ON"
  3.056  ELSEIF       ZCMPI(@86100_Display, "Off")
  3.057  MATH         Display = "OFF"
  3.058  ELSE
  3.059  DISP         @86100_Ch[V @86100_Ch]_Display must be one of:
  3.059  DISP
  3.059  DISP         [32] On | Off
  3.060  MATH         @Error = 1
  3.061  END
  3.062  ENDIF

  3.063  IF           EMPTY(Cmd)
  3.064  MATH         Cmd = "CHAN" & @86100_Ch & ":"
  3.065  ELSE
  3.066  MATH         Cmd = Cmd & ";"
  3.067  ENDIF

  3.068  MATH         Cmd = Cmd & "DISP " & Display
  3.069  ENDIF

# -----  Offset  ------------------------------------------------------------
  3.070  IF           NOT(EMPTY(@86100_Offset))

  3.071  IF           NOT(IS_NUM_LEAD(@86100_Offset))
  3.072  DISP         @86100_Offset must be <value> [91]<prefix>[93]V.
  3.073  MATH         @Error = 1
  3.074  END
  3.075  ENDIF

  3.076  IF           EMPTY(Cmd)
  3.077  MATH         Cmd = "CHAN" & @86100_Ch & ":"
  3.078  ELSE
  3.079  MATH         Cmd = Cmd & ";"
  3.080  ENDIF

  3.081  MATH         Cmd = Cmd & "OFFS " & BASE(@86100_Offset)
  3.082  ENDIF

# -----  Range  -------------------------------------------------------------
  3.083  IF           NOT(EMPTY(@86100_Range))

  3.084  IF           NOT(IS_NUM_LEAD(@86100_Range))
  3.085  DISP         @86100_Range must be <value> [91]<prefix>[93]V.
  3.086  MATH         @Error = 1
  3.087  END
  3.088  ENDIF

  3.089  IF           EMPTY(Cmd)
  3.090  MATH         Cmd = "CHAN" & @86100_Ch & ":"
  3.091  ELSE
  3.092  MATH         Cmd = Cmd & ";"
  3.093  ENDIF

  3.094  MATH         Cmd = Cmd & "RANG " & BASE(@86100_Range)
  3.095  ENDIF

# -----  Scale  -------------------------------------------------------------
  3.096  IF           NOT(EMPTY(@86100_Scale))

  3.097  IF           NOT(IS_NUM_LEAD(@86100_Scale))
  3.098  DISP         @86100_Scale must be <value> [91]<prefix>[93]V/div.
  3.099  MATH         @Error = 1
  3.100  END
  3.101  ENDIF

  3.102  IF           EMPTY(Cmd)
  3.103  MATH         Cmd = "CHAN" & @86100_Ch & ":"
  3.104  ELSE
  3.105  MATH         Cmd = Cmd & ";"
  3.106  ENDIF

  3.107  MATH         Cmd = Cmd & "SCAL " & BASE(@86100_Scale)
  3.108  ENDIF

  3.109  MATH         @86100_ChCmd = Cmd

  3.110  IF           Debug && NOT(EMPTY(@86100_ChCmd))
  3.111  SCPI         [@86100][V @86100_ChCmd]
  3.112  ENDIF

  3.113  END

  3.114  EVAL   Increment step number

# =====  Sub Setup Function /86100  =========================================

  4.001  LABEL        FUNCTION_COMMAND
  4.002  MATH         Cmd = ""

  4.003  IF           NOT(EMPTY(@86100_Function))

  4.004  IF           ZCMPI(@86100_Function, "Add")
  4.005  MATH         Function = "ADD"
  4.006  ELSEIF       ZCMPI(@86100_Function, "Differentiate")
  4.007  MATH         Function = "DIFF"
  4.008  ELSEIF       ZCMPI(@86100_Function, "Invert")
  4.009  MATH         Function = "INV"
  4.010  ELSEIF       ZCMPI(@86100_Function, "Magnify")
  4.011  MATH         Function = "MAGN"
  4.012  ELSEIF       ZCMPI(@86100_Function, "Max")
  4.013  MATH         Function = "MAX"
  4.014  ELSEIF       ZCMPI(@86100_Function, "Min")
  4.015  MATH         Function = "MIN"
  4.016  ELSEIF       ZCMPI(@86100_Function, "Multiply")
  4.017  MATH         Function = "MULT"
  4.018  ELSEIF       ZCMPI(@86100_Function, "Peeling")
  4.019  MATH         Function = "PEEL"
  4.020  ELSEIF       ZCMPI(@86100_Function, "Subtract")
  4.021  MATH         Function = "SUB"
  4.022  ELSEIF       ZCMPI(@86100_Function, "Versus")
  4.023  MATH         Function = "SUB"
  4.024  ELSE
  4.025  DISP         @86100_Function[V @86100_FunctionNum] must be one of:
  4.025  DISP
  4.025  DISP         [32] Add |
  4.025  DISP         [32] Differentiate |
  4.025  DISP         [32] Invert |
  4.025  DISP         [32] Magnify |
  4.025  DISP         [32] Max |
  4.025  DISP         [32] Min |
  4.025  DISP         [32] Multiply |
  4.025  DISP         [32] Peeling |
  4.025  DISP         [32] Subtract |
  4.025  DISP         [32] Versus
  4.026  MATH         @Error = 1
  4.027  ENDIF

  4.028  MATH         Cmd = "FUNC" & @86100_FunctionNum & ":" & Function

  4.029  IF           NOT(EMPTY(@86100_Operand1))

  4.030  IF           ZCMPI(@86100_Operand1, "Ch1")
  4.031  MATH         Operand1 = "CHAN1"
  4.032  ELSEIF       ZCMPI(@86100_Operand1, "Ch2")
  4.033  MATH         Operand1 = "CHAN2"
  4.034  ELSEIF       ZCMPI(@86100_Operand1, "Ch3")
  4.035  MATH         Operand1 = "CHAN3"
  4.036  ELSEIF       ZCMPI(@86100_Operand1, "Ch4")
  4.037  MATH         Operand1 = "CHAN4"
  4.038  ELSEIF       ZCMPI(@86100_Operand1, "Function1")
  4.039  MATH         Operand1 = "FUNC1"
  4.040  ELSEIF       ZCMPI(@86100_Operand1, "Function2")
  4.041  MATH         Operand1 = "FUNC2"
  4.042  ELSEIF       ZCMPI(@86100_Operand1, "Function3")
  4.043  MATH         Operand1 = "FUNC3"
  4.044  ELSEIF       ZCMPI(@86100_Operand1, "Memory1")
  4.045  MATH         Operand1 = "MEM1"
  4.046  ELSEIF       ZCMPI(@86100_Operand1, "Memory2")
  4.047  MATH         Operand1 = "MEM2"
  4.048  ELSEIF       ZCMPI(@86100_Operand1, "Memory3")
  4.049  MATH         Operand1 = "MEM3"
  4.050  ELSEIF       ZCMPI(@86100_Operand1, "Memory4")
  4.051  MATH         Operand1 = "MEM4"
  4.052  ELSEIF       IS_NUM_LEAD(@86100_Operand1)
  4.053  MATH         Operand1 = BASE(@86100_Operand1)
  4.054  ELSE
  4.055  DISP         @86100_F[V @86100_FunctionNum]_Operand1 must be one of:
  4.055  DISP
  4.055  DISP         [32] Ch1 | Ch2 | Ch3 | Ch4
  4.055  DISP         [32] Function1 | Function2 | Function3
  4.055  DISP         [32] Memory1 | Memory2 | Memory3 | Memory4
  4.055  DISP         [32] <NR3>
  4.056  MATH         @Error = 1
  4.057  ENDIF

  4.058  MATH         Cmd = Cmd & " " & Operand1

  4.059  IF           NOT(EMPTY(@86100_Operand2))

  4.060  IF           ZCMPI(@86100_Operand2, "Ch1")
  4.061  MATH         Operand2 = "CHAN1"
  4.062  ELSEIF       ZCMPI(@86100_Operand2, "Ch2")
  4.063  MATH         Operand2 = "CHAN2"
  4.064  ELSEIF       ZCMPI(@86100_Operand2, "Ch3")
  4.065  MATH         Operand2 = "CHAN3"
  4.066  ELSEIF       ZCMPI(@86100_Operand2, "Ch4")
  4.067  MATH         Operand2 = "CHAN4"
  4.068  ELSEIF       ZCMPI(@86100_Operand2, "Function1")
  4.069  MATH         Operand2 = "FUNC1"
  4.070  ELSEIF       ZCMPI(@86100_Operand2, "Function2")
  4.071  MATH         Operand2 = "FUNC2"
  4.072  ELSEIF       ZCMPI(@86100_Operand2, "Function3")
  4.073  MATH         Operand2 = "FUNC3"
  4.074  ELSEIF       ZCMPI(@86100_Operand2, "Memory1")
  4.075  MATH         Operand2 = "MEM1"
  4.076  ELSEIF       ZCMPI(@86100_Operand2, "Memory2")
  4.077  MATH         Operand2 = "MEM2"
  4.078  ELSEIF       ZCMPI(@86100_Operand2, "Memory3")
  4.079  MATH         Operand2 = "MEM3"
  4.080  ELSEIF       ZCMPI(@86100_Operand2, "Memory4")
  4.081  MATH         Operand2 = "MEM4"
  4.082  ELSEIF       IS_NUM_LEAD(@86100_Operand2)
  4.083  MATH         Operand2 = BASE(@86100_Operand2)
  4.084  ELSE
  4.085  DISP         @86100_F[V @86100_FunctionNum]_Operand2 must be one of:
  4.085  DISP
  4.085  DISP         [32] Ch1 | Ch2 | Ch3 | Ch4
  4.085  DISP         [32] Function1 | Function2 | Function3
  4.085  DISP         [32] Memory1 | Memory2 | Memory3 | Memory4
  4.085  DISP         [32] <NR3>
  4.086  MATH         @Error = 1
  4.087  ENDIF

  4.088  MATH         Cmd = Cmd & "," & Operand2
  4.089  ENDIF

  4.090  IF           NOT(EMPTY(@86100_Display))

  4.091  IF           ZCMPI(@86100_Display, "On")
  4.092  MATH         Display = "ON"
  4.093  ELSEIF       ZCMPI(@86100_Display, "Off")
  4.094  MATH         Display = "OFF"
  4.095  ELSE
  4.096  DISP         @86100_F<N>_Display must be one of:
  4.096  DISP
  4.096  DISP         [32] On | Off
  4.097  MATH         @Error = 1
  4.098  ENDIF

  4.099  MATH         Cmd = Cmd & ";DISP " & Display
  4.100  ENDIF

  4.101  ENDIF

  4.102  IF           @Error
  4.103  END
  4.104  ENDIF

  4.105  ENDIF

  4.106  MATH         @86100_FunctionCmd = Cmd

  4.107  IF           Debug && NOT(EMPTY(@86100_FunctionCmd))
  4.108  SCPI         [@86100][V @86100_FunctionCmd]
  4.109  ENDIF

  4.110  END

  4.111  EVAL   Increment step number

# =====  Sub Setup Timebase /86100  =========================================

  5.001  LABEL        TIMEBASE_COMMAND
  5.002  MATH         Cmd = ""

# -----  Timebase Range  ----------------------------------------------------
  5.003  IF           NOT(EMPTY(@86100_TB_Range))

  5.004  IF           NOT(IS_NUM_LEAD(@86100_TB_Range))
  5.005  DISP         @86100_Offset must be <value> [91]<prefix>[93]s.
  5.006  MATH         @Error = 1
  5.007  END
  5.008  ENDIF

  5.009  IF           EMPTY(Cmd)
  5.010  MATH         Cmd = "TIM" & ":"
  5.011  ELSE
  5.012  MATH         Cmd = Cmd & ";"
  5.013  ENDIF

  5.014  MATH         Cmd = Cmd & "RANG " & BASE(@86100_TB_Range)
  5.015  ENDIF

# -----  Timebase Scale  ----------------------------------------------------
  5.016  IF           NOT(EMPTY(@86100_TB_Scale))

  5.017  IF           NOT(IS_NUM_LEAD(@86100_TB_Scale))
  5.018  DISP         @86100_TB_Scale must be:
  5.018  DISP         [32] <value> [91]<prefix>[93]s/div.
  5.019  MATH         @Error = 1
  5.020  END
  5.021  ENDIF

  5.022  IF           EMPTY(Cmd)
  5.023  MATH         Cmd = "TIM" & ":"
  5.024  ELSE
  5.025  MATH         Cmd = Cmd & ";"
  5.026  ENDIF

  5.027  MATH         Cmd = Cmd & "SCAL " & BASE(@86100_TB_Scale)
  5.028  ENDIF

# -----  Timebase Offset  ---------------------------------------------------
  5.029  IF           NOT(EMPTY(@86100_TB_Offset))

  5.030  IF           NOT(IS_NUM_LEAD(@86100_TB_Offset))
  5.031  DISP         @86100_Offset must be <value> [91]<prefix>[93]s.
  5.032  MATH         @Error = 1
  5.033  END
  5.034  ENDIF

  5.035  IF           EMPTY(Cmd)
  5.036  MATH         Cmd = "TIM" & ":"
  5.037  ELSE
  5.038  MATH         Cmd = Cmd & ";"
  5.039  ENDIF

  5.040  MATH         Cmd = Cmd & "OFFS " & BASE(@86100_TB_Offset)
  5.041  ENDIF

# -----  Timebase Reference -------------------------------------------------
  5.042  IF           NOT(EMPTY(@86100_TB_Reference))

  5.043  IF           ZCMPI(@86100_TB_Reference, "Left")
  5.044  MATH         Ref = "LEFT"
  5.045  ELSEIF       ZCMPI(@86100_TB_Reference, "Center")
  5.046  MATH         Ref = "CENTF"
  5.047  ELSE
  5.048  DISP         @86100_TB_Ref must be one of:
  5.048  DISP
  5.048  DISP         [32] Left | Center
  5.049  MATH         @Error = 1
  5.050  END
  5.051  ENDIF

  5.052  IF           EMPTY(Cmd)
  5.053  MATH         Cmd = "TIM" & ":"
  5.054  ELSE
  5.055  MATH         Cmd = Cmd & ";"
  5.056  ENDIF

  5.057  MATH         Cmd = Cmd & "REF " & Ref
  5.058  ENDIF

# -----  Timebase Position  -------------------------------------------------
  5.059  IF           NOT(EMPTY(@86100_TB_Position))

  5.060  IF           NOT(IS_NUM_LEAD(@86100_TB_Position))
  5.061  DISP         @86100_Offset must be <value> [91]<prefix>[93]s.
  5.062  MATH         @Error = 1
  5.063  END
  5.064  ENDIF

  5.065  IF           EMPTY(Cmd)
  5.066  MATH         Cmd = "TIM" & ":"
  5.067  ELSE
  5.068  MATH         Cmd = Cmd & ";"
  5.069  ENDIF

  5.070  MATH         Cmd = Cmd & "POS " & BASE(@86100_TB_Position)
  5.071  ENDIF

# -----  Timebase Delay  ----------------------------------------------------
  5.072  IF           NOT(EMPTY(@86100_TB_Delay))

  5.073  IF           NOT(IS_NUM_LEAD(@86100_TB_Delay))
  5.074  DISP         @86100_Offset must be <value> [91]<prefix>[93]s.
  5.075  MATH         @Error = 1
  5.076  END
  5.077  ENDIF

  5.078  IF           EMPTY(Cmd)
  5.079  MATH         Cmd = "TIM" & ":"
  5.080  ELSE
  5.081  MATH         Cmd = Cmd & ";"
  5.082  ENDIF

  5.083  MATH         Cmd = Cmd & "DEL " & BASE(@86100_TB_Delay)
  5.084  ENDIF

  5.085  MATH         @86100_TimebaseCmd = Cmd

  5.086  IF           Debug && NOT(EMPTY(@86100_TimebaseCmd))
  5.087  SCPI         [@86100][V @86100_TimebaseCmd]
  5.088  ENDIF

  5.089  END

  5.090  EVAL   Increment step number

# =====  Sub Setup Trigger /86100  ==========================================

  6.001  LABEL        TRIGGER_COMMAND
  6.002  MATH         Cmd = ""

# -----  Trigger Level  -----------------------------------------------------
  6.003  IF           NOT(EMPTY(@86100_TriggerLevel))

  6.004  IF           NOT(IS_NUM_LEAD(@86100_TriggerLevel))
  6.005  DISP         @86100_TriggerLevel must be an NR3 number.
  6.006  MATH         @Error = 1
  6.007  END
  6.008  ENDIF

  6.009  IF           EMPTY(Cmd)
  6.010  MATH         Cmd = "TRIG:"
  6.011  ELSE
  6.012  MATH         Cmd = Cmd & ";"
  6.013  ENDIF

  6.014  MATH         Cmd = Cmd & "LEV " & BASE(@86100_TriggerLevel)
  6.015  ENDIF

# -----  Trigger Slope  -----------------------------------------------------
  6.016  IF           NOT(EMPTY(@86100_TriggerSlope))

  6.017  IF           ZCMPI(@86100_TriggerSlope, "Pos")
  6.018  MATH         TriggerSlope = "POS"
  6.019  ELSEIF       ZCMPI(@86100_TriggerSlope, "Neg")
  6.020  MATH         TriggerSlope = "NEG"
  6.021  ELSE
  6.022  DISP         @86100_TriggerSlope must be one of:
  6.022  DISP
  6.022  DISP         [32] Pos | Neg
  6.023  MATH         @Error = 1
  6.024  END
  6.025  ENDIF

  6.026  IF           EMPTY(Cmd)
  6.027  MATH         Cmd = "TRIG:"
  6.028  ELSE
  6.029  MATH         Cmd = Cmd & ";"
  6.030  ENDIF

  6.031  MATH         Cmd = Cmd & "SLOP " & TriggerSlope
  6.032  ENDIF

# -----  Trigger Source  ----------------------------------------------------
  6.033  IF           NOT(EMPTY(@86100_TriggerSource))

  6.034  IF           ZCMPI(@86100_TriggerSource, "FrontPanel")
  6.035  MATH         TriggerSource = "FPAN"
  6.036  ELSEIF       ZCMPI(@86100_TriggerSource, "FreeRun")
  6.037  MATH         TriggerSource = "FRUN"
  6.038  ELSEIF       ZCMPI(@86100_TriggerSource, "LeftModule")
  6.039  MATH         TriggerSource = "LMOD"
  6.040  ELSEIF       ZCMPI(@86100_TriggerSource, "RightModule")
  6.041  MATH         TriggerSource = "RMOD"
  6.042  ELSE
  6.043  DISP         @86100_TriggerSource must be one of:
  6.043  DISP
  6.043  DISP         [32] FrontPanel | FreeRun | LeftModule | RightModule
  6.044  MATH         @Error = 1
  6.045  END
  6.046  ENDIF

  6.047  IF           EMPTY(Cmd)
  6.048  MATH         Cmd = "TRIG:"
  6.049  ELSE
  6.050  MATH         Cmd = Cmd & ";"
  6.051  ENDIF

  6.052  MATH         Cmd = Cmd & "SOUR " & TriggerSource
  6.053  ENDIF

  6.054  MATH         @86100_TriggerCmd = Cmd

  6.055  IF           Debug && NOT(EMPTY(@86100_TriggerCmd))
  6.056  SCPI         [@86100][V @86100_TriggerCmd]
  6.057  ENDIF

  6.058  END

  6.059  EVAL   Increment step number

# =====  Sub Measurement Query /86100  ======================================

  7.001  LABEL        MEASURE_QUERY

  7.002  IF           ZCMPI(@86100_Measurement, "DeltaTime")
  7.003  MATH         Measurement = "DELT"
  7.004  ELSEIF       ZCMPI(@86100_Measurement, "DutyCycle")
  7.005  MATH         Measurement = "DUTY"
  7.006  ELSEIF       ZCMPI(@86100_Measurement, "FallTime")
  7.007  MATH         Measurement = "FALL"
  7.008  ELSEIF       ZCMPI(@86100_Measurement, "Frequency")
  7.009  MATH         Measurement = "FREQ"
  7.010  ELSEIF       ZCMPI(@86100_Measurement, "NegPulseWidth")
  7.011  MATH         Measurement = "NWID"
  7.012  ELSEIF       ZCMPI(@86100_Measurement, "Overshoot")
  7.013  MATH         Measurement = "OVER"
  7.014  ELSEIF       ZCMPI(@86100_Measurement, "Period")
  7.015  MATH         Measurement = "PER"
  7.016  ELSEIF       ZCMPI(@86100_Measurement, "PosPulseWidth")
  7.017  MATH         Measurement = "PWID"
  7.018  ELSEIF       ZCMPI(@86100_Measurement, "Preshoot")
  7.019  MATH         Measurement = "PRES"
  7.020  ELSEIF       ZCMPI(@86100_Measurement, "RiseTime")
  7.021  MATH         Measurement = "RIS"
  7.022  ELSEIF       ZCMPI(@86100_Measurement, "Vampl")
  7.023  MATH         Measurement = "VAMP"
  7.024  ELSEIF       ZCMPI(@86100_Measurement, "Vavg")
  7.025  MATH         Measurement = "VAV"
  7.026  ELSEIF       ZCMPI(@86100_Measurement, "Vbase")
  7.027  MATH         Measurement = "VBAS"
  7.028  ELSEIF       ZCMPI(@86100_Measurement, "Vmax")
  7.029  MATH         Measurement = "VMAX"
  7.030  ELSEIF       ZCMPI(@86100_Measurement, "Vmin")
  7.031  MATH         Measurement = "VMIN"
  7.032  ELSEIF       ZCMPI(@86100_Measurement, "Vpp")
  7.033  MATH         Measurement = "VPP"
  7.034  ELSEIF       ZCMPI(@86100_Measurement, "Vrms")
  7.035  MATH         Measurement = "VRMS"
  7.036  ELSEIF       ZCMPI(@86100_Measurement, "Vtop")
  7.037  MATH         Measurement = "VTOP"
  7.038  ELSE
  7.039  DISP         @86100_Measurement must be one of:
  7.039  DISP
  7.039  DISP         [32] DutyCycle | Frequency | Period |
  7.039  DISP         [32] RiseTime | FallTime | DeltaTime
  7.039  DISP         [32] Preshoot | Overshoot |
  7.039  DISP         [32] PosPulseWidth | NegPulseWidth
  7.039  DISP         [32] Vampl | Vavg | Vbase | Vmax |
  7.039  DISP         [32] Vmin  |  Vpp | Vrms  | Vtop
  7.040  MATH         @Error = 1
  7.041  END
  7.042  ENDIF

  7.043  MATH         Query = "MEAS:" & Measurement & "? "

# MEASure:VAVerage {CYCLe|DISPlay},[<source>]
  7.044  IF           ZCMPI(@86100_Measurement, "Vavg")

  7.045  IF           ZCMPI(@86100_MeasurementOperand1, "Cycle")
  7.046  MATH         Operand1 = "CYCL"
  7.047  ELSEIF       ZCMPI(@86100_MeasurementOperand1, "Display")
  7.048  MATH         Operand1 = "DISP"
  7.049  ELSE
  7.050  DISP         @86100_MeasurementOperand1 must "Cycle" or "Display"
  7.050  DISP         when @86100_Measurement is "Vavg".
  7.051  MATH         @Error = 1
  7.052  END
  7.053  ENDIF

  7.054  MATH         Query = Query & Operand1 & ","

# MEASure:VRMS {CYCLe|DISPlay},{AC|DC},[<source>]
  7.055  ELSEIF       ZCMPI(@86100_Measurement, "Vrms")

  7.056  IF           ZCMPI(@86100_MeasurementOperand1, "Cycle")
  7.057  MATH         Operand1 = "CYCL"
  7.058  ELSEIF       ZCMPI(@86100_MeasurementOperand1, "Display")
  7.059  MATH         Operand1 = "DISP"
  7.060  ELSE
  7.061  DISP         @86100_MeasurementOperand1 must "Cycle" or "Display"
  7.061  DISP         when @86100_Measurement is "Vrms".
  7.062  MATH         @Error = 1
  7.063  END
  7.064  ENDIF

  7.065  IF           ZCMPI(@86100_MeasurementOperand2, "AC")
  7.066  MATH         Operand2 = "AC"
  7.067  ELSEIF       ZCMPI(@86100_MeasurementOperand2, "DC")
  7.068  MATH         Operand2 = "DC"
  7.069  ELSE
  7.070  DISP         @86100_MeasurementOperand2 must "AC" or "DC"
  7.070  DISP         when @86100_Measurement is "Vrms".
  7.071  MATH         @Error = 1
  7.072  END
  7.073  ENDIF

  7.074  MATH         Query = Query & Operand1 & "," & Operand2 & ","
  7.075  ENDIF        ; ZCMPI(Meas, "Vavg")

# Add [<source>]
  7.076  IF           EMPTY(@86100_MeasurementSource1)
  7.077  MATH         Source1 = "CHAN1"
  7.078  ELSE
  7.079  MATH         @86100_MeasurementSource = @86100_MeasurementSource1
  7.080  CALL         Sub Measurement Source /86100

  7.081  IF           @Error
  7.082  END
  7.083  ENDIF

  7.084  MATH         Source1 = @Source
  7.085  ENDIF

  7.086  MATH         Query = Query & Source1

# MEASure:DELTatime [<source>][,<source>]
  7.087  IF           ZCMPI(@86100_Measurement, "DeltaTime")

  7.088  IF           EMPTY(@86100_MeasurementSource2)
  7.089  MATH         Source2 = "CHAN1"
  7.090  ELSE
  7.091  MATH         @86100_MeasurementSource = @86100_MeasurementSource2
  7.092  CALL         Sub Measurement Source /86100

  7.093  IF           @Error
  7.094  END
  7.095  ENDIF

  7.096  MATH         Source2 = @Source
  7.097  ENDIF

  7.098  MATH         Query = Query & "," & Source2
  7.099  ENDIF

  7.100  MATH         @86100_MeasureQuery = Query
  7.101  END
