﻿© Fluke Corporation. All Rights Reserved.                   MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Connector Precautions (Type N)
INSTRUMENT:            Sub Connector Precautions (SMA)
INSTRUMENT:            Sub Connector Precautions (1.85 mm)
INSTRUMENT:            Sub Connector Precautions (2.4 mm)
INSTRUMENT:            Sub Connector Precautions (2.9 mm)
INSTRUMENT:            Sub Connector Precautions (3.5 mm)
DATE:                  2007-09-20
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       7
NUMBER OF LINES:       298
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Compatibility:
#        MET/CAL 7.20 or later
#
#  Subprocedures:
#        None
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         TYPE_N                       PSUBI("Type N")
  1.002  JMPL         SMA                          PSUBI("SMA")
  1.003  JMPL         1.85_mm                      PSUBI("1.85 mm")
  1.004  JMPL         2.4_mm                       PSUBI("2.4 mm")
  1.005  JMPL         2.9_mm                       PSUBI("2.9 mm")
  1.006  JMPL         3.5_mm                       PSUBI("3.5 mm")
  1.007  DISP         Called subprocedure not found!
  1.008  END

  1.009  EVAL   Increment step number

# ====== Sub Connector Precautions (Type N)  ===============================

  2.001  LABEL        TYPE_N

  2.002  HEAD         CONNECTION PRECAUTIONS: Type "N"
  2.003  DISP         Throughout the procedure, exercise care when making
  2.003  DISP         connections or disconnections. Tighten/loosen Type
  2.003  DISP         "N" connectors by turning the collar, NOT the body.
  2.003  DISP         Rotating the connector body will damage the center
  2.003  DISP         pin, causing potentially expensive repairs as well
  2.003  DISP         as seriously degrading measurement results.
  2.003  DISP
  2.003  DISP         Where possible, it is recommended a torque wrench,
  2.003  DISP         set to 136 N-cm (12 lb-in), is used when making
  2.003  DISP         connections.
  2.003  DISP
  2.003  DISP         If the connector collar does not have suitable flats
  2.003  DISP         to accomodate a torque wrench, the collar should be
  2.003  DISP         set to "finger tight."

  2.004  DISP         If the procedure requires the use of 75 Ohm Type "N"
  2.004  DISP         connectors, ensure no attempt is made to mate a 50 Ohm
  2.004  DISP         male connector with a 75 Ohm female connector. Doing
  2.004  DISP         so will DESTROY the center pin of the 75 Ohm female.

  2.005  END

  2.006  EVAL   Increment step number

# ====== Sub Connector Precautions (SMA)  ==================================

  3.001  LABEL        SMA

  3.002  HEAD         CONNECTION PRECAUTIONS: SMA
  3.003  DISP         Throughout the procedure, exercise extreme care during
  3.003  DISP         all connect/disconnect operations. Tighten/loosen all
  3.003  DISP         SMA connections by turning the collar, NOT the body.
  3.003  DISP         Rotating the connector body will damage the center pin,
  3.003  DISP         cause costly repairs, and seriously degrade measurement
  3.003  DISP         results.
  3.003  DISP
  3.003  DISP         A torque wrench, set to 56 N-cm (5 lb-in), must be used
  3.003  DISP         to correctly secure all SMA connections.

  3.004  DISP         Between SMA and similar precision connectors, e.g.,
  3.004  DISP         3.5 mm, there are significant differences of both a
  3.004  DISP         structural and dimensional nature. On the SMA, the
  3.004  DISP         entire length of the center conductor is supported
  3.004  DISP         by a plastic dielectric. On a precision connector,
  3.004  DISP         air separates the center and outer conductors; the
  3.004  DISP         male or female center conductor is supported by a
  3.004  DISP         plastic "bead" within the connector.
  3.004  DISP
  3.004  DISP         Though SMA connectors can safely mate with some other
  3.004  DISP         connector types, a worn or out-of-spec SMA connector
  3.004  DISP         can, on the very first mating, DESTROY the integrity
  3.004  DISP         of the other connector. For this reason, mating other
  3.004  DISP         connector types with SMA should be avoided, when
  3.004  DISP         possible.

  3.005  DISP         If mating an SMA with another connector type cannot
  3.005  DISP         be avoided, verify the mechanical dimensions of the
  3.005  DISP         SMA connector, particularly those of the male pin,
  3.005  DISP         are within all applicable specifications, prior to
  3.005  DISP         use. When mating, take care to ensure that the male
  3.005  DISP         connector is inserted straight-on, to avoid damage
  3.005  DISP         to the unsupported center pin of the other connector.
  3.005  DISP
  3.005  DISP         When mating SMA to other connectors, use the torque
  3.005  DISP         specification applicable to the male connector in the
  3.005  DISP         coupling. For example, when mating an SMA male to a
  3.005  DISP         3.5 mm female, the coupling must be torqued to SMA
  3.005  DISP         specification, i.e., 56 N-cm (5 lb-in). If mating a
  3.005  DISP         an SMA female to 3.5 male, the coupling nut must be
  3.005  DISP         torqued to the 3.5 mm specification, i.e., 90 N-cm
  3.005  DISP         (8 lb-in).

  3.006  END

  3.007  EVAL   Increment step number

# ====== Sub Connector Precautions (1.85 mm) ===============================

  4.001  LABEL        1.85_mm

  4.002  HEAD         CONNECTION PRECAUTIONS: 1.85 mm
  4.003  DISP         Throughout the procedure, exercise extreme care during
  4.003  DISP         all connect/disconnect operations. Tighten/loosen all
  4.003  DISP         1.85 mm connections by turning the collar, NOT the body.
  4.003  DISP         Rotating the connector body will damage the center pin,
  4.003  DISP         cause costly repairs, and seriously degrade measurement
  4.003  DISP         results.
  4.003  DISP
  4.003  DISP         A torque wrench, set to 90 N-cm (8 lb-in), must be used
  4.003  DISP         to correctly secure all 1.85 mm connections.

  4.004  DISP         To achieve optimum results, ensure 1.85 mm connectors
  4.004  DISP         are always mated with another of the same type.
  4.004  DISP
  4.004  DISP         Though 1.85 mm connectors can safely mate with 2.4 mm
  4.004  DISP         connectors, the upper frequency limit of such mating
  4.004  DISP         is 50 GHz, rather than the typical 65 GHz limit when
  4.004  DISP         1.85 mm are mated with one another.
  4.004  DISP
  4.004  DISP         Attempting to mate 1.85 mm connectors with SMA, 3.5 mm,
  4.004  DISP         or 2.9 mm connectors will PERMANENTLY DAMAGE the
  4.004  DISP         connector, DESTROYING its integrity.

  4.005  DISP         The 1.85 mm and Anritsu/Wiltron "V" connector may be
  4.005  DISP         used interchangeably and can be safely mated with one
  4.005  DISP         another with a negligible loss of performance.

  4.006  END

  4.007  EVAL   Increment step number

# ====== Sub Connector Precautions (2.4 mm) ================================

  5.001  LABEL        2.4_mm

  5.002  HEAD         CONNECTION PRECAUTIONS: 2.4 mm
  5.003  DISP         Throughout the procedure, exercise extreme care during
  5.003  DISP         all connect/disconnect operations. Tighten/loosen all
  5.003  DISP         2.4 mm connections by turning the collar, NOT the body.
  5.003  DISP         Rotating the connector body will damage the center pin,
  5.003  DISP         cause costly repairs, and seriously degrade measurement
  5.003  DISP         results.
  5.003  DISP
  5.003  DISP         A torque wrench, set to 90 N-cm (8 lb-in), must be used
  5.003  DISP         to correctly secure all 2.4 mm connections.

  5.004  DISP         To achieve optimum results, ensure 2.4 mm connectors
  5.004  DISP         are always mated with another of the same type.
  5.004  DISP
  5.004  DISP         Attempting to mate 2.4 mm connectors with SMA, 3.5 mm,
  5.004  DISP         or 2.9 mm connectors will PERMANENTLY DAMAGE the
  5.004  DISP         connector, DESTROYING its integrity.

  5.005  DISP         The 2.4 mm connector can be safely mated with 1.85 mm
  5.005  DISP         and Anritsu/Wiltron "V" connectors.

  5.006  END

  5.007  EVAL   Increment step number

# ====== Sub Connector Precautions (2.9 mm) ================================

  6.001  LABEL        2.9_mm

  6.002  HEAD         CONNECTION PRECAUTIONS: 2.9 mm
  6.003  DISP         Throughout the procedure, exercise extreme care during
  6.003  DISP         all connect/disconnect operations. Tighten/loosen all
  6.003  DISP         2.9 mm connections by turning the collar, NOT the body.
  6.003  DISP         Rotating the connector body will damage the center pin,
  6.003  DISP         cause costly repairs, and seriously degrade measurement
  6.003  DISP         results.
  6.003  DISP
  6.003  DISP         A torque wrench, set to 90 N-cm (8 lb-in), must be used
  6.003  DISP         to correctly secure all 2.9 mm connections.

  6.004  DISP         To achieve optimum results, ensure 2.9 mm connectors
  6.004  DISP         are always mated with another of the same type.
  6.004  DISP
  6.004  DISP         Though 2.9 mm connectors can safely mate with some SMA
  6.004  DISP         connectors, a worn or out-of-spec SMA connector can,
  6.004  DISP         on the very first mating, DESTROY the integrity of the
  6.004  DISP         2.9 mm connector. Therefore, the mating of a 2.9 mm
  6.004  DISP         connector with an SMA connector should be avoided,
  6.004  DISP         whenever possible.

  6.005  DISP         If mating with an SMA connector cannot be avoided,
  6.005  DISP         verify the mechanical dimensions of the SMA connector
  6.005  DISP         are within industry standards, particularly the SMA
  6.005  DISP         connector's male pin dimensions, prior to attempting
  6.005  DISP         any 2.9 mm to SMA mating operation. When mating, ensure
  6.005  DISP         the male connector is inserted straight-on, to avoid
  6.005  DISP         damaging the unsupported center pin of the 2.9 mm
  6.005  DISP         connector.
  6.005  DISP
  6.005  DISP         Attempting to mate 2.9 mm connectors with some SMA,
  6.005  DISP         or with 2.4 mm or 1.85 mm connectors will PERMANENTLY
  6.005  DISP         DAMAGE one of the connectors on the very first mating.

  6.006  DISP         The 2.9 mm, HP (Agilent) 2.92 mm, and Anritsu/Wiltron
  6.006  DISP         "K" type (sometimes referred to as "precision SMA")
  6.006  DISP         connectors may be used interchangeably and can be
  6.006  DISP         safely mated with one another. The 2.9 mm may also be
  6.006  DISP         safely mated with the 3.5 mm and Wiltron SMA, with a
  6.006  DISP         reduced upper frequency limit (~34 GHz).

  6.007  END

  6.008  EVAL   Increment step number

# ====== Sub Connection Precautions (3.5 mm) ===============================

  7.001  LABEL        3.5_mm

  7.002  HEAD         CONNECTION PRECAUTIONS: 3.5 mm (APC-3.5)
  7.003  DISP         Throughout the procedure, exercise extreme care during
  7.003  DISP         all connect/disconnect operations. Tighten/loosen all
  7.003  DISP         3.5 mm connections by turning the collar, NOT the body.
  7.003  DISP         Rotating the connector body will damage the center pin,
  7.003  DISP         cause costly repairs, and seriously degrade measurement
  7.003  DISP         results.
  7.003  DISP
  7.003  DISP         A torque wrench, set to 90 N-cm (8 lb-in), must be used
  7.003  DISP         to correctly secure all 3.5 mm connections.

  7.004  DISP         To achieve optimum results, ensure 3.5 mm connectors
  7.004  DISP         are always mated with another of the same type.
  7.004  DISP
  7.004  DISP         Though 3.5 mm connectors can safely mate with some SMA
  7.004  DISP         connectors, a worn or out-of-spec SMA connector can,
  7.004  DISP         on the very first mating, DESTROY the integrity of the
  7.004  DISP         3.5 mm connector. For this reason, mating 3.5 mm with
  7.004  DISP         SMA connectors should be avoided, whenever possible.

  7.005  DISP         If mating with an SMA connector cannot be avoided,
  7.005  DISP         verify the mechanical dimensions of the SMA connector
  7.005  DISP         are within industry standards, particularly the SMA
  7.005  DISP         connector's male pin dimensions, prior to attempting
  7.005  DISP         any SMA to 3.5 mm mating operation. Ensure that when
  7.005  DISP         mating, the male is inserted straight-on, to avoid
  7.005  DISP         damaging the unsupported center pin of the 3.5 mm.
  7.005  DISP
  7.005  DISP         When mating 3.5 mm and SMA connectors, use the torque
  7.005  DISP         specification applicable to the male connector in the
  7.005  DISP         coupling. For example, when mating a 3.5 mm female to
  7.005  DISP         an SMA male, the coupling must be torqued to the SMA
  7.005  DISP         (lower) specification, i.e., 56 N-cm (5 lb-in).
  7.005  DISP
  7.005  DISP         Note that when mating a 3.5 mm connector with an SMA,
  7.005  DISP         a continuity mismatch (SWR) of approximately 1.10 at
  7.005  DISP         20 GHz will exist at the connection and may need to
  7.005  DISP         be accounted for.

  7.006  DISP         The 3.5 mm and Wiltron SMA (WSMA) are very similar and
  7.006  DISP         can be safely mated with good performance to ~34 GHz,
  7.006  DISP         typically. The 3.5 mm may also be mated safely with
  7.006  DISP         2.9 mm and Anritsu/Wiltron "K" types, achieving similar
  7.006  DISP         performance.

  7.007  END
