﻿© 2010 Fluke Corporation, All rights reserved               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub MG369XB (2 yr) Freq Modulation /8560,FGEN
DATE:                  2010-02-10 07:25:21
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       17
NUMBER OF LINES:       389
CONFIGURATION:         HP 8560
CONFIGURATION:         Function Generator
=============================================================================
#
#  Procedure Author:
#        DAC
#
#  Model(s) Covered:
#        MG369XB
#
#  Compatibility:
#        MET/CAL 7.20E or later
#
#  Subprocedures:
#        Sub MG369XB (2 yr) FM Flatness /8560,FGEN
#        Sub MG369XB (2 yr) PM Flatness /8560,FGEN
#        Sub MG369XB Mod Index /8560
#        Sub MG369XB Reset & SRQ Masks
#        Sub MG369XB Connection /856
#        Sub Reset /FGEN
#        Sub Apply /FGEN
#
#  Required Files:
#        MG369XB_8560_fgen_K.jpg
#        MG369XB_8560_fgen_V.jpg
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           0
  1.002  8560         *                                                 S
  1.003  IEEE         [@FGEN]
  1.004  ENDIF

  1.005  MATH         @FGEN_Waveform = "Sine"
  1.006  MATH         @FGEN_Imp      = "50Ohm"
  1.007  MATH         @FGEN_Ampl     = "2.0Vpp"

  1.008  RSLT         =
  1.009  HEAD         {FREQUENCY MODULATION TESTS}
  1.010  MATH         @ConstantA = 1
  1.011  MATH         @FGEN_Freq = "99.8kHz"

  1.012  M8560  SPAN  10kH
  1.013  M8560  SCALE 2dB
  1.014  M8560  RESBW 3kH
  1.015  M8560  ATTEN 10dB

  1.016  RSLT         =
  1.017  HEAD         -2{ Locked External FM Accuracy (99.8 kHz)}
  1.018  MATH         @CmdModOff = "FM0"
  1.019  MATH         @CmdModOn  = "FML"
  1.020  MATH         @FreqGHz   = 5
  1.021  M8560  VIDBW 100H                                              X
  1.022  TARGET       -p
  1.023  CALL         Sub MG369XB Reset & SRQ Masks
  1.024  CALL         Sub Reset /FGEN
  1.025  CALL         Sub MG369XB FM PM Connection /8560,FGEN
  1.026  TSET         TDESC = 5 GHz
  1.027  CALL         Sub Apply /FGEN
# CF15GH (5 GHz)
# FMS99.8KV (Sensitivity 99.8 kHz/V)
# RF1 (Output On)
  1.028  IEEE         CF15GHFMS99.8KVRF1
  1.029  TARGET       -m
  1.030  CALL         Sub MG369XB Mod Index /8560
  1.031  MATH         MEM = @ModIndex * 99.8
  1.032  ACC    99.8  kHz            1.5%
  1.033  MEMC         99.8kHz        10%           5GH

  2.001  IF           @MaxFreq >= 20E+9

  2.002  IF           @856x_MaxFreq < 20.0E+9
  2.003  RSLT         = 20.0 GHz not tested!
  2.004  ELSE
  2.005  MATH         @FreqGHz = 20
  2.006  M8560  VIDBW 30H                                               X
  2.007  TARGET       -p
  2.008  TSET         TDESC = 20 GHz
  2.009  CALL         Sub Apply /FGEN
  2.010  IEEE         CF120GHFMS99.8KVRF1[D500]CF12.3GH[D500]CF120GH
  2.011  TARGET       -m
  2.012  CALL         Sub MG369XB Mod Index /8560
  2.013  MATH         MEM = @ModIndex * 99.8
  2.014  ACC    99.8  kHz            1.5%
  2.015  MEMC         99.8kHz        10%           20GH
  3.001  ENDIF

  3.002  ENDIF

  3.003  RSLT         =
  3.004  HEAD         -2{ Locked Low-Noise External FM Accuracy (99.8 kHz)}
  3.005  MATH         @CmdModOn = "FM2"
  3.006  MATH         @FreqGHz  = 5
  3.007  M8560  VIDBW 100H                                              X
  3.008  TARGET       -p
  3.009  TSET         TDESC = 5 GHz
  3.010  CALL         Sub Apply /FGEN
  3.011  IEEE         CF15GHFMS99.8KVRF1
  3.012  TARGET       -m
  3.013  CALL         Sub MG369XB Mod Index /8560
  3.014  MATH         MEM = @ModIndex * 99.8
  3.015  ACC    99.8  kHz            1.5%
  3.016  MEMC         99.8kHz        10%           5GH

  4.001  IF           @MaxFreq >= 20E+9

  4.002  IF           @856x_MaxFreq < 20.0E+9
  4.003  RSLT         = 20.0 GHz not tested!
  4.004  ELSE
  4.005  MATH         @FreqGHz = 20
  4.006  M8560  VIDBW 30H                                               X
  4.007  TARGET       -p
  4.008  TSET         TDESC = 20 GHz
  4.009  CALL         Sub Apply /FGEN
  4.010  IEEE         CF120GHFMS99.8KVRF1[D500]CF12.3GH[D500]CF120GH
  4.011  TARGET       -m
  4.012  CALL         Sub MG369XB Mod Index /8560
  4.013  MATH         MEM = @ModIndex * 99.8
  4.014  ACC    99.8  kHz            1.5%
  4.015  MEMC         99.8kHz        10%           20GH
  5.001  ENDIF

  5.002  ENDIF

  5.003  CALL         Sub Reset /FGEN
  5.004  CALL         Sub MG369XB Reset & SRQ Masks

# Internal LF Generator
  5.005  IF           @Opt_23
  5.006  RSLT         =
  5.007  HEAD         -2{ Locked Internal FM Accuracy (99.8 kHz)}
  5.008  MATH         @CmdModOn = "FM9"
  5.009  MATH         @FreqGHz  = 5
  5.010  M8560  VIDBW 100H                                              X
  5.011  TARGET       -p
  5.012  TSET         TDESC = 5 GHz
# FMR99.8KH (FM Rate 99.8 kHz)
# FDV99.8KH (FM Deviation 99.8 kHz)
  5.013  IEEE         CF15GHFMR99.8KHFDV99.8KHRF1
  5.014  TARGET       -m
  5.015  CALL         Sub MG369XB Mod Index /8560
  5.016  MATH         MEM = @ModIndex * 99.8
  5.017  ACC    99.8  kHz            1.5%
  5.018  MEMC         99.8kHz        10%           5GH

  6.001  IF           @MaxFreq >= 20E+9

  6.002  IF           @856x_MaxFreq < 20.0E+9
  6.003  RSLT         = 20.0 GHz not tested!
  6.004  ELSE
  6.005  MATH         @FreqGHz = 20
  6.006  M8560  VIDBW 30H                                               X
  6.007  TARGET       -p
  6.008  TSET         TDESC = 20 GHz
  6.009  IEEE         CF120GHFMR99.8KHFDV99.8KHRF1[D500]CF12.3GH[D500]CF120GH
  6.010  TARGET       -m
  6.011  CALL         Sub MG369XB Mod Index /8560
  6.012  MATH         MEM = @ModIndex * 99.8
  6.013  ACC    99.8  kHz            1.5%
  6.014  MEMC         99.8kHz        10%           20GH
  7.001  ENDIF

  7.002  ENDIF

  7.003  RSLT         =
  7.004  HEAD         -2{ Locked Low-Noise Internal FM Accuracy (99.8 kHz)}
  7.005  MATH         @CmdModOn = "FMN"
  7.006  MATH         @FreqGHz  = 5
  7.007  M8560  VIDBW 100H                                              X
  7.008  TARGET       -p
  7.009  TSET         TDESC = 5 GHz
  7.010  IEEE         CF15GHFMR99.8KHFDV99.8KHRF1
  7.011  TARGET       -m
  7.012  CALL         Sub MG369XB Mod Index /8560
  7.013  MATH         MEM = @ModIndex * 99.8
  7.014  ACC    99.8  kHz            1.5%
  7.015  MEMC         99.8kHz        10%           5GH

  8.001  IF           @MaxFreq >= 20E+9

  8.002  IF           @856x_MaxFreq < 20.0E+9
  8.003  RSLT         = 20.0 GHz not tested!
  8.004  ELSE
  8.005  MATH         @FreqGHz = 20
  8.006  M8560  VIDBW 30H                                               X
  8.007  TARGET       -p
  8.008  TSET         TDESC = 20 GHz
  8.009  IEEE         CF120GHFMR99.8KHFDV99.8KHRF1[D500]CF12.3GH[D500]CF120GH
  8.010  TARGET       -m
  8.011  CALL         Sub MG369XB Mod Index /8560
  8.012  MATH         MEM = @ModIndex * 99.8
  8.013  ACC    99.8  kHz            1.5%
  8.014  MEMC         99.8kHz        10%           20GH
  9.001  ENDIF

  9.002  ENDIF

  9.003  CALL         Sub MG369XB Reset & SRQ Masks
  9.004  ENDIF        ; @Opt_23

  9.005  RSLT         =
  9.006  HEAD         -2{ Wide External PM Accuracy (99.8 kHz)}
  9.007  MATH         @CmdModOff = "PH0"
  9.008  MATH         @CmdModOn  = "PHW"
  9.009  MATH         @FreqGHz   = 5
  9.010  M8560  VIDBW 100H                                              X
  9.011  TARGET       -p
  9.012  TSET         TDESC = 5 GHz
  9.013  CALL         Sub Apply /FGEN
# CF15GH (5 GHz)
# PHS1RV (Sensitivity 1 rad/V)
# RF1 (Output On)
  9.014  IEEE         CF15GHPHS1RVRF1
  9.015  TARGET       -m
  9.016  CALL         Sub MG369XB Mod Index /8560
  9.017  MATH         MEM = @ModIndex * 99.8
  9.018  ACC    99.8  kHz            1.5%
  9.019  MEMC         99.8kHz        10%           5GH

 10.001  IF           @MaxFreq >= 20E+9

 10.002  IF           @856x_MaxFreq < 20.0E+9
 10.003  RSLT         = 20.0 GHz not tested!
 10.004  ELSE
 10.005  MATH         @FreqGHz = 20
 10.006  M8560  VIDBW 30H                                               X
 10.007  TARGET       -p
 10.008  TSET         TDESC = 20 GHz
 10.009  CALL         Sub Apply /FGEN
 10.010  IEEE         CF120GHPHS1RVRF1[D500]CF12.3GH[D500]CF120GH
 10.011  TARGET       -m
 10.012  CALL         Sub MG369XB Mod Index /8560
 10.013  MATH         MEM = @ModIndex * 99.8
 10.014  ACC    99.8  kHz            1.5%
 10.015  MEMC         99.8kHz        10%           20GH
 11.001  ENDIF

 11.002  ENDIF

 11.003  RSLT         =
 11.004  HEAD         -2{ Narrow External PM Accuracy (99.8 kHz)}
 11.005  MATH         @CmdModOn = "PHN"
 11.006  MATH         @FreqGHz  = 5
 11.007  M8560  VIDBW 100H                                              X
 11.008  TARGET       -p
 11.009  TSET         TDESC = 5 GHz
 11.010  CALL         Sub Apply /FGEN
 11.011  IEEE         CF15GHPHS1RVRF1
 11.012  TARGET       -m
 11.013  CALL         Sub MG369XB Mod Index /8560
 11.014  MATH         MEM = @ModIndex * 99.8
 11.015  ACC    99.8  kHz            1.5%
 11.016  MEMC         99.8kHz        10%           5GH

 12.001  IF           @MaxFreq >= 20E+9

 12.002  IF           @856x_MaxFreq < 20.0E+9
 12.003  RSLT         = 20.0 GHz not tested!
 12.004  ELSE
 12.005  MATH         @FreqGHz = 20
 12.006  M8560  VIDBW 30H                                               X
 12.007  TARGET       -p
 12.008  TSET         TDESC = 20 GHz
 12.009  CALL         Sub Apply /FGEN
 12.010  IEEE         CF120GHPHS1RVRF1[D500]CF12.3GH[D500]CF120GH
 12.011  TARGET       -m
 12.012  CALL         Sub MG369XB Mod Index /8560
 12.013  MATH         MEM = @ModIndex * 99.8
 12.014  ACC    99.8  kHz            1.5%
 12.015  MEMC         99.8kHz        10%           20GH
 13.001  ENDIF

 13.002  ENDIF

 13.003  CALL         Sub Reset /FGEN
 13.004  CALL         Sub MG369XB Reset & SRQ Masks

 13.005  IF           @Opt_23
 13.006  RSLT         =
 13.007  HEAD         -2{ Wide Internal PM Accuracy (99.8 kHz)}
 13.008  MATH         @CmdModOn = "PH8"
 13.009  MATH         @FreqGHz  = 5
 13.010  M8560  VIDBW 100H                                              X
 13.011  TARGET       -p
 13.012  TSET         TDESC = 5 GHz
# PHR99.8KH (PM Rate 99.8 kHz)
# PHD1RD (PM Deviation 1 rad)
 13.013  IEEE         CF15GHPHR99.8KHPHD1RDRF1
 13.014  TARGET       -m
 13.015  CALL         Sub MG369XB Mod Index /8560
 13.016  MATH         MEM = @ModIndex * 99.8
 13.017  ACC    99.8  kHz            1.5%
 13.018  MEMC         99.8kHz        10%           5GH

 14.001  IF           @MaxFreq >= 20E+9

 14.002  IF           @856x_MaxFreq < 20.0E+9
 14.003  RSLT         = 20.0 GHz not tested!
 14.004  ELSE
 14.005  MATH         @FreqGHz = 20
 14.006  M8560  VIDBW 30H                                               X
 14.007  TARGET       -p
 14.008  TSET         TDESC = 20 GHz
 14.009  IEEE         CF120GHPHR99.8KHPHD1RDRF1[D50]CF12.3GH[D500]CF120GH
 14.010  TARGET       -m
 14.011  CALL         Sub MG369XB Mod Index /8560
 14.012  MATH         MEM = @ModIndex * 99.8
 14.013  ACC    99.8  kHz            1.5%
 14.014  MEMC         99.8kHz        10%           20GH
 15.001  ENDIF

 15.002  ENDIF

 15.003  RSLT         =
 15.004  HEAD         -2{ Narrow Internal PM Accuracy (99.8 kHz)}
 15.005  MATH         @CmdModOn = "PH7"
 15.006  MATH         @FreqGHz  = 5
 15.007  M8560  VIDBW 100H                                              X
 15.008  TARGET       -p
 15.009  TSET         TDESC = 5 GHz
 15.010  IEEE         CF15GHPHR99.8KHPHD1RDRF1
 15.011  TARGET       -m
 15.012  CALL         Sub MG369XB Mod Index /8560
 15.013  MATH         MEM = @ModIndex * 99.8
 15.014  ACC    99.8  kHz            1.5%
 15.015  MEMC         99.8kHz        10%           5GH

 16.001  IF           @MaxFreq >= 20E+9

 16.002  IF           @856x_MaxFreq < 20.0E+9
 16.003  RSLT         = 20.0 GHz not tested!
 16.004  ELSE
 16.005  MATH         @ConstantA = 1; @FreqGHz = 20
 16.006  M8560  VIDBW 30H                                               X
 16.007  TARGET       -p
 16.008  TSET         TDESC = 20 GHz
 16.009  IEEE         CF120GHPHR99.8KHPHD1RDRF1
 16.010  TARGET       -m
 16.011  CALL         Sub MG369XB Mod Index /8560
 16.012  MATH         MEM = @ModIndex * 99.8
 16.013  ACC    99.8  kHz            1.5%
 16.014  MEMC         99.8kHz        10%           20GH
 17.001  ENDIF

 17.002  ENDIF

 17.003  CALL         Sub MG369XB Reset & SRQ Masks
 17.004  ENDIF        ; @Opt_23

 17.005  RSLT         =
 17.006  HEAD         -2{ Locked External FM Flatness @ 5 GHz}
 17.007  MATH         @CmdModOff = "FM0"
 17.008  MATH         @CmdModOn  = "FML"
 17.009  MATH         @FreqGHz   = 5
 17.010  CALL         Sub MG369XB (2 yr) FM Flatness /8560,FGEN

 17.011  RSLT         =
 17.012  HEAD         -2{ Narrow External PM Flatness @ 5 GHz}
 17.013  MATH         @CmdModOff     = "PH0"
 17.014  MATH         @CmdModOn      = "PHN"
 17.015  MATH         @FreqGHz       = 5
 17.016  CALL         Sub MG369XB (2 yr) PM Flatness /8560,FGEN

 17.017  RSLT         =
 17.018  HEAD         -2{ Wide External PM Flatness @ 5 GHz}
 17.019  MATH         @CmdModOn = "PHW"
 17.020  CALL         Sub MG369XB (2 yr) PM Flatness /8560,FGEN

 17.021  HEAD         -2
 17.022  CALL         Sub MG369XB Reset & SRQ Masks
 17.023  CALL         Sub Reset /FGEN
 17.024  M8560        *
 17.025  8560         *                                                 S
 17.026  END
