﻿© 2010 Fluke Corporation, All rights reserved               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub MG369XB (2 yr) Pulse Modulation /86100,83484,FGEN
DATE:                  2010-02-10 07:20:38
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       43
NUMBER OF LINES:       755
CONFIGURATION:         Function Generator
CONFIGURATION:         Agilent 86100A
STANDARD:              Agilent 83484A
=============================================================================
#
#  Procedure Author:
#        DAC
#
#  Model(s) Covered:
#        MG369XB with Option 13, 24, 26X, or 27
#
#  Compatibility:
#        MET/CAL V7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        Sub MG369XB Pulse Mod Connections /86100,83484,FGEN
#        Sub MG369XB Pulse Mod Setup /86100,83484,FGEN
#        Sub MG369XB Calculate Pulse Accuracy /86100,83484,FGEN
#        Sub MG369XB Reset & SRQ Masks
#
#  Flexible Driver subprocedures:
#        Sub Reset /FGEN
#
#  User-configured Instrument Drivers
#        Sub Reset /86100
#        Sub Run Until /86100
#        Sub Query Measurement /86100,83484
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# Dummy statements to force header to contain reference used in subprocedure.
  1.001  IF           0
  1.002  IEEE         [@FGEN]
  1.003  IEEE         [@86100]
  1.004  ENDIF

  1.005  HEAD         PULSE MODULATION TESTS
  1.006  CALL         Sub Check Chassis Id & Options /86100

  1.007  IF           @Error
  1.008  END
  1.009  ENDIF

  1.010  MATH         @86100_LeftPluginModelNum = "83484A"
  1.011  CALL         Sub Check Plug-in Id /86100

  1.012  IF           @Error
  1.013  END
  1.014  ENDIF

  1.015  IF           NOT(@MG369XB_RsltPulseMod)
  1.016  RSLT         =
  1.017  RSLT         =PULSE MODULATION TESTS
  1.018  RSLT         =
  1.019  MATH         @MG369XB_RsltPulseMod = 1
  1.020  ENDIF

  1.021  STD          Agilent 83484A
  1.022  MATH         @86100_BW                 = "Low"
  1.023  MATH         @86100_Ch1_Display        = "Off"
  1.024  MATH         @86100_Function1          = "Max"
  1.025  MATH         @86100_F1_Display         = "On"
  1.026  MATH         @86100_F1_Operand1        = "Ch1"
  1.027  MATH         @86100_NumberWaveforms    = "25"
  1.028  MATH         @86100_Plugin             = "Left"
  1.029  MATH         @86100_RunUntil           = "Waveforms"
  1.030  MATH         @86100_TriggerLevel       = "500 mV"
  1.031  MATH         @86100_TriggerSlope       = "Pos"
  1.032  MATH         @86100_TriggerSource      = "LeftModule"
  1.033  MATH         @86100_MeasurementSource1 = "Function1"

  1.034  IF           @Opt_24
  1.035  MATH         @PulseWidth_us = 1
  1.036  MATH         @PulsePeriod_us = 4
  1.037  ELSE
  1.038  MATH         @FGEN_Waveform  = "Square"
  1.039  MATH         @FGEN_Freq      = "250 kHz"
  1.040  MATH         @FGEN_DC_Offset = "1.1 V"
  1.041  MATH         @FGEN_Ampl      = "2.2 Vpp"
  1.042  MATH         @FGEN_DutyCycle = "25 %"
  1.043  MATH         @FGEN_Imp       = "50 Ohm"
  1.044  ENDIF

  1.045  CALL         Sub Reset /86100

  1.046  OPBR         -z  Do you wish to perform 83484A Vertical Calibration?

  1.047  IF           MEM1
  1.048  CALL         Sub MG369XB Reset & SRQ Masks
  1.049  CALL         Sub Cal Vertical /86100

  1.050  IF           @Error
  1.051  END
  1.052  ENDIF

  1.053  ENDIF

# 0.5 GHz
  1.054  IF           @Opt_4 || @Opt_5
  1.055  RSLT         =0.500000001 GHz
  1.056  MATH         @FreqGHz = 0.500000001
  1.057  CALL         Sub MG369XB Pulse Mod Connections /86100,83484,FGEN

  1.058  IF           @Opt_5
  1.059  HEAD         -2 Rise Time
  1.060  MATH         @86100_Measurement = "RiseTime"
  1.061  MATH         @86100_TB_Scale    = "10 ns/div"
  1.062  MATH         @86100_TB_Delay    = "3980 ns"
  1.063  TARGET       -p
  1.064  TSET         TDESC = Rise Time
  1.065  CALL         Sub MG369XB Pulse Mod Setup /86100,83484,FGEN
  1.066  TARGET       -m
  1.067  CALL         Sub MG369XB Pulse Mod Measurement /86100,83484
  1.068  MATH         MEM = MEM / 1E-9
# 0.023 ns is Measurement Uncertainty from Anritsu MG369XB Test Record.
  1.069  ACC    0     ns             0.023U
  1.070  MEMC         0ns            -15U          0.500000001GH

  2.001  HEAD         -2 Fall Time
  2.002  MATH         @86100_Measurement = "FallTime"
  2.003  MATH         @86100_TB_Scale    = "10 ns/div"
  2.004  MATH         @86100_TB_Delay    = "4980 ns"
  2.005  TARGET       -p
  2.006  TSET         TDESC = Fall Time
  2.007  CALL         Sub MG369XB Pulse Mod Setup /86100,83484,FGEN
  2.008  TARGET       -m
  2.009  CALL         Sub MG369XB Pulse Mod Measurement /86100,83484
  2.010  MATH         MEM = MEM / 1E-9
  2.011  ACC    0     ns             0.023U
  2.012  MEMC         0ns            -15U          0.500000001GH

  3.001  ENDIF        ; @Opt_5

  3.002  HEAD         -2 Overshoot
  3.003  MATH         @86100_Measurement = "Overshoot"
  3.004  MATH         @86100_TB_Scale    = "120 ns/div"
  3.005  MATH         @86100_TB_Delay    = "3925 ns"
  3.006  TARGET       -p
  3.007  TSET         TDESC = Overshoot
  3.008  CALL         Sub MG369XB Pulse Mod Setup /86100,83484,FGEN
  3.009  TARGET       -m
  3.010  CALL         Sub MG369XB Pulse Mod Measurement /86100,83484
  3.011  ACC    0     pct            5U
  3.012  MEMC         0pct           -10U          0.500000001GH

# 1.2 GHz
  4.001  RSLT         =1.200000001 GHz
  4.002  MATH         @FreqGHz = 1.200000001
  4.003  CALL         Sub MG369XB Pulse Mod Connections /86100,83484,FGEN

  4.004  IF           @Opt_5
  4.005  HEAD         -2 Rise Time
  4.006  MATH         @86100_Measurement = "RiseTime"
  4.007  MATH         @86100_TB_Scale    = "10 ns/div"
  4.008  MATH         @86100_TB_Delay    = "3980 ns"

  4.009  TARGET       -p
  4.010  TSET         TDESC = Rise Time
  4.011  CALL         Sub MG369XB Pulse Mod Setup /86100,83484,FGEN
  4.012  TARGET       -m
  4.013  CALL         Sub MG369XB Pulse Mod Measurement /86100,83484
  4.014  MATH         MEM = MEM / 1E-9
  4.015  ACC    0     ns             0.023U
  4.016  MEMC         0ns            -10U          1.200000001GH

  5.001  HEAD         -2 Fall Time
  5.002  MATH         @86100_Measurement = "FallTime"
  5.003  MATH         @86100_TB_Scale    = "10 ns/div"
  5.004  MATH         @86100_TB_Delay    = "4980 ns"
  5.005  TARGET       -p
  5.006  TSET         TDESC = Fall Time
  5.007  CALL         Sub MG369XB Pulse Mod Setup /86100,83484,FGEN
  5.008  TARGET       -m
  5.009  CALL         Sub MG369XB Pulse Mod Measurement /86100,83484
  5.010  MATH         MEM = MEM / 1E-9
  5.011  ACC    0     ns             0.023U
  5.012  MEMC         0ns            -10U          1.200000001GH

  6.001  ENDIF        ; @Opt_5

  6.002  HEAD         -2 Overshoot
  6.003  MATH         @86100_Measurement = "Overshoot"
  6.004  MATH         @86100_TB_Scale    = "120 ns/div"
  6.005  MATH         @86100_TB_Delay    = "3925 ns"
  6.006  TARGET       -p
  6.007  TSET         TDESC = Overshoot
  6.008  CALL         Sub MG369XB Pulse Mod Setup /86100,83484,FGEN
  6.009  TARGET       -m
  6.010  CALL         Sub MG369XB Pulse Mod Measurement /86100,83484
  6.011  ACC    0     pct            5U
  6.012  MEMC         0pct           -10U          1.200000001GH

# 1.9 GHz
  7.001  RSLT         =1.900000001 GHz
  7.002  MATH         @FreqGHz = 1.900000001
  7.003  CALL         Sub MG369XB Pulse Mod Connections /86100,83484,FGEN

  7.004  IF           @Opt_5
  7.005  HEAD         -2 Rise Time
  7.006  MATH         @86100_Measurement = "RiseTime"
  7.007  MATH         @86100_TB_Scale    = "10 ns/div"
  7.008  MATH         @86100_TB_Delay    = "3980 ns"

  7.009  TARGET       -p
  7.010  TSET         TDESC = Rise Time
  7.011  CALL         Sub MG369XB Pulse Mod Setup /86100,83484,FGEN
  7.012  TARGET       -m
  7.013  CALL         Sub MG369XB Pulse Mod Measurement /86100,83484
  7.014  MATH         MEM = MEM / 1E-9
  7.015  ACC    0     ns             0.023U
  7.016  MEMC         0ns            -10U          1.900000001GH

  8.001  HEAD         -2 Fall Time
  8.002  MATH         @86100_Measurement = "FallTime"
  8.003  MATH         @86100_TB_Scale    = "10 ns/div"
  8.004  MATH         @86100_TB_Delay    = "4980 ns"
  8.005  TARGET       -p
  8.006  TSET         TDESC = Fall Time
  8.007  CALL         Sub MG369XB Pulse Mod Setup /86100,83484,FGEN
  8.008  TARGET       -m
  8.009  CALL         Sub MG369XB Pulse Mod Measurement /86100,83484
  8.010  MATH         MEM = MEM / 1E-9
  8.011  ACC    0     ns             0.023U
  8.012  MEMC         0ns            -10U          1.900000001GH
  9.001  ENDIF        ; @Opt_5

  9.002  HEAD         -2 Overshoot
  9.003  MATH         @86100_Measurement = "Overshoot"
  9.004  MATH         @86100_TB_Scale    = "120 ns/div"
  9.005  MATH         @86100_TB_Delay    = "3925 ns"
  9.006  TARGET       -p
  9.007  TSET         TDESC = Overshoot
  9.008  CALL         Sub MG369XB Pulse Mod Setup /86100,83484,FGEN
  9.009  TARGET       -m
  9.010  CALL         Sub MG369XB Pulse Mod Measurement /86100,83484
  9.011  ACC    0     pct            5U
  9.012  MEMC         0pct           -10U          1.900000001GH
 10.001  ENDIF        ; @Opt_4 || @Opt_5

# 5.0 GHz
 10.002  HEAD         -2 Rise Time
 10.003  RSLT         =5.000000001 GHz
 10.004  MATH         @FreqGHz = 5.000000001
 10.005  MATH         @86100_Measurement = "RiseTime"
 10.006  MATH         @86100_TB_Scale    = "10 ns/div"
 10.007  MATH         @86100_TB_Delay    = "3980 ns"

 10.008  TARGET       -p
 10.009  TSET         TDESC = Rise Time
 10.010  CALL         Sub MG369XB Pulse Mod Connections /86100,83484,FGEN
 10.011  CALL         Sub MG369XB Pulse Mod Setup /86100,83484,FGEN
 10.012  TARGET       -m
 10.013  CALL         Sub MG369XB Pulse Mod Measurement /86100,83484
 10.014  MATH         MEM = MEM / 1E-9
 10.015  ACC    0     ns             0.023U
 10.016  MEMC         0ns            -10U          5.000000001GH

 11.001  HEAD         -2 Fall Time
 11.002  MATH         @86100_Measurement = "FallTime"
 11.003  MATH         @86100_TB_Scale    = "10 ns/div"
 11.004  MATH         @86100_TB_Delay    = "4980 ns"
 11.005  TARGET       -p
 11.006  TSET         TDESC = Fall Time
 11.007  CALL         Sub MG369XB Pulse Mod Setup /86100,83484,FGEN
 11.008  TARGET       -m
 11.009  CALL         Sub MG369XB Pulse Mod Measurement /86100,83484
 11.010  MATH         MEM = MEM / 1E-9
 11.011  ACC    0     ns             0.023U
 11.012  MEMC         0ns            -10U          5.000000001GH

 12.001  HEAD         -2 Overshoot
 12.002  MATH         @86100_Measurement = "Overshoot"
 12.003  MATH         @86100_TB_Scale    = "120 ns/div"
 12.004  MATH         @86100_TB_Delay    = "3925 ns"
 12.005  TARGET       -p
 12.006  TSET         TDESC = Overshoot
 12.007  CALL         Sub MG369XB Pulse Mod Setup /86100,83484,FGEN
 12.008  TARGET       -m
 12.009  CALL         Sub MG369XB Pulse Mod Measurement /86100,83484
 12.010  ACC    0     pct            5U
 12.011  MEMC         0pct           -10U          5.000000001GH

# 14.0 GHz
 13.001  IF           @MaxFreq > 10E+9
 13.002  HEAD         -2 Rise Time
 13.003  RSLT         =14.000000001 GHz
 13.004  MATH         @FreqGHz = 14.000000001
 13.005  MATH         @86100_Measurement = "RiseTime"
 13.006  MATH         @86100_TB_Scale    = "10 ns/div"
 13.007  MATH         @86100_TB_Delay    = "3980 ns"
 13.008  TARGET       -p
 13.009  TSET         TDESC = Rise Time
 13.010  CALL         Sub MG369XB Pulse Mod Connections /86100,83484,FGEN
 13.011  CALL         Sub MG369XB Pulse Mod Setup /86100,83484,FGEN
 13.012  TARGET       -m
 13.013  CALL         Sub MG369XB Pulse Mod Measurement /86100,83484
 13.014  MATH         MEM = MEM / 1E-9
 13.015  ACC    0     ns             0.023U
 13.016  MEMC         0ns            -10U          14.000000001GH

 14.001  HEAD         -2 Fall Time
 14.002  MATH         @86100_Measurement = "FallTime"
 14.003  MATH         @86100_TB_Scale    = "10 ns/div"
 14.004  MATH         @86100_TB_Delay    = "4980 ns"
 14.005  TARGET       -p
 14.006  TSET         TDESC = Fall Time
 14.007  CALL         Sub MG369XB Pulse Mod Setup /86100,83484,FGEN
 14.008  TARGET       -m
 14.009  CALL         Sub MG369XB Pulse Mod Measurement /86100,83484
 14.010  MATH         MEM = MEM / 1E-9
 14.011  ACC    0     ns             0.023U
 14.012  MEMC         0ns            -10U          14.000000001GH

 15.001  HEAD         -2 Overshoot
 15.002  MATH         @86100_Measurement = "Overshoot"
 15.003  MATH         @86100_TB_Scale    = "120 ns/div"
 15.004  MATH         @86100_TB_Delay    = "3925 ns"
 15.005  TARGET       -p
 15.006  TSET         TDESC = Overshoot
 15.007  CALL         Sub MG369XB Pulse Mod Setup /86100,83484,FGEN
 15.008  TARGET       -m
 15.009  CALL         Sub MG369XB Pulse Mod Measurement /86100,83484
 15.010  ACC    0     pct            5U
 15.011  MEMC         0pct           -10U          14.000000001GH

# 22.0 GHz
 16.001  IF           @MaxFreq > 20E+9
 16.002  HEAD         -2 Rise Time
 16.003  RSLT         =22.000000001 GHz
 16.004  MATH         @FreqGHz = 22.000000001
 16.005  MATH         @86100_Measurement = "RiseTime"
 16.006  MATH         @86100_TB_Scale    = "10 ns/div"
 16.007  MATH         @86100_TB_Delay    = "3980 ns"
 16.008  TARGET       -p
 16.009  TSET         TDESC = Rise Time
 16.010  CALL         Sub MG369XB Pulse Mod Connections /86100,83484,FGEN
 16.011  CALL         Sub MG369XB Pulse Mod Setup /86100,83484,FGEN
 16.012  TARGET       -m
 16.013  CALL         Sub MG369XB Pulse Mod Measurement /86100,83484
 16.014  MATH         MEM = MEM / 1E-9
 16.015  ACC    0     ns             0.023U
 16.016  MEMC         0ns            -10U          22.000000001GH

 17.001  HEAD         -2 Fall Time
 17.002  MATH         @86100_Measurement = "FallTime"
 17.003  MATH         @86100_TB_Scale    = "10 ns/div"
 17.004  MATH         @86100_TB_Delay    = "4980 ns"
 17.005  TARGET       -p
 17.006  TSET         TDESC = Fall Time
 17.007  CALL         Sub MG369XB Pulse Mod Setup /86100,83484,FGEN
 17.008  TARGET       -m
 17.009  CALL         Sub MG369XB Pulse Mod Measurement /86100,83484
 17.010  MATH         MEM = MEM / 1E-9
 17.011  ACC    0     ns             0.023U
 17.012  MEMC         0ns            -10U          22.000000001GH

 18.001  HEAD         -2 Overshoot
 18.002  MATH         @86100_Measurement = "Overshoot"
 18.003  MATH         @86100_TB_Scale    = "120 ns/div"
 18.004  MATH         @86100_TB_Delay    = "3925 ns"
 18.005  TARGET       -p
 18.006  TSET         TDESC = Overshoot
 18.007  CALL         Sub MG369XB Pulse Mod Setup /86100,83484,FGEN
 18.008  TARGET       -m
 18.009  CALL         Sub MG369XB Pulse Mod Measurement /86100,83484
 18.010  ACC    0     pct            5U
 18.011  MEMC         0pct           -10U          22.000000001GH

# 28.0 GHz
 19.001  HEAD         -2 Rise Time
 19.002  RSLT         =28.000000001 GHz
 19.003  MATH         @FreqGHz = 28.000000001
 19.004  MATH         @86100_Measurement = "RiseTime"
 19.005  MATH         @86100_TB_Scale    = "10 ns/div"
 19.006  MATH         @86100_TB_Delay    = "3980 ns"
 19.007  TARGET       -p
 19.008  TSET         TDESC = Rise Time
 19.009  CALL         Sub MG369XB Pulse Mod Connections /86100,83484,FGEN
 19.010  CALL         Sub MG369XB Pulse Mod Setup /86100,83484,FGEN
 19.011  TARGET       -m
 19.012  CALL         Sub MG369XB Pulse Mod Measurement /86100,83484
 19.013  MATH         MEM = MEM / 1E-9
 19.014  ACC    0     ns             0.023U
 19.015  MEMC         0ns            -10U          28.000000001GH

 20.001  HEAD         -2 Fall Time
 20.002  MATH         @86100_Measurement = "FallTime"
 20.003  MATH         @86100_TB_Scale    = "10 ns/div"
 20.004  MATH         @86100_TB_Delay    = "4980 ns"
 20.005  TARGET       -p
 20.006  TSET         TDESC = Fall Time
 20.007  CALL         Sub MG369XB Pulse Mod Setup /86100,83484,FGEN
 20.008  TARGET       -m
 20.009  CALL         Sub MG369XB Pulse Mod Measurement /86100,83484
 20.010  MATH         MEM = MEM / 1E-9
 20.011  ACC    0     ns             0.023U
 20.012  MEMC         0ns            -10U          28.000000001GH

 21.001  HEAD         -2 Overshoot
 21.002  MATH         @86100_Measurement = "Overshoot"
 21.003  MATH         @86100_TB_Scale    = "120 ns/div"
 21.004  MATH         @86100_TB_Delay    = "3925 ns"
 21.005  TARGET       -p
 21.006  TSET         TDESC = Overshoot
 21.007  CALL         Sub MG369XB Pulse Mod Setup /86100,83484,FGEN
 21.008  TARGET       -m
 21.009  CALL         Sub MG369XB Pulse Mod Measurement /86100,83484
 21.010  ACC    0     pct            5U
 21.011  MEMC         0pct           -10U          28.000000001GH

# 34.0 GHz
 22.001  IF           @MaxFreq > 30E+9
 22.002  HEAD         -2 Rise Time
 22.003  RSLT         =34.000000001 GHz
 22.004  MATH         @FreqGHz = 34.000000001
 22.005  MATH         @86100_Measurement = "RiseTime"
 22.006  MATH         @86100_TB_Scale    = "10 ns/div"
 22.007  MATH         @86100_TB_Delay    = "3980 ns"
 22.008  TARGET       -p
 22.009  TSET         TDESC = Rise Time
 22.010  CALL         Sub MG369XB Pulse Mod Connections /86100,83484,FGEN
 22.011  CALL         Sub MG369XB Pulse Mod Setup /86100,83484,FGEN
 22.012  TARGET       -m
 22.013  CALL         Sub MG369XB Pulse Mod Measurement /86100,83484
 22.014  MATH         MEM = MEM / 1E-9
 22.015  ACC    0     ns             0.023U
 22.016  MEMC         0ns            -10U          34.000000001GH

 23.001  HEAD         -2 Fall Time
 23.002  MATH         @86100_Measurement = "FallTime"
 23.003  MATH         @86100_TB_Scale    = "10 ns/div"
 23.004  MATH         @86100_TB_Delay    = "4980 ns"
 23.005  TARGET       -p
 23.006  TSET         TDESC = Fall Time
 23.007  CALL         Sub MG369XB Pulse Mod Setup /86100,83484,FGEN
 23.008  TARGET       -m
 23.009  CALL         Sub MG369XB Pulse Mod Measurement /86100,83484
 23.010  MATH         MEM = MEM / 1E-9
 23.011  ACC    0     ns             0.023U
 23.012  MEMC         0ns            -10U          34.000000001GH

 24.001  HEAD         -2 Overshoot
 24.002  MATH         @86100_Measurement = "Overshoot"
 24.003  MATH         @86100_TB_Scale    = "120 ns/div"
 24.004  MATH         @86100_TB_Delay    = "3925 ns"
 24.005  TARGET       -p
 24.006  TSET         TDESC = Overshoot
 24.007  CALL         Sub MG369XB Pulse Mod Setup /86100,83484,FGEN
 24.008  TARGET       -m
 24.009  CALL         Sub MG369XB Pulse Mod Measurement /86100,83484
 24.010  ACC    0     pct            5U
 24.011  MEMC         0pct           -10U          34.000000001GH

# 41.0 GHz
 25.001  IF           @MaxFreq > 40E+9
 25.002  HEAD         -2 Rise Time
 25.003  RSLT         =41.000000001 GHz
 25.004  MATH         @FreqGHz = 41.000000001
 25.005  MATH         @86100_Measurement = "RiseTime"
 25.006  MATH         @86100_TB_Scale    = "10 ns/div"
 25.007  MATH         @86100_TB_Delay    = "3980 ns"
 25.008  TARGET       -p
 25.009  TSET         TDESC = Rise Time
 25.010  CALL         Sub MG369XB Pulse Mod Connections /86100,83484,FGEN
 25.011  CALL         Sub MG369XB Pulse Mod Setup /86100,83484,FGEN
 25.012  TARGET       -m
 25.013  CALL         Sub MG369XB Pulse Mod Measurement /86100,83484
 25.014  MATH         MEM = MEM / 1E-9
 25.015  ACC    0     ns             0.023U
 25.016  MEMC         0ns            -10U          41.000000001GH

 26.001  HEAD         -2 Fall Time
 26.002  MATH         @86100_Measurement = "FallTime"
 26.003  MATH         @86100_TB_Scale    = "10 ns/div"
 26.004  MATH         @86100_TB_Delay    = "4980 ns"
 26.005  TARGET       -p
 26.006  TSET         TDESC = Fall Time
 26.007  CALL         Sub MG369XB Pulse Mod Setup /86100,83484,FGEN
 26.008  TARGET       -m
 26.009  CALL         Sub MG369XB Pulse Mod Measurement /86100,83484
 26.010  MATH         MEM = MEM / 1E-9
 26.011  ACC    0     ns             0.023U
 26.012  MEMC         0ns            -10U          41.000000001GH

# For 50 and 67 GHz units, overshoot >40 GHz is 20% typical at rated power.

 27.001  ENDIF        ; @MaxFreq > 40E+9

 27.002  ENDIF        ; @MaxFreq > 30E+9

 27.003  ENDIF        ; @MaxFreq > 20E+9

 27.004  ENDIF        ; @MaxFreq > 10E+9

 27.005  HEAD         PULSE POWER ACCURACY
 27.006  RSLT         =
 27.007  RSLT         =Pulse Power Accuracy
 27.008  RSLT         =
 27.009  HEAD         -2{ Pulse Width >= 1 µs}
 27.010  MATH         @86100_Ch1_Scale           = "20 mV/div"
 27.011  MATH         @86100_TB_Scale            = "90 ns/div"
 27.012  MATH         @86100_TB_Delay            = "4075 ns"
 27.013  MATH         @86100_Measurement         = "Vavg"
 27.014  MATH         @86100_MeasurementOperand1 = "Display"

 27.015  IF           @Opt_24
 27.016  MATH         @PulseWidth_us = 1
 27.017  ELSE
 27.018  MATH         @FGEN_Freq= "250 kHz"
 27.019  MATH         @FGEN_DutyCycle = "25 %"
 27.020  ENDIF

# 0.05 GHz
 27.021  IF           @Opt_4 || @Opt_5
 27.022  MATH         @FreqGHz = 0.050000001
 27.023  TARGET       -p
 27.024  TSET         TDESC = 0.050000001 GHz
 27.025  CALL         Sub MG369XB Pulse Mod Connections /86100,83484,FGEN
 27.026  CALL         Sub MG369XB Pulse Mod Setup /86100,83484,FGEN
 27.027  TARGET       -m
 27.028  CALL         Sub MG369XB Calculate Pulse Accuracy /86100,83484,FGEN
 27.029  ACC    0     dB             0.1U                                  +DV
 27.030  MEMC         0.0dB          0.5U          0.050000001GH

# 1.2 GHz
 28.001  MATH         @FreqGHz = 1.200000001
 28.002  TARGET       -p
 28.003  TSET         TDESC = 1.200000001 GHz
 28.004  CALL         Sub MG369XB Pulse Mod Connections /86100,83484,FGEN
 28.005  CALL         Sub MG369XB Pulse Mod Setup /86100,83484,FGEN
 28.006  TARGET       -m
 28.007  CALL         Sub MG369XB Calculate Pulse Accuracy /86100,83484,FGEN
 28.008  ACC    0     dB             0.1U                                  +DV
 28.009  MEMC         0.0dB          0.5U          1.200000001GH

# 1.9 GHz
 29.001  MATH         @FreqGHz = 1.900000001
 29.002  TARGET       -p
 29.003  TSET         TDESC = 1.900000001 GHz
 29.004  CALL         Sub MG369XB Pulse Mod Connections /86100,83484,FGEN
 29.005  CALL         Sub MG369XB Pulse Mod Setup /86100,83484,FGEN
 29.006  TARGET       -m
 29.007  CALL         Sub MG369XB Calculate Pulse Accuracy /86100,83484,FGEN
 29.008  ACC    0     dB             0.1U                                  +DV
 29.009  MEMC         0.0dB          0.5U          1.900000001GH
 30.001  ENDIF        ; @Opt_4 || @Opt_5

# 5.0 GHz
 30.002  MATH         @FreqGHz = 5.000000001
 30.003  TARGET       -p
 30.004  TSET         TDESC = 5.000000001 GHz
 30.005  CALL         Sub MG369XB Pulse Mod Connections /86100,83484,FGEN
 30.006  CALL         Sub MG369XB Pulse Mod Setup /86100,83484,FGEN
 30.007  TARGET       -m
 30.008  CALL         Sub MG369XB Calculate Pulse Accuracy /86100,83484,FGEN
 30.009  ACC    0     dB             0.1U                                  +DV
 30.010  MEMC         0.0dB          0.5U          5.000000001GH

# 14.0 GHz
 31.001  IF           @MaxFreq > 10E+9
 31.002  MATH         @FreqGHz = 14.000000001
 31.003  TARGET       -p
 31.004  TSET         TDESC = 14.000000001 GHz
 31.005  CALL         Sub MG369XB Pulse Mod Connections /86100,83484,FGEN
 31.006  CALL         Sub MG369XB Pulse Mod Setup /86100,83484,FGEN
 31.007  TARGET       -m
 31.008  CALL         Sub MG369XB Calculate Pulse Accuracy /86100,83484,FGEN
 31.009  ACC    0     dB             0.1U                                  +DV
 31.010  MEMC         0.0dB          0.5U          14.000000001GH

# 22.0 GHz
 32.001  IF           @MaxFreq > 20E+9
 32.002  MATH         @FreqGHz = 22.000000001
 32.003  TARGET       -p
 32.004  TSET         TDESC = 22.000000001 GHz
 32.005  CALL         Sub MG369XB Pulse Mod Connections /86100,83484,FGEN
 32.006  CALL         Sub MG369XB Pulse Mod Setup /86100,83484,FGEN
 32.007  TARGET       -m
 32.008  CALL         Sub MG369XB Calculate Pulse Accuracy /86100,83484,FGEN
 32.009  ACC    0     dB             0.1U                                  +DV
 32.010  MEMC         0.0dB          0.5U          22.000000001GH

# 28.0 GHz
 33.001  MATH         @FreqGHz = 28.000000001
 33.002  TARGET       -p
 33.003  TSET         TDESC = 28.000000001 GHz
 33.004  CALL         Sub MG369XB Pulse Mod Connections /86100,83484,FGEN
 33.005  CALL         Sub MG369XB Pulse Mod Setup /86100,83484,FGEN
 33.006  TARGET       -m
 33.007  CALL         Sub MG369XB Calculate Pulse Accuracy /86100,83484,FGEN
 33.008  ACC    0     dB             0.1U                                  +DV
 33.009  MEMC         0.0dB          0.5U          28.000000001GH

# 34.0 GHz
 34.001  IF           @MaxFreq > 30E+9
 34.002  MATH         @FreqGHz = 34.000000001
 34.003  TARGET       -p
 34.004  TSET         TDESC = 34.000000001 GHz
 34.005  CALL         Sub MG369XB Pulse Mod Connections /86100,83484,FGEN
 34.006  CALL         Sub MG369XB Pulse Mod Setup /86100,83484,FGEN
 34.007  TARGET       -m
 34.008  CALL         Sub MG369XB Calculate Pulse Accuracy /86100,83484,FGEN
 34.009  ACC    0     dB             0.1U                                  +DV
 34.010  MEMC         0.0dB          0.5U          34.000000001GH

# 41.0 GHz
 35.001  IF           @MaxFreq > 40E+9
 35.002  MATH         @FreqGHz = 41.000000001
 35.003  TARGET       -p
 35.004  TSET         TDESC = 41.000000001 GHz
 35.005  CALL         Sub MG369XB Pulse Mod Connections /86100,83484,FGEN
 35.006  CALL         Sub MG369XB Pulse Mod Setup /86100,83484,FGEN
 35.007  TARGET       -m
 35.008  CALL         Sub MG369XB Calculate Pulse Accuracy /86100,83484,FGEN
 35.009  ACC    0     dB             0.1U                                  +DV
 35.010  MEMC         0.0dB          0.5U          41.000000001GH
 36.001  ENDIF        ; @MaxFreq > 40E+9

 36.002  ENDIF        ; @MaxFreq > 30E+9

 36.003  ENDIF        ; @MaxFreq > 20E+9

 36.004  ENDIF        ; @MaxFreq > 10E+9

 36.005  RSLT         =
 36.006  HEAD         -2{ Pulse Width < 1 µs}
 36.007  MATH         @86100_TB_Scale = "45 ns/div"
 36.008  MATH         @86100_TB_Delay = "4050 ns"

 36.009  IF           @Opt_24
 36.010  MATH         @PulseWidth_us = 0.5
 36.011  ELSE
 36.012  MATH         @FGEN_Freq= "500 kHz"
 36.013  MATH         @FGEN_DutyCycle = "25 %"
 36.014  ENDIF

# 2.2 GHz
 36.015  MATH         @FreqGHz = 2.200000001
 36.016  TARGET       -p
 36.017  TSET         TDESC = 2.200000001 GHz
 36.018  CALL         Sub MG369XB Pulse Mod Connections /86100,83484,FGEN
 36.019  CALL         Sub MG369XB Pulse Mod Setup /86100,83484,FGEN
 36.020  TARGET       -m
 36.021  CALL         Sub MG369XB Calculate Pulse Accuracy /86100,83484,FGEN
 36.022  ACC    0     dB             0.1U                                  +DV
 36.023  MEMC         0.0dB          1.0U          2.200000001GH

# 5.0 GHz
 37.001  MATH         @FreqGHz = 5.000000001
 37.002  TARGET       -p
 37.003  TSET         TDESC = 5.000000001 GHz
 37.004  CALL         Sub MG369XB Pulse Mod Connections /86100,83484,FGEN
 37.005  CALL         Sub MG369XB Pulse Mod Setup /86100,83484,FGEN
 37.006  TARGET       -m
 37.007  CALL         Sub MG369XB Calculate Pulse Accuracy /86100,83484,FGEN
 37.008  ACC    0     dB             0.1U                                  +DV
 37.009  MEMC         0.0dB          1.0U          5.000000001GH

# 14.0 GHz
 38.001  IF           @MaxFreq > 10E+9
 38.002  MATH         @FreqGHz = 14.000000001
 38.003  TARGET       -p
 38.004  TSET         TDESC = 14.000000001 GHz
 38.005  CALL         Sub MG369XB Pulse Mod Connections /86100,83484,FGEN
 38.006  CALL         Sub MG369XB Pulse Mod Setup /86100,83484,FGEN
 38.007  TARGET       -m
 38.008  CALL         Sub MG369XB Calculate Pulse Accuracy /86100,83484,FGEN
 38.009  ACC    0     dB             0.1U                                  +DV
 38.010  MEMC         0.0dB          1.0U          14.000000001GH

# 22.0 GHz
 39.001  IF           @MaxFreq > 20E+9
 39.002  MATH         @FreqGHz = 22.000000001
 39.003  TARGET       -p
 39.004  TSET         TDESC = 22.000000001 GHz
 39.005  CALL         Sub MG369XB Pulse Mod Connections /86100,83484,FGEN
 39.006  CALL         Sub MG369XB Pulse Mod Setup /86100,83484,FGEN
 39.007  TARGET       -m
 39.008  CALL         Sub MG369XB Calculate Pulse Accuracy /86100,83484,FGEN
 39.009  ACC    0     dB             0.1U                                  +DV
 39.010  MEMC         0.0dB          1.0U          22.000000001GH

# 28.0 GHz
 40.001  MATH         @FreqGHz = 28.000000001
 40.002  TARGET       -p
 40.003  TSET         TDESC = 28.000000001 GHz
 40.004  CALL         Sub MG369XB Pulse Mod Connections /86100,83484,FGEN
 40.005  CALL         Sub MG369XB Pulse Mod Setup /86100,83484,FGEN
 40.006  TARGET       -m
 40.007  CALL         Sub MG369XB Calculate Pulse Accuracy /86100,83484,FGEN
 40.008  ACC    0     dB             0.1U                                  +DV
 40.009  MEMC         0.0dB          1.0U          28.000000001GH

# 34.0 GHz
 41.001  IF           @MaxFreq > 30E+9
 41.002  MATH         @FreqGHz = 34.000000001
 41.003  TARGET       -p
 41.004  TSET         TDESC = 34.000000001 GHz
 41.005  CALL         Sub MG369XB Pulse Mod Connections /86100,83484,FGEN
 41.006  CALL         Sub MG369XB Pulse Mod Setup /86100,83484,FGEN
 41.007  TARGET       -m
 41.008  CALL         Sub MG369XB Calculate Pulse Accuracy /86100,83484,FGEN
 41.009  ACC    0     dB             0.1U                                  +DV
 41.010  MEMC         0.0dB          1.0U          34.000000001GH

# 41.0 GHz
 42.001  IF           @MaxFreq > 40E+9
 42.002  MATH         @FreqGHz = 41.000000001
 42.003  TARGET       -p
 42.004  TSET         TDESC = 41.000000001 GHz
 42.005  CALL         Sub MG369XB Pulse Mod Connections /86100,83484,FGEN
 42.006  CALL         Sub MG369XB Pulse Mod Setup /86100,83484,FGEN
 42.007  TARGET       -m
 42.008  CALL         Sub MG369XB Calculate Pulse Accuracy /86100,83484,FGEN
 42.009  ACC    0     dB             0.1U                                  +DV
 42.010  MEMC         0.0dB          1.0U          41.000000001GH
 43.001  ENDIF        ; @MaxFreq > 40E+9

 43.002  ENDIF        ; @MaxFreq > 30E+9

 43.003  ENDIF        ; @MaxFreq > 20E+9

 43.004  ENDIF        ; @MaxFreq > 10E+9

 43.005  HEAD
 43.006  HEAD         -2
 43.007  CALL         Sub MG369XB Reset & SRQ Masks

 43.008  IF           NOT(@Opt_24)
 43.009  CALL         Sub Reset /FGEN
 43.010  ENDIF

 43.011  CALL         Sub Reset /86100
 43.012  END
