﻿Anritsu Company                                             MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub MG369XB (2 yr) Pwr Lvl Tests <=19 dBm Opt 2 /ML2437
DATE:                  2009-05-27 21:22:53
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       182
CONFIGURATION:         Anritsu ML2437A
=============================================================================
#
#  Procedure Author:
#        DAC
#
#  Model(s) Covered:
#        MG369XB with Option 2
#
#  Compatibility:
#        MET/CAL <tbd> or later
#
#  Subprocedures:
#        Sub MG369XB (2 yr) Power Level Test /ML2437
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# Dummy statement to force procedure header to include references used in
# subprocedures.
  1.001  IF           0
  1.002  ML2437       Reset
  1.003  ENDIF

# Power level accuracy is specified based on the attenuation below max power
# and the frequency.  Calculate the lowest power level for which there is an
# accuracy spec.
  1.004  IF           @FreqGHz > 50
  1.005  MATH         Lowest_power_level = @MaxPower - 25
  1.006  ELSEIF       @FreqGHz > 40
  1.007  MATH         Lowest_power_level = @MaxPower - 60
  1.008  ELSE
  1.009  MATH         Lowest_power_level = @MaxPower - 100
  1.010  ENDIF

  1.011  MATH         Freq = ENGR_NSD(@FreqGHz, "GHz", 3)

  1.012  IF           (@MaxPower >= +15) && (@FreqGHz < 50.0)
  1.013  MATH         @LvldBm = 15
  1.014  HEAD         POWER LEVEL ACCURACY: [V @LvldBm] dBm @ [V Freq]
  1.015  CALL         Sub MG369XB (2 yr) Power Level Test /ML2437
  1.016  ENDIF

  1.017  IF           @MaxPower >= +10
  1.018  MATH         @LvldBm = 10
  1.019  HEAD         POWER LEVEL ACCURACY: [V @LvldBm] dBm @ [V Freq]
  1.020  CALL         Sub MG369XB (2 yr) Power Level Test /ML2437
  1.021  ENDIF

  1.022  IF           @MaxPower >= +5
  1.023  MATH         @LvldBm = 5
  1.024  HEAD         POWER LEVEL ACCURACY: [V @LvldBm] dBm @ [V Freq]
  1.025  CALL         Sub MG369XB (2 yr) Power Level Test /ML2437
  1.026  ENDIF

  1.027  IF           @MaxPower >= +0
  1.028  MATH         @LvldBm = 0
  1.029  HEAD         POWER LEVEL ACCURACY: [V @LvldBm] dBm @ [V Freq]
  1.030  CALL         Sub MG369XB (2 yr) Power Level Test /ML2437
  1.031  ENDIF

# Maximum power is never less than -2 dBm for all models and options.
  1.032  MATH         @LvldBm = -5

  1.033  IF           @LvldBm >= Lowest_power_level
  1.034  HEAD         POWER LEVEL ACCURACY: [V @LvldBm] dBm @ [V Freq]
  1.035  CALL         Sub MG369XB (2 yr) Power Level Test /ML2437
  1.036  ENDIF

  1.037  MATH         @LvldBm = -10

  1.038  IF           @LvldBm >= Lowest_power_level
  1.039  HEAD         POWER LEVEL ACCURACY: [V @LvldBm] dBm @ [V Freq]
  1.040  CALL         Sub MG369XB (2 yr) Power Level Test /ML2437
  1.041  ENDIF

  1.042  MATH         @LvldBm = -15

  1.043  IF           @LvldBm >= Lowest_power_level
  1.044  HEAD         POWER LEVEL ACCURACY: [V @LvldBm] dBm @ [V Freq]
  1.045  CALL         Sub MG369XB (2 yr) Power Level Test /ML2437
  1.046  ENDIF

  1.047  MATH         @LvldBm = -20

  1.048  IF           @LvldBm >= Lowest_power_level
  1.049  HEAD         POWER LEVEL ACCURACY: [V @LvldBm] dBm @ [V Freq]
  1.050  CALL         Sub MG369XB (2 yr) Power Level Test /ML2437
# Get the accuracy of the ML2430A.  The accuracy of this measurement
# is RSS'd with accuracy of subsequent ML2530A relative measurements.
  1.051  MATH         @ML2430A_AccWNeg20dBm = @ML2430A_AccW
  1.052  ENDIF

  1.053  IF           Freq < 60E+9
  1.054  MATH         @LvldBm = -25

  1.055  IF           @LvldBm >= Lowest_power_level
  1.056  HEAD         POWER LEVEL ACCURACY: [V @LvldBm] dBm @ [V Freq]
  1.057  CALL         Sub MG369XB (2 yr) Power Level Test /ML2437
  1.058  ENDIF

  1.059  ENDIF        ; Freq < 60E+9

  1.060  IF           (Freq <= 50E+9) && (@PS_MinLvl < -50)
  1.061  MATH         @LvldBm = -30

  1.062  IF           @LvldBm >= Lowest_power_level
  1.063  HEAD         POWER LEVEL ACCURACY: [V @LvldBm] dBm @ [V Freq]
  1.064  CALL         Sub MG369XB (2 yr) Power Level Test /ML2437
  1.065  ENDIF

  1.066  MATH         @LvldBm = -35

  1.067  IF           @LvldBm >= Lowest_power_level
  1.068  HEAD         POWER LEVEL ACCURACY: [V @LvldBm] dBm @ [V Freq]
  1.069  CALL         Sub MG369XB (2 yr) Power Level Test /ML2437
  1.070  ENDIF

  1.071  MATH         @LvldBm = -40

  1.072  IF           @LvldBm >= Lowest_power_level
  1.073  HEAD         POWER LEVEL ACCURACY: [V @LvldBm] dBm @ [V Freq]
  1.074  CALL         Sub MG369XB (2 yr) Power Level Test /ML2437
  1.075  ENDIF

  1.076  MATH         @LvldBm = -45

  1.077  IF           @LvldBm >= Lowest_power_level
  1.078  HEAD         POWER LEVEL ACCURACY: [V @LvldBm] dBm @ [V Freq]
  1.079  CALL         Sub MG369XB (2 yr) Power Level Test /ML2437
  1.080  ENDIF

  1.081  MATH         @LvldBm = -50

  1.082  IF           @LvldBm >= Lowest_power_level
  1.083  HEAD         POWER LEVEL ACCURACY: [V @LvldBm] dBm @ [V Freq]
  1.084  CALL         Sub MG369XB (2 yr) Power Level Test /ML2437
# Get the accuracy of the ML2430A.  The accuracy of this measurement
# is RSS'd with accuracy of subsequent ML2530A relative measurements.
  1.085  MATH         @ML2430A_AccWNeg50dBm = @ML2430A_AccW
  1.086  ENDIF

  1.087  ENDIF        ; (Freq <= 50E+9) && (@PS_MinLvl < -50)

  1.088  IF           (Freq <= 50E+9) && (@PS_MinLvl < -60)
  1.089  MATH         @LvldBm = -55

  1.090  IF           @LvldBm >= Lowest_power_level
  1.091  HEAD         POWER LEVEL ACCURACY: [V @LvldBm] dBm @ [V Freq]
  1.092  CALL         Sub MG369XB (2 yr) Power Level Test /ML2437
  1.093  ENDIF

  1.094  MATH         @LvldBm = -60

  1.095  IF           @LvldBm >= Lowest_power_level
  1.096  HEAD         POWER LEVEL ACCURACY: [V @LvldBm] dBm @ [V Freq]
  1.097  CALL         Sub MG369XB (2 yr) Power Level Test /ML2437
  1.098  ENDIF

  1.099  ENDIF        ; (Freq <= 50E+9) && (@PS_MinLvl < -60)

  1.100  END
