﻿Anritsu Company                                             MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub MG369XB (2 yr) Spurs 1.1 GHz, Opt 4 /8560
INSTRUMENT:            Sub MG369XB (2 yr) Spurs 1.1 GHz, Opt 5 /8560
INSTRUMENT:            Sub MG369XB (2 yr) Spurs > 2 to <= 20 GHz /8560
INSTRUMENT:            Sub MG369XB (2 yr) Spurs > 20 GHz /8560
DATE:                  2009-05-11 17:55:33
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       30
NUMBER OF LINES:       1454
CONFIGURATION:         HP 8560
=============================================================================
#
#  Procedure Author:
#        DAC, DFM
#
#  Model(s) Covered:
#        MG369XB
#
#  Compatibility:
#        MET/CAL V7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        Sub MG369XB Reset & SRQ Masks
#        Sub MG369XB Connection /8560
#        Sub HP 856x Model Number
#        Sub HP 856x Acc Mode Freq Resp
#
#  Required Files:
#        8560.acc Revision 1.14 or later
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  MATH         Dev = "HP 8560"
  1.002  MATH         Conf = CONF(Dev)

  1.003  M8560  ATTEN 20dB

  1.004  CALL         Sub MG369XB Reset & SRQ Masks

  1.005  JMPL         1.1_GHz_Opt_4                PSUB("1.1 GHz, Opt 4")
  1.006  JMPL         1.1_GHz_Opt_5                PSUB("1.1 GHz, Opt 5")
  1.007  JMPL         GT_2_TO_LE_20_GHz            PSUB("> 2 to <= 20 GHz")
  1.008  JMPL         GT_20_GHz                    PSUB("> 20 GHz")
  1.009  DISP         Called subprocedure not found!
  1.010  END

  1.011  EVAL   Increment step number

# =====  Sub MG369XB (2 yr) Spurs 1.1 GHz, Opt 4 /8560  =====================

  2.001  LABEL        1.1_GHz_Opt_4
  2.002  RSLT         =
  2.003  HEAD         -2{ CW Freq: 1.100000 GHz}
  2.004  M8560  RESBW 300kH
  2.005  M8560  SPAN  1MH
# Set reference level to UUT output level.
  2.006  MATH         @FreqGHz = 1.1
  2.007  CALL         Sub MG369XB Set Max Power
  2.008  MATH         @L1 = MIN2(+10, @MaxPower)
  2.009  MATH         MEM = @L1
  2.010  M8560                                     D                    X
  2.011  JMPL         1.1_GHz_Opt_4_CON

# Make sure picture is re-displayed if Repeat or Cancel is selected.
  2.012  TARGET       -p
  2.013  MATH         @MG369XB_8560_Con = ""

  2.014  LABEL        1.1_GHz_Opt_4_CON

  2.015  IF           EMPTY(@MG369XB_8560_Con)
  2.016  CALL         Sub MG369XB Connection /8560
  2.017  ENDIF

  2.018  HEAD         -2 CW Freq: 1.100000 GHz
  2.019  IEEE         CF11.1GHL1[V @L1]DMRF1
  2.020  MATH         MEM = @L1
  2.021  8560         D                            1.100000GH           N
  2.022  MATH         RefLvl = MEM
  2.023  IEEE         [@8560]MKF?;[I]
  2.024  MATH         Acc1 = ACCV2(Dev, @ModeFreqResp, RefLvl, MEM) / Conf
  2.025  TARGET       -m
  2.026  8560         -60D                         1.500000GH           N
  2.027  MATH         SpurAmpl = MEM - RefLvl
  2.028  IEEE         [@8560]MKF?;[I]
  2.029  MATH         SpurFreq = FMT((MEM / 1E+9), "%10.6f")
  2.030  TSET         TDESC = [V SpurFreq] GHz
  2.031  MATH         Acc2 = ACCV2(Dev, @ModeLogFi, SpurAmpl, MEM) / Conf
  2.032  MATH         L[1] = RSS2(Acc1, Acc2) * 2
  2.033  MATH         MEM = SpurAmpl
  2.034  ACC          dBc            L1U                                   +DW
  2.035  MEMC         -60.0dBc       -0.0U +100.0U 1.500000GH

  3.001  IEEE         CF11.1GHL1[V @L1]DMRF1
  3.002  TARGET       -m
  3.003  8560         -60D                         0.500000GH           N
  3.004  MATH         SpurAmpl = MEM - RefLvl
  3.005  IEEE         [@8560]MKF?;[I]
  3.006  MATH         SpurFreq = FMT((MEM / 1E+9), "%10.6f")
  3.007  TSET         TDESC = [V SpurFreq] GHz
  3.008  MATH         Acc2 = ACCV2(Dev, @ModeLogFi, SpurAmpl, MEM) / Conf
  3.009  MATH         L[1] = RSS2(Acc1, Acc2) * 2
  3.010  MATH         MEM = SpurAmpl
  3.011  ACC          dBc            L1U                                   +DW
  3.012  MEMC         -60.0dBc       -0.0U +100.0U 0.500000GH

  4.001  IEEE         CF11.1GHL1[V @L1]DMRF1
  4.002  TARGET       -m
  4.003  8560         -60D                         2.000000GH           N
  4.004  MATH         SpurAmpl = MEM - RefLvl
  4.005  IEEE         [@8560]MKF?;[I]
  4.006  MATH         SpurFreq = FMT((MEM / 1E+9), "%10.6f")
  4.007  TSET         TDESC = [V SpurFreq] GHz
  4.008  MATH         Acc2 = ACCV2(Dev, @ModeLogFi, SpurAmpl, MEM) / Conf
  4.009  MATH         L[1] = RSS2(Acc1, Acc2) * 2
  4.010  MATH         MEM = SpurAmpl
  4.011  ACC          dBc            L1U                                   +DW
  4.012  MEMC         -60.0dBc       -0.0U +100.0U 2.000000GH

  5.001  IEEE         CF11.1GHL1[V @L1]DMRF1
  5.002  TARGET       -m
  5.003  8560         -60D                         6.500000GH           N
  5.004  MATH         SpurAmpl = MEM - RefLvl
  5.005  IEEE         [@8560]MKF?;[I]
  5.006  MATH         SpurFreq = FMT((MEM / 1E+9), "%10.6f")
  5.007  TSET         TDESC = [V SpurFreq] GHz
  5.008  MATH         Acc2 = ACCV2(Dev, @ModeLogFi, SpurAmpl, MEM) / Conf
  5.009  MATH         L[1] = RSS2(Acc1, Acc2) * 2
  5.010  MATH         MEM = SpurAmpl
  5.011  ACC          dBc            L1U                                   +DW
  5.012  MEMC         -60.0dBc       -0.0U +100.0U 6.500000GH

  6.001  IEEE         CF11.1GHL1[V @L1]DMRF1
  6.002  TARGET       -m
  6.003  8560         -60D                         7.600000GH           N
  6.004  MATH         SpurAmpl = MEM - RefLvl
  6.005  IEEE         [@8560]MKF?;[I]
  6.006  MATH         SpurFreq = FMT((MEM / 1E+9), "%10.6f")
  6.007  TSET         TDESC = [V SpurFreq] GHz
  6.008  MATH         Acc2 = ACCV2(Dev, @ModeLogFi, SpurAmpl, MEM) / Conf
  6.009  MATH         L[1] = RSS2(Acc1, Acc2) * 2
  6.010  MATH         MEM = SpurAmpl
  6.011  ACC          dBc            L1U                                   +DW
  6.012  MEMC         -60.0dBc       -0.0U +100.0U 7.600000GH

  7.001  HEAD         -2
  7.002  CALL         Sub MG369XB Reset & SRQ Masks
  7.003  M8560        *
  7.004  8560         *                                                 S
  7.005  END

  7.006  EVAL   Increment step number

# =====  Sub MG369XB (2 yr) Spurs 1.1 GHz, Opt 5 /8560  =====================

  8.001  LABEL        1.1_GHz_Opt_5
  8.002  RSLT         =
  8.003  HEAD         -2{ CW Freq: 1.100000 GHz}
  8.004  M8560  RESBW 300kH
  8.005  M8560  SPAN  1MH
# Set reference level to UUT output level.
  8.006  MATH         @FreqGHz = 1.1
  8.007  CALL         Sub MG369XB Set Max Power
  8.008  MATH         @L1 = MIN2(+10, @MaxPower)
  8.009  MATH         MEM = @L1
  8.010  M8560                                     D                    X
  8.011  JMPL         1.1_GHz_Opt_5_CON

# Make sure picture is re-displayed if Repeat or Cancel is selected.
  8.012  TARGET       -p
  8.013  MATH         @MG369XB_8560_Con = ""

  8.014  LABEL        1.1_GHz_Opt_5_CON

  8.015  IF           EMPTY(@MG369XB_8560_Con)
  8.016  CALL         Sub MG369XB Connection /8560
  8.017  ENDIF

  8.018  IEEE         CF11.1GHL1[V @L1]DMRF1
  8.019  MATH         MEM = @L1
  8.020  8560         D                            1.100000GH           N
  8.021  MATH         RefLvl = MEM
  8.022  IEEE         [@8560]MKF?;[I]
  8.023  MATH         Acc1 = ACCV2(Dev, @ModeFreqResp, RefLvl, MEM) / Conf
  8.024  TARGET       -m
  8.025  8560         -40D                         1.500000GH           N
  8.026  MATH         SpurAmpl = MEM - RefLvl
  8.027  IEEE         [@8560]MKF?;[I]
  8.028  MATH         SpurFreq = FMT((MEM / 1E+9), "%10.6f")
  8.029  TSET         TDESC = [V SpurFreq] GHz
  8.030  MATH         Acc2 = ACCV2(Dev, @ModeLogFi, SpurAmpl, MEM) / Conf
  8.031  MATH         L[1] = RSS2(Acc1, Acc2) * 2
  8.032  MATH         MEM = SpurAmpl
  8.033  ACC          dBc            L1U                                   +DW
  8.034  MEMC         -40.0dBc       -0.0U +100.0U 1.5GH

  9.001  IEEE         CF11.1GHL1[V @L1]DMRF1
  9.002  TARGET       -m
  9.003  8560         -40D                         0.500000GH           N
  9.004  MATH         SpurAmpl = MEM - RefLvl
  9.005  IEEE         [@8560]MKF?;[I]
  9.006  MATH         SpurFreq = FMT((MEM / 1E+9), "%10.6f")
  9.007  TSET         TDESC = [V SpurFreq] GHz
  9.008  MATH         Acc2 = ACCV2(Dev, @ModeLogFi, SpurAmpl, MEM) / Conf
  9.009  MATH         L[1] = RSS2(Acc1, Acc2) * 2
  9.010  MATH         MEM = SpurAmpl
  9.011  ACC          dBc            L1U                                   +DW
  9.012  MEMC         -40.0dBc       -0.0U +100.0U 0.500000GH

 10.001  IEEE         CF11.1GHL1[V @L1]DMRF1
 10.002  TARGET       -m
 10.003  8560         -40D                         2.000000GH           N
 10.004  MATH         SpurAmpl = MEM - RefLvl
 10.005  IEEE         [@8560]MKF?;[I]
 10.006  MATH         SpurFreq = FMT((MEM / 1E+9), "%10.6f")
 10.007  TSET         TDESC = [V SpurFreq] GHz
 10.008  MATH         Acc2 = ACCV2(Dev, @ModeLogFi, SpurAmpl, MEM) / Conf
 10.009  MATH         L[1] = RSS2(Acc1, Acc2) * 2
 10.010  MATH         MEM = SpurAmpl
 10.011  ACC          dBc            L1U                                   +DW
 10.012  MEMC         -40.0dBc       -0.0U +100.0U 2.0GH

 11.001  IEEE         CF11.1GHL1[V @L1]DMRF1
 11.002  TARGET       -m
 11.003  8560         -40D                         6.500000GH           N
 11.004  MATH         SpurAmpl = MEM - RefLvl
 11.005  IEEE         [@8560]MKF?;[I]
 11.006  MATH         SpurFreq = FMT((MEM / 1E+9), "%10.6f")
 11.007  TSET         TDESC = [V SpurFreq] GHz
 11.008  MATH         Acc2 = ACCV2(Dev, @ModeLogFi, SpurAmpl, MEM) / Conf
 11.009  MATH         L[1] = RSS2(Acc1, Acc2) * 2
 11.010  MATH         MEM = SpurAmpl
 11.011  ACC          dBc            L1U                                   +DW
 11.012  MEMC         -40.0dBc       -0.0U +100.0U 6.5GH

 12.001  IEEE         CF11.1GHL1[V @L1]DMRF1
 12.002  TARGET       -m
 12.003  8560         -40D                         7.600000GH           N
 12.004  MATH         SpurAmpl = MEM - RefLvl
 12.005  IEEE         [@8560]MKF?;[I]
 12.006  MATH         SpurFreq = FMT((MEM / 1E+9), "%10.6f")
 12.007  TSET         TDESC = [V SpurFreq] GHz
 12.008  MATH         Acc2 = ACCV2(Dev, @ModeLogFi, SpurAmpl, MEM) / Conf
 12.009  MATH         L[1] = RSS2(Acc1, Acc2) * 2
 12.010  MATH         MEM = SpurAmpl
 12.011  ACC          dBc            L1U                                   +DW
 12.012  MEMC         -40.0dBc       -0.0U +100.0U 7.600000GH

 13.001  HEAD         -2
 13.002  CALL         Sub MG369XB Reset & SRQ Masks
 13.003  M8560        *
 13.004  8560         *                                                 S
 13.005  END

 13.006  EVAL   Increment step number

# =====  Sub MG369XB (2 yr) Spurs > 2 to <= 20 GHz /8560  ===================

 14.001  LABEL        GT_2_TO_LE_20_GHz
 14.002  RSLT         =
 14.003  HEAD         -2{ CW Freq: 2.650000 GHz} (Main Band 2 - 20 GHz)
 14.004  JMPL         2.65_GHz

# Make sure picture is re-displayed if Repeat or Cancel is selected.
 14.005  TARGET       -p
 14.006  MATH         @MG369XB_8560_Con = ""

 14.007  LABEL        2.65_GHz

 14.008  IF           EMPTY(@MG369XB_8560_Con)
 14.009  CALL         Sub MG369XB Connection /8560
 14.010  ENDIF

 14.011  MATH         @FreqGHz = 2.65
 14.012  CALL         Sub MG369XB Set Max Power
 14.013  MATH         @L1 = MIN2(+10, @MaxPower)
 14.014  M8560  RESBW 100kH
 14.015  M8560  SPAN  1MH
 14.016  IEEE         CF12.65GHL1[V @L1]DMRF1
 14.017  MATH         MEM = @L1
 14.018  M8560                                     D                    X
 14.019  8560         D                            2.650000GH           N
 14.020  MATH         RefLvl = MEM
 14.021  IEEE         [@8560]MKF?;[I]
 14.022  MATH         Acc1 = ACCV2(Dev, @ModeFreqResp, RefLvl, MEM) / Conf

# Find largest spur between 2 GHz and 20 GHz.
# Skip harmonics at 2.65, 5.3, 7.95, 10.6, 13.25, 15.9, & 18.55 GHz.

 14.023  TARGET       -m


 14.024  M8560  START 2GH                          2.35GH
 14.025  M8560  RESBW 100kH
 14.026  MATH         MEM = @L1
 14.027  M8560                                     D                    X
 14.028  8560         -60D                         2.35GH               N
 14.029  MATH         MEM = MEM - RefLvl
 14.030  MATH         SpurAmpl = MEM
 14.031  IEEE         [@8560]MKF?[I]
 14.032  MATH         SpurFreq = MEM

 14.033  M8560  START 2.35GH                       2.595GH
 14.034  M8560  RESBW 100kH
 14.035  MATH         MEM = @L1
 14.036  M8560                                     D                    X
 14.037  8560         -60D                         2.595GH              N
 14.038  MATH         MEM = MEM - RefLvl

 14.039  IF           MEM > SpurAmpl
 14.040  MATH         SpurAmpl = MEM
 14.041  IEEE         [@8560]MKF?[I]
 14.042  MATH         SpurFreq = MEM
 14.043  ENDIF

 14.044  M8560  START 2.595GH                      2.645GH
 14.045  M8560  RESBW 100kH
 14.046  MATH         MEM = @L1
 14.047  M8560                                     D                    X
 14.048  8560         -60D                         2.645GH              N
 14.049  MATH         MEM = MEM - RefLvl

 14.050  IF           MEM > SpurAmpl
 14.051  MATH         SpurAmpl = MEM
 14.052  IEEE         [@8560]MKF?[I]
 14.053  MATH         SpurFreq = MEM
 14.054  ENDIF

 14.055  M8560  START 2.645GH                      2.649GH
 14.056  M8560  RESBW 30kH
 14.057  MATH         MEM = @L1
 14.058  M8560                                     D                    X
 14.059  8560         -60D                         2.649GH              N
 14.060  MATH         MEM = MEM - RefLvl

 14.061  IF           MEM > SpurAmpl
 14.062  MATH         SpurAmpl = MEM
 14.063  IEEE         [@8560]MKF?[I]
 14.064  MATH         SpurFreq = MEM
 14.065  ENDIF

 14.066  M8560  START 2.651GH                      2.655GH
 14.067  M8560  RESBW 30kH
 14.068  MATH         MEM = @L1
 14.069  M8560                                     D                    X
 14.070  8560         -60D                         2.655GH              N
 14.071  MATH         MEM = MEM - RefLvl

 14.072  IF           MEM > SpurAmpl
 14.073  MATH         SpurAmpl = MEM
 14.074  IEEE         [@8560]MKF?[I]
 14.075  MATH         SpurFreq = MEM
 14.076  ENDIF

 14.077  M8560  START 2.655GH                      2.705GH
 14.078  M8560  RESBW 100kH
 14.079  MATH         MEM = @L1
 14.080  M8560                                     D                    X
 14.081  8560         -60D                         2.705GH              N
 14.082  MATH         MEM = MEM - RefLvl

 14.083  IF           MEM > SpurAmpl
 14.084  MATH         SpurAmpl = MEM
 14.085  IEEE         [@8560]MKF?[I]
 14.086  MATH         SpurFreq = MEM
 14.087  ENDIF

 14.088  M8560  START 2.705GH                      2.95GH
 14.089  M8560  RESBW 100kH
 14.090  MATH         MEM = @L1
 14.091  M8560                                     D                    X
 14.092  8560         -60D                         2.95GH               N
 14.093  MATH         MEM = MEM - RefLvl

 14.094  IF           MEM > SpurAmpl
 14.095  MATH         SpurAmpl = MEM
 14.096  IEEE         [@8560]MKF?[I]
 14.097  MATH         SpurFreq = MEM
 14.098  ENDIF

 14.099  M8560  START 2.95GH                       5GH
 14.100  M8560  RESBW 100kH
 14.101  MATH         MEM = @L1
 14.102  M8560                                     D                    X
 14.103  8560         -60D                         5GH                  N
 14.104  MATH         MEM = MEM - RefLvl

 14.105  IF           MEM > SpurAmpl
 14.106  MATH         SpurAmpl = MEM
 14.107  IEEE         [@8560]MKF?[I]
 14.108  MATH         SpurFreq = MEM
 14.109  ENDIF

 14.110  M8560  START 5.6GH                        7.65GH
 14.111  M8560  RESBW 100kH
 14.112  MATH         MEM = @L1
 14.113  M8560                                     D                    X
 14.114  8560         -60D                         7.65GH               N
 14.115  MATH         MEM = MEM - RefLvl

 14.116  IF           MEM > SpurAmpl
 14.117  MATH         SpurAmpl = MEM
 14.118  IEEE         [@8560]MKF?[I]
 14.119  MATH         SpurFreq = MEM
 14.120  ENDIF

 14.121  M8560  START 8.25GH                       10.3GH
 14.122  M8560  RESBW 100kH
 14.123  MATH         MEM = @L1
 14.124  M8560                                     D                    X
 14.125  8560         -60D                         10.3GH               N
 14.126  MATH         MEM = MEM - RefLvl

 14.127  IF           MEM > SpurAmpl
 14.128  MATH         SpurAmpl = MEM
 14.129  IEEE         [@8560]MKF?[I]
 14.130  MATH         SpurFreq = MEM
 14.131  ENDIF

 14.132  M8560  START 10.9GH                       12.95GH
 14.133  M8560  RESBW 100kH
 14.134  MATH         MEM = @L1
 14.135  M8560                                     D                    X
 14.136  8560         -60D                         12.95GH              N
 14.137  MATH         MEM = MEM - RefLvl

 14.138  IF           MEM > SpurAmpl
 14.139  MATH         SpurAmpl = MEM
 14.140  IEEE         [@8560]MKF?[I]
 14.141  MATH         SpurFreq = MEM
 14.142  ENDIF

 14.143  M8560  START 13.55GH                      16.775GH
 14.144  M8560  RESBW 30kH
 14.145  MATH         MEM = @L1
 14.146  M8560                                     D                    X
 14.147  8560         -60D                         16.775GH             N
 14.148  MATH         MEM = MEM - RefLvl

 14.149  IF           MEM > SpurAmpl
 14.150  MATH         SpurAmpl = MEM
 14.151  IEEE         [@8560]MKF?[I]
 14.152  MATH         SpurFreq = MEM
 14.153  ENDIF

 14.154  M8560  START 16.775GH                     20GH
 14.155  M8560  RESBW 30kH
 14.156  MATH         MEM = @L1
 14.157  M8560                                     D                    X
 14.158  8560         -60D                         20GH                 N
 14.159  MATH         MEM = MEM - RefLvl

 14.160  IF           MEM > SpurAmpl
 14.161  MATH         SpurAmpl = MEM
 14.162  IEEE         [@8560]MKF?[I]
 14.163  MATH         SpurFreq = MEM
 14.164  ENDIF

 14.165  MATH         SpurFreqGHz = FMT((SpurFreq / 1E+9), "%10.6f")
 14.166  TSET         TDESC = [V SpurFreqGHz] GHz
 14.167  MATH         Acc2 = ACCV2(Dev, @ModeLogFi, SpurAmpl, SpurFreq) / Conf
 14.168  MATH         L[1] = RSS2(Acc1, Acc2) * 2
 14.169  MATH         MEM = SpurAmpl
 14.170  ACC          dBc            L1U                                   +DW
 14.171  MEMC         -60.0dBc       -0.0U +100.0U

 15.001  RSLT         =
 15.002  HEAD         -2{ CW Freq: 4.400000 GHz} (Main Band 2 - 20 GHz)
 15.003  TARGET       -p
 15.004  M8560  SPAN  1MH
 15.005  M8560  RESBW 100kH
 15.006  IEEE         CF14.4GHL1[V @L1]DMRF1
 15.007  MATH         MEM = @L1
 15.008  M8560                                     D                    X
 15.009  8560         D                            4.400000GH           N
 15.010  MATH         RefLvl = MEM
 15.011  IEEE         [@8560]MKF?;[I]
 15.012  MATH         Acc1 = ACCV2(Dev, @ModeFreqResp, RefLvl, MEM) / Conf

# Find largest spur between 2 GHz and 20 GHz.
# Skip harmonics at 2.2, 3.3, 4.4, 8.8, 13.2 & 17.6 GHz.
 15.013  TARGET       -m



 15.014  M8560  START 2.5GH                        3GH
 15.015  M8560  RESBW 100kH
 15.016  MATH         MEM = @L1
 15.017  M8560                                     D                    X
 15.018  8560         -60D                         3GH                  N
 15.019  MATH         MEM = MEM - RefLvl
 15.020  MATH         SpurAmpl = MEM
 15.021  IEEE         [@8560]MKF?[I]
 15.022  MATH         SpurFreq = MEM

 15.023  M8560  START 3.6GH                        4.1GH
 15.024  M8560  RESBW 100kH
 15.025  MATH         MEM = @L1
 15.026  M8560                                     D                    X
 15.027  8560         -60D                         4.1GH                N
 15.028  MATH         MEM = MEM - RefLvl

 15.029  IF           MEM > SpurAmpl
 15.030  MATH         SpurAmpl = MEM
 15.031  IEEE         [@8560]MKF?[I]
 15.032  MATH         SpurFreq = MEM
 15.033  ENDIF

 15.034  M8560  START 4.1GH                        4.345GH
 15.035  M8560  RESBW 100kH
 15.036  MATH         MEM = @L1
 15.037  M8560                                     D                    X
 15.038  8560         -60D                         4.345GH              N
 15.039  MATH         MEM = MEM - RefLvl

 15.040  IF           MEM > SpurAmpl
 15.041  MATH         SpurAmpl = MEM
 15.042  IEEE         [@8560]MKF?[I]
 15.043  MATH         SpurFreq = MEM
 15.044  ENDIF

 15.045  M8560  START 4.345GH                      4.395GH
 15.046  M8560  RESBW 100kH
 15.047  MATH         MEM = @L1
 15.048  M8560                                     D                    X
 15.049  8560         -60D                         4.395GH              N
 15.050  MATH         MEM = MEM - RefLvl

 15.051  IF           MEM > SpurAmpl
 15.052  MATH         SpurAmpl = MEM
 15.053  IEEE         [@8560]MKF?[I]
 15.054  MATH         SpurFreq = MEM
 15.055  ENDIF

 15.056  M8560  START 4.395GH                      4.399GH
 15.057  M8560  RESBW 30kH
 15.058  MATH         MEM = @L1
 15.059  M8560                                     D                    X
 15.060  8560         -60D                         4.399GH              N
 15.061  MATH         MEM = MEM - RefLvl

 15.062  IF           MEM > SpurAmpl
 15.063  MATH         SpurAmpl = MEM
 15.064  IEEE         [@8560]MKF?[I]
 15.065  MATH         SpurFreq = MEM
 15.066  ENDIF

 15.067  M8560  START 4.401GH                      4.405GH
 15.068  M8560  RESBW 30kH
 15.069  MATH         MEM = @L1
 15.070  M8560                                     D                    X
 15.071  8560         -60D                         4.405GH              N
 15.072  MATH         MEM = MEM - RefLvl

 15.073  IF           MEM > SpurAmpl
 15.074  MATH         SpurAmpl = MEM
 15.075  IEEE         [@8560]MKF?[I]
 15.076  MATH         SpurFreq = MEM
 15.077  ENDIF

 15.078  M8560  START 4.405GH                      4.455GH
 15.079  M8560  RESBW 100kH
 15.080  MATH         MEM = @L1
 15.081  M8560                                     D                    X
 15.082  8560         -60D                         4.455GH              N
 15.083  MATH         MEM = MEM - RefLvl

 15.084  IF           MEM > SpurAmpl
 15.085  MATH         SpurAmpl = MEM
 15.086  IEEE         [@8560]MKF?[I]
 15.087  MATH         SpurFreq = MEM
 15.088  ENDIF

 15.089  M8560  START 4.455GH                      4.7GH
 15.090  M8560  RESBW 100kH
 15.091  MATH         MEM = @L1
 15.092  M8560                                     D                    X
 15.093  8560         -60D                         4.7GH                N
 15.094  MATH         MEM = MEM - RefLvl

 15.095  IF           MEM > SpurAmpl
 15.096  MATH         SpurAmpl = MEM
 15.097  IEEE         [@8560]MKF?[I]
 15.098  MATH         SpurFreq = MEM
 15.099  ENDIF

 15.100  M8560  START 4.7GH                        8.5GH
 15.101  M8560  RESBW 100kH
 15.102  MATH         MEM = @L1
 15.103  M8560                                     D                    X
 15.104  8560         -60D                         8.5GH                N
 15.105  MATH         MEM = MEM - RefLvl

 15.106  IF           MEM > SpurAmpl
 15.107  MATH         SpurAmpl = MEM
 15.108  IEEE         [@8560]MKF?[I]
 15.109  MATH         SpurFreq = MEM
 15.110  ENDIF

 15.111  M8560  START 9.1GH                        12.9GH
 15.112  M8560  RESBW 100kH
 15.113  MATH         MEM = @L1
 15.114  M8560                                     D                    X
 15.115  8560         -60D                         12.9GH               N
 15.116  MATH         MEM = MEM - RefLvl

 15.117  IF           MEM > SpurAmpl
 15.118  MATH         SpurAmpl = MEM
 15.119  IEEE         [@8560]MKF?[I]
 15.120  MATH         SpurFreq = MEM
 15.121  ENDIF

 15.122  M8560  START 13.5GH                       17.3GH
 15.123  M8560  RESBW 30kH
 15.124  MATH         MEM = @L1
 15.125  M8560                                     D                    X
 15.126  8560         -60D                         17.3GH               N
 15.127  MATH         MEM = MEM - RefLvl

 15.128  IF           MEM > SpurAmpl
 15.129  MATH         SpurAmpl = MEM
 15.130  IEEE         [@8560]MKF?[I]
 15.131  MATH         SpurFreq = MEM
 15.132  ENDIF

 15.133  M8560  START 17.9GH                       20GH
 15.134  M8560  RESBW 30kH
 15.135  MATH         MEM = @L1
 15.136  M8560                                     D                    X
 15.137  8560         -60D                         20GH                 N
 15.138  MATH         MEM = MEM - RefLvl

 15.139  IF           MEM > SpurAmpl
 15.140  MATH         SpurAmpl = MEM
 15.141  IEEE         [@8560]MKF?[I]
 15.142  MATH         SpurFreq = MEM
 15.143  ENDIF

 15.144  MATH         SpurFreqGHz = FMT((SpurFreq / 1E+9), "%10.6f")
 15.145  TSET         TDESC = [V SpurFreqGHz] GHz
 15.146  MATH         Acc2 = ACCV2(Dev, @ModeLogFi, SpurAmpl, SpurFreq) / Conf
 15.147  MATH         L[1] = RSS2(Acc1, Acc2) * 2
 15.148  MATH         MEM = SpurAmpl
 15.149  ACC          dBc            L1U                                   +DW
 15.150  MEMC         -60.0dBc       -0.0U +100.0U

 16.001  RSLT         =
 16.002  HEAD         -2{ CW Freq: 6.950000 GHz} (Main Band 2 - 10 GHz)
 16.003  TARGET       -p
 16.004  M8560  SPAN  1MH
 16.005  IEEE         CF16.95GHL1[V @L1]DMRF1
 16.006  MATH         MEM = @L1
 16.007  M8560  RESBW 100kH
 16.008  M8560                                     D                    X
 16.009  8560         D                            6.950000GH           N
 16.010  MATH         RefLvl = MEM
 16.011  IEEE         [@8560]MKF?;[I]
 16.012  MATH         Acc1 = ACCV2(Dev, @ModeFreqResp, RefLvl, MEM) / Conf

# Find largest spur between 2 GHz and 20 GHz.
# Skip harmonics at 3.475, 5.2125, 6.95, & 13.9 GHz.
 16.013  TARGET       -m


 16.014  M8560  START 2GH                          2.017GH
 16.015  M8560  RESBW 100kH
 16.016  MATH         MEM = @L1
 16.017  M8560                                     D                    X
 16.018  8560         -60D                         2.017GH              N
 16.019  MATH         MEM = MEM - RefLvl
 16.020  MATH         SpurAmpl = MEM
 16.021  IEEE         [@8560]MKF?[I]
 16.022  MATH         SpurFreq = MEM

 16.023  M8560  START 2.617GH                      3.175GH
 16.024  M8560  RESBW 100kH
 16.025  MATH         MEM = @L1
 16.026  M8560                                     D                    X
 16.027  8560         -60D                         3.175GH              N
 16.028  MATH         MEM = MEM - RefLvl

 16.029  IF           MEM > SpurAmpl
 16.030  MATH         SpurAmpl = MEM
 16.031  IEEE         [@8560]MKF?[I]
 16.032  MATH         SpurFreq = MEM
 16.033  ENDIF

 16.034  M8560  START 3.775GH                      4.913GH
 16.035  M8560  RESBW 100kH
 16.036  MATH         MEM = @L1
 16.037  M8560                                     D                    X
 16.038  8560         -60D                         4.913GH              N
 16.039  MATH         MEM = MEM - RefLvl

 16.040  IF           MEM > SpurAmpl
 16.041  MATH         SpurAmpl = MEM
 16.042  IEEE         [@8560]MKF?[I]
 16.043  MATH         SpurFreq = MEM
 16.044  ENDIF

 16.045  M8560  START 5.513GH                      6.65GH
 16.046  M8560  RESBW 100kH
 16.047  MATH         MEM = @L1
 16.048  M8560                                     D                    X
 16.049  8560         -60D                         6.65GH               N
 16.050  MATH         MEM = MEM - RefLvl

 16.051  IF           MEM > SpurAmpl
 16.052  MATH         SpurAmpl = MEM
 16.053  IEEE         [@8560]MKF?[I]
 16.054  MATH         SpurFreq = MEM
 16.055  ENDIF

 16.056  M8560  START 6.65GH                       6.895GH
 16.057  M8560  RESBW 100kH
 16.058  MATH         MEM = @L1
 16.059  M8560                                     D                    X
 16.060  8560         -60D                         6.895GH              N
 16.061  MATH         MEM = MEM - RefLvl

 16.062  IF           MEM > SpurAmpl
 16.063  MATH         SpurAmpl = MEM
 16.064  IEEE         [@8560]MKF?[I]
 16.065  MATH         SpurFreq = MEM
 16.066  ENDIF

 16.067  M8560  START 6.895GH                      6.945GH
 16.068  M8560  RESBW 100kH
 16.069  MATH         MEM = @L1
 16.070  M8560                                     D                    X
 16.071  8560         -60D                         6.945GH              N
 16.072  MATH         MEM = MEM - RefLvl

 16.073  IF           MEM > SpurAmpl
 16.074  MATH         SpurAmpl = MEM
 16.075  IEEE         [@8560]MKF?[I]
 16.076  MATH         SpurFreq = MEM
 16.077  ENDIF

 16.078  M8560  START 6.945GH                      6.949GH
 16.079  M8560  RESBW 30kH
 16.080  MATH         MEM = @L1
 16.081  M8560                                     D                    X
 16.082  8560         -60D                         6.949GH              N
 16.083  MATH         MEM = MEM - RefLvl

 16.084  IF           MEM > SpurAmpl
 16.085  MATH         SpurAmpl = MEM
 16.086  IEEE         [@8560]MKF?[I]
 16.087  MATH         SpurFreq = MEM
 16.088  ENDIF

 16.089  M8560  START 6.951GH                      6.955GH
 16.090  M8560  RESBW 30kH
 16.091  MATH         MEM = @L1
 16.092  M8560                                     D                    X
 16.093  8560         -60D                         6.955GH              N
 16.094  MATH         MEM = MEM - RefLvl

 16.095  IF           MEM > SpurAmpl
 16.096  MATH         SpurAmpl = MEM
 16.097  IEEE         [@8560]MKF?[I]
 16.098  MATH         SpurFreq = MEM
 16.099  ENDIF

 16.100  M8560  START 6.955GH                      7.005GH
 16.101  M8560  RESBW 100kH
 16.102  MATH         MEM = @L1
 16.103  M8560                                     D                    X
 16.104  8560         -60D                         7.005GH              N
 16.105  MATH         MEM = MEM - RefLvl

 16.106  IF           MEM > SpurAmpl
 16.107  MATH         SpurAmpl = MEM
 16.108  IEEE         [@8560]MKF?[I]
 16.109  MATH         SpurFreq = MEM
 16.110  ENDIF

 16.111  M8560  START 7.005GH                      7.25GH
 16.112  M8560  RESBW 100kH
 16.113  MATH         MEM = @L1
 16.114  M8560                                     D                    X
 16.115  8560         -60D                         7.25GH               N
 16.116  MATH         MEM = MEM - RefLvl

 16.117  IF           MEM > SpurAmpl
 16.118  MATH         SpurAmpl = MEM
 16.119  IEEE         [@8560]MKF?[I]
 16.120  MATH         SpurFreq = MEM
 16.121  ENDIF

 16.122  M8560  START 7.25GH                       10.5GH
 16.123  M8560  RESBW 30kH
 16.124  MATH         MEM = @L1
 16.125  M8560                                     D                    X
 16.126  8560         -60D                         10.5GH               N
 16.127  MATH         MEM = MEM - RefLvl

 16.128  IF           MEM > SpurAmpl
 16.129  MATH         SpurAmpl = MEM
 16.130  IEEE         [@8560]MKF?[I]
 16.131  MATH         SpurFreq = MEM
 16.132  ENDIF

 16.133  M8560  START 10.5GH                       13.6GH
 16.134  M8560  RESBW 30kH
 16.135  MATH         MEM = @L1
 16.136  M8560                                     D                    X
 16.137  8560         -60D                         13.6GH               N
 16.138  MATH         MEM = MEM - RefLvl

 16.139  IF           MEM > SpurAmpl
 16.140  MATH         SpurAmpl = MEM
 16.141  IEEE         [@8560]MKF?[I]
 16.142  MATH         SpurFreq = MEM
 16.143  ENDIF

 16.144  M8560  START 14.2GH                       17GH
 16.145  M8560  RESBW 30kH
 16.146  MATH         MEM = @L1
 16.147  M8560                                     D                    X
 16.148  8560         -60D                         17GH                 N
 16.149  MATH         MEM = MEM - RefLvl

 16.150  IF           MEM > SpurAmpl
 16.151  MATH         SpurAmpl = MEM
 16.152  IEEE         [@8560]MKF?[I]
 16.153  MATH         SpurFreq = MEM
 16.154  ENDIF

 16.155  M8560  START 17GH                         20GH
 16.156  M8560  RESBW 30kH
 16.157  MATH         MEM = @L1
 16.158  M8560                                     D                    X
 16.159  8560         -60D                         20GH                 N
 16.160  MATH         MEM = MEM - RefLvl

 16.161  IF           MEM > SpurAmpl
 16.162  MATH         SpurAmpl = MEM
 16.163  IEEE         [@8560]MKF?[I]
 16.164  MATH         SpurFreq = MEM
 16.165  ENDIF

 16.166  MATH         SpurFreqGHz = FMT((SpurFreq / 1E+9), "%10.6f")
 16.167  TSET         TDESC = [V SpurFreqGHz] GHz
 16.168  MATH         Acc2 = ACCV2(Dev, @ModeLogFi, SpurAmpl, SpurFreq) / Conf
 16.169  MATH         L[1] = RSS2(Acc1, Acc2) * 2
 16.170  MATH         MEM = SpurAmpl
 16.171  ACC          dBc            L1U                                   +DW
 16.172  MEMC         -60.0dBc       -0.0U +100.0U

 17.001  IF           @MaxFreq > 10E+9
 17.002  RSLT         =
 17.003  HEAD         -2{ CW Freq: 10.950000 GHz} (Main Band 2 - 20 GHz)
 17.004  MATH         @FreqGHz = 10.95
 17.005  CALL         Sub MG369XB Set Max Power
 17.006  MATH         @L1 = MIN2(+10, @MaxPower)
 17.007  TARGET       -p
 17.008  M8560  RESBW 100kH
 17.009  M8560  SPAN  1MH
 17.010  IEEE         CF110.95GHL1[V @L1]DMRF1
 17.011  MATH         MEM = @L1
 17.012  M8560                                     D                    X
 17.013  8560         D                            10.950000GH          N
 17.014  MATH         RefLvl = MEM
 17.015  IEEE         [@8560]MKF?;[I]
 17.016  MATH         Acc1 = ACCV2(Dev, @ModeFreqResp, RefLvl, MEM) / Conf

# Find largest spur between 2 GHz and 20 GHz.
# Skip harmonics at 2.7375, 5.475, 8.2125, & 10.95 GHz.
 17.017  TARGET       -m


 17.018  M8560  START 2GH                          3.35GH
 17.019  M8560  RESBW 30kH
 17.020  MATH         MEM = @L1
 17.021  M8560                                     D                    X
 17.022  8560         -60D                         3.35GH               N
 17.023  MATH         MEM = MEM - RefLvl
 17.024  MATH         SpurAmpl = MEM
 17.025  IEEE         [@8560]MKF?[I]
 17.026  MATH         SpurFreq = MEM

 17.027  M8560  START 3.95GH                       5.175GH
 17.028  M8560  RESBW 30kH
 17.029  MATH         MEM = @L1
 17.030  M8560                                     D                    X
 17.031  8560         -60D                         5.175GH              N
 17.032  MATH         MEM = MEM - RefLvl

 17.033  IF           MEM > SpurAmpl
 17.034  MATH         SpurAmpl = MEM
 17.035  IEEE         [@8560]MKF?[I]
 17.036  MATH         SpurFreq = MEM
 17.037  ENDIF

 17.038  M8560  START 5.775GH                      7.913GH
 17.039  M8560  RESBW 30kH
 17.040  MATH         MEM = @L1
 17.041  M8560                                     D                    X
 17.042  8560         -60D                         7.913GH              N
 17.043  MATH         MEM = MEM - RefLvl

 17.044  IF           MEM > SpurAmpl
 17.045  MATH         SpurAmpl = MEM
 17.046  IEEE         [@8560]MKF?[I]
 17.047  MATH         SpurFreq = MEM
 17.048  ENDIF

 17.049  M8560  START 8.512GH                      10.65GH
 17.050  M8560  RESBW 30kH
 17.051  MATH         MEM = @L1
 17.052  M8560                                     D                    X
 17.053  8560         -60D                         10.65GH              N
 17.054  MATH         MEM = MEM - RefLvl

 17.055  IF           MEM > SpurAmpl
 17.056  MATH         SpurAmpl = MEM
 17.057  IEEE         [@8560]MKF?[I]
 17.058  MATH         SpurFreq = MEM
 17.059  ENDIF

 17.060  M8560  START 10.65GH                      10.895GH
 17.061  M8560  RESBW 30kH
 17.062  MATH         MEM = @L1
 17.063  M8560                                     D                    X
 17.064  8560         -60D                         10.895GH             N
 17.065  MATH         MEM = MEM - RefLvl

 17.066  IF           MEM > SpurAmpl
 17.067  MATH         SpurAmpl = MEM
 17.068  IEEE         [@8560]MKF?[I]
 17.069  MATH         SpurFreq = MEM
 17.070  ENDIF

 17.071  M8560  START 10.895GH                     10.945GH
 17.072  M8560  RESBW 30kH
 17.073  MATH         MEM = @L1
 17.074  M8560                                     D                    X
 17.075  8560         -60D                         10.945GH             N
 17.076  MATH         MEM = MEM - RefLvl

 17.077  IF           MEM > SpurAmpl
 17.078  MATH         SpurAmpl = MEM
 17.079  IEEE         [@8560]MKF?[I]
 17.080  MATH         SpurFreq = MEM
 17.081  ENDIF

 17.082  M8560  START 10.945GH                     10.949GH
 17.083  M8560  RESBW 30kH
 17.084  MATH         MEM = @L1
 17.085  M8560                                     D                    X
 17.086  8560         -60D                         10.949GH             N
 17.087  MATH         MEM = MEM - RefLvl

 17.088  IF           MEM > SpurAmpl
 17.089  MATH         SpurAmpl = MEM
 17.090  IEEE         [@8560]MKF?[I]
 17.091  MATH         SpurFreq = MEM
 17.092  ENDIF

 17.093  M8560  START 10.951GH                     10.955GH
 17.094  M8560  RESBW 30kH
 17.095  MATH         MEM = @L1
 17.096  M8560                                     D                    X
 17.097  8560         -60D                         10.955GH             N
 17.098  MATH         MEM = MEM - RefLvl

 17.099  IF           MEM > SpurAmpl
 17.100  MATH         SpurAmpl = MEM
 17.101  IEEE         [@8560]MKF?[I]
 17.102  MATH         SpurFreq = MEM
 17.103  ENDIF

 17.104  M8560  START 10.955GH                     11.005GH
 17.105  M8560  RESBW 30kH
 17.106  MATH         MEM = @L1
 17.107  M8560                                     D                    X
 17.108  8560         -60D                         11.005GH             N
 17.109  MATH         MEM = MEM - RefLvl

 17.110  IF           MEM > SpurAmpl
 17.111  MATH         SpurAmpl = MEM
 17.112  IEEE         [@8560]MKF?[I]
 17.113  MATH         SpurFreq = MEM
 17.114  ENDIF

 17.115  M8560  START 11.005GH                     11.25GH
 17.116  M8560  RESBW 30kH
 17.117  MATH         MEM = @L1
 17.118  M8560                                     D                    X
 17.119  8560         -60D                         11.25GH              N
 17.120  MATH         MEM = MEM - RefLvl

 17.121  IF           MEM > SpurAmpl
 17.122  MATH         SpurAmpl = MEM
 17.123  IEEE         [@8560]MKF?[I]
 17.124  MATH         SpurFreq = MEM
 17.125  ENDIF

 17.126  M8560  START 11.25GH                      15.5GH
 17.127  M8560  RESBW 10kH
 17.128  MATH         MEM = @L1
 17.129  M8560                                     D                    X
 17.130  8560         -60D                         15.5GH               N
 17.131  MATH         MEM = MEM - RefLvl

 17.132  IF           MEM > SpurAmpl
 17.133  MATH         SpurAmpl = MEM
 17.134  IEEE         [@8560]MKF?[I]
 17.135  MATH         SpurFreq = MEM
 17.136  ENDIF

 17.137  M8560  START 15.5GH                       20GH
 17.138  M8560  RESBW 10kH
 17.139  MATH         MEM = @L1
 17.140  M8560                                     D                    X
 17.141  8560         -60D                         20GH                 N
 17.142  MATH         MEM = MEM - RefLvl

 17.143  IF           MEM > SpurAmpl
 17.144  MATH         SpurAmpl = MEM
 17.145  IEEE         [@8560]MKF?[I]
 17.146  MATH         SpurFreq = MEM
 17.147  ENDIF

 17.148  MATH         SpurFreqGHz = FMT((SpurFreq / 1E+9), "%10.6f")
 17.149  TSET         TDESC = [V SpurFreqGHz] GHz
 17.150  MATH         Acc2 = ACCV2(Dev, @ModeLogFi, SpurAmpl, SpurFreq) / Conf
 17.151  MATH         L[1] = RSS2(Acc1, Acc2) * 2
 17.152  MATH         MEM = SpurAmpl
 17.153  ACC          dBc            L1U                                   +DW
 17.154  MEMC         -60.0dBc       -0.0U +100.0U

 18.001  RSLT         =
 18.002  HEAD         -2{ CW Freq: 16.750000 GHz} (Main Band 2 - 20 GHz)
 18.003  M8560  RESBW 100kH
 18.004  TARGET       -p
 18.005  M8560  SPAN  1MH
 18.006  IEEE         CF116.75GHL1[V @L1]DMRF1
 18.007  MATH         MEM = @L1
 18.008  M8560                                     D                    X
 18.009  8560         D                            16.750000GH          N
 18.010  MATH         RefLvl = MEM
 18.011  IEEE         [@8560]MKF?;[I]
 18.012  MATH         Acc1 = ACCV2(Dev, @ModeFreqResp, RefLvl, MEM) / Conf

# Find largest spur between 2 GHz and 20 GHz.
# Skip harmonics at 4.1875 8.375, 12.5625 & 16.75 GHz.
 18.013  TARGET       -m



 18.014  M8560  START 2GH                          5.283GH
 18.015  M8560  RESBW 30kH
 18.016  MATH         MEM = @L1
 18.017  M8560                                     D                    X
 18.018  8560         -60D                         5.283GH              N
 18.019  MATH         MEM = MEM - RefLvl
 18.020  MATH         SpurAmpl = MEM
 18.021  IEEE         [@8560]MKF?[I]
 18.022  MATH         SpurFreq = MEM

 18.023  M8560  START 5.883GH                      8.075GH
 18.024  M8560  RESBW 30kH
 18.025  MATH         MEM = @L1
 18.026  M8560                                     D                    X
 18.027  8560         -60D                         8.075GH              N
 18.028  MATH         MEM = MEM - RefLvl

 18.029  IF           MEM > SpurAmpl
 18.030  MATH         SpurAmpl = MEM
 18.031  IEEE         [@8560]MKF?[I]
 18.032  MATH         SpurFreq = MEM
 18.033  ENDIF

 18.034  M8560  START 8.675GH                      12.263GH
 18.035  M8560  RESBW 30kH
 18.036  MATH         MEM = @L1
 18.037  M8560                                     D                    X
 18.038  8560         -60D                         12.263GH             N
 18.039  MATH         MEM = MEM - RefLvl

 18.040  IF           MEM > SpurAmpl
 18.041  MATH         SpurAmpl = MEM
 18.042  IEEE         [@8560]MKF?[I]
 18.043  MATH         SpurFreq = MEM
 18.044  ENDIF

 18.045  M8560  START 12.863GH                     16.45GH
 18.046  M8560  RESBW 10kH
 18.047  MATH         MEM = @L1
 18.048  M8560                                     D                    X
 18.049  8560         -60D                         16.45GH              N
 18.050  MATH         MEM = MEM - RefLvl

 18.051  IF           MEM > SpurAmpl
 18.052  MATH         SpurAmpl = MEM
 18.053  IEEE         [@8560]MKF?[I]
 18.054  MATH         SpurFreq = MEM
 18.055  ENDIF

 18.056  M8560  START 16.45GH                      16.695GH
 18.057  M8560  RESBW 30kH
 18.058  MATH         MEM = @L1
 18.059  M8560                                     D                    X
 18.060  8560         -60D                         16.695GH             N
 18.061  MATH         MEM = MEM - RefLvl

 18.062  IF           MEM > SpurAmpl
 18.063  MATH         SpurAmpl = MEM
 18.064  IEEE         [@8560]MKF?[I]
 18.065  MATH         SpurFreq = MEM
 18.066  ENDIF

 18.067  M8560  START 16.695GH                     16.745GH
 18.068  M8560  RESBW 30kH
 18.069  MATH         MEM = @L1
 18.070  M8560                                     D                    X
 18.071  8560         -60D                         16.745GH             N
 18.072  MATH         MEM = MEM - RefLvl

 18.073  IF           MEM > SpurAmpl
 18.074  MATH         SpurAmpl = MEM
 18.075  IEEE         [@8560]MKF?[I]
 18.076  MATH         SpurFreq = MEM
 18.077  ENDIF

 18.078  M8560  START 16.745GH                     16.749GH
 18.079  M8560  RESBW 30kH
 18.080  MATH         MEM = @L1
 18.081  M8560                                     D                    X
 18.082  8560         -60D                         16.749GH             N
 18.083  MATH         MEM = MEM - RefLvl

 18.084  IF           MEM > SpurAmpl
 18.085  MATH         SpurAmpl = MEM
 18.086  IEEE         [@8560]MKF?[I]
 18.087  MATH         SpurFreq = MEM
 18.088  ENDIF

 18.089  M8560  START 16.751GH                     16.755GH
 18.090  M8560  RESBW 30kH
 18.091  MATH         MEM = @L1
 18.092  M8560                                     D                    X
 18.093  8560         -60D                         16.755GH             N
 18.094  MATH         MEM = MEM - RefLvl

 18.095  IF           MEM > SpurAmpl
 18.096  MATH         SpurAmpl = MEM
 18.097  IEEE         [@8560]MKF?[I]
 18.098  MATH         SpurFreq = MEM
 18.099  ENDIF

 18.100  M8560  START 16.755GH                     16.805GH
 18.101  M8560  RESBW 30kH
 18.102  MATH         MEM = @L1
 18.103  M8560                                     D                    X
 18.104  8560         -60D                         16.805GH             N
 18.105  MATH         MEM = MEM - RefLvl

 18.106  IF           MEM > SpurAmpl
 18.107  MATH         SpurAmpl = MEM
 18.108  IEEE         [@8560]MKF?[I]
 18.109  MATH         SpurFreq = MEM
 18.110  ENDIF

 18.111  M8560  START 16.805GH                     17.05GH
 18.112  M8560  RESBW 30kH
 18.113  MATH         MEM = @L1
 18.114  M8560                                     D                    X
 18.115  8560         -60D                         17.05GH              N
 18.116  MATH         MEM = MEM - RefLvl

 18.117  IF           MEM > SpurAmpl
 18.118  MATH         SpurAmpl = MEM
 18.119  IEEE         [@8560]MKF?[I]
 18.120  MATH         SpurFreq = MEM
 18.121  ENDIF

 18.122  M8560  START 17.05GH                      20GH
 18.123  M8560  RESBW 10kH
 18.124  MATH         MEM = @L1
 18.125  M8560                                     D                    X
 18.126  8560         -60D                         20GH                 N
 18.127  MATH         MEM = MEM - RefLvl

 18.128  IF           MEM > SpurAmpl
 18.129  MATH         SpurAmpl = MEM
 18.130  IEEE         [@8560]MKF?[I]
 18.131  MATH         SpurFreq = MEM
 18.132  ENDIF

 18.133  MATH         SpurFreqGHz = FMT((SpurFreq / 1E+9), "%10.6f")
 18.134  TSET         TDESC = [V SpurFreqGHz] GHz
 18.135  MATH         Acc2 = ACCV2(Dev, @ModeLogFi, SpurAmpl, SpurFreq) / Conf
 18.136  MATH         L[1] = RSS2(Acc1, Acc2) * 2
 18.137  MATH         MEM = SpurAmpl
 18.138  ACC          dBc            L1U                                   +DW
 18.139  MEMC         -60.0dBc       -0.0U +100.0U
 19.001  ENDIF        ; @MaxFreq > 10E+9

 19.002  HEAD         -2
 19.003  CALL         Sub MG369XB Reset & SRQ Masks
 19.004  M8560        *
 19.005  8560         *                                                 S
 19.006  END

 19.007  EVAL   Increment step number

# =====  Sub MG369XB (2 yr) Spurs > 20 GHz /8560  ===========================

 20.001  LABEL        GT_20_GHz
 20.002  RSLT         =
 20.003  HEAD         -2{ CW Freq: 20.001000 GHz}
 20.004  MATH         @FreqGHz = 20.001
 20.005  CALL         Sub MG369XB Set Max Power
 20.006  MATH         @L1 = MIN2(+10, @MaxPower)
 20.007  M8560  RESBW 10kH
 20.008  M8560  SPAN  1MH
 20.009  MATH         MEM = @L1
 20.010  M8560                                     D                    X
 20.011  JMPL         20.001_GHz

# Make sure picture is re-displayed if Repeat or Cancel is selected.
 20.012  TARGET       -p
 20.013  MATH         @MG369XB_8560_Con = ""

 20.014  LABEL        20.001_GHz

 20.015  IF           EMPTY(@MG369XB_8560_Con)
 20.016  CALL         Sub MG369XB Connection /8560
 20.017  ENDIF

 20.018  IEEE         CF120.001GHL1[V @L1]DMRF1
 20.019  MATH         MEM = @L1
 20.020  8560         D                            20.001000GH          N
 20.021  MATH         RefLvl = MEM
 20.022  IEEE         [@8560]MKF?;[I]
 20.023  MATH         Acc1 = ACCV2(Dev, @ModeFreqResp, RefLvl, MEM) / Conf
 20.024  TARGET       -m
 20.025  8560         -60D                         40.000000GH          N
 20.026  MATH         SpurAmpl = MEM - RefLvl
 20.027  IEEE         [@8560]MKF?;[I]
 20.028  MATH         SpurFreq = FMT((MEM / 1E+9), "%10.6f")
 20.029  TSET         TDESC = [V SpurFreq] GHz
 20.030  MATH         Acc2 = ACCV2(Dev, @ModeLogFi, SpurAmpl, MEM) / Conf
 20.031  MATH         L[1] = RSS2(Acc1, Acc2) * 2
 20.032  MATH         MEM = SpurAmpl
 20.033  ACC          dBc            L1U                                   +DW
 20.034  MEMC         -60.0dBc       -0.0U +100.0U 40.000000GH

 21.001  RSLT         =
 21.002  HEAD         -2{ CW Freq: 24.999000 GHz}
 21.003  TARGET       -p
 21.004  IEEE         CF124.999GHL1[V @L1]DMRF1
 21.005  MATH         MEM = @L1
 21.006  8560         D                            24.999000GH          N
 21.007  MATH         RefLvl = MEM
 21.008  IEEE         [@8560]MKF?;[I]
 21.009  MATH         Acc1 = ACCV2(Dev, @ModeFreqResp, RefLvl, MEM) / Conf
 21.010  TARGET       -m
 21.011  8560         -60D                         45.800000GH          N
 21.012  MATH         SpurAmpl = MEM - RefLvl
 21.013  IEEE         [@8560]MKF?;[I]
 21.014  MATH         SpurFreq = FMT((MEM / 1E+9), "%10.6f")
 21.015  TSET         TDESC = [V SpurFreq] GHz
 21.016  MATH         Acc2 = ACCV2(Dev, @ModeLogFi, SpurAmpl, MEM) / Conf
 21.017  MATH         L[1] = RSS2(Acc1, Acc2) * 2
 21.018  MATH         MEM = SpurAmpl
 21.019  ACC          dBc            L1U                                   +DW
 21.020  MEMC         -60.0dBc       -0.0U +100.0U 45.800000GH

 22.001  IEEE         CF124.999GHL1[V @L1]DMRF1
 22.002  TARGET       -m
 22.003  8560         -60D                         49.667000GH          N
 22.004  MATH         SpurAmpl = MEM - RefLvl
 22.005  IEEE         [@8560]MKF?;[I]
 22.006  MATH         SpurFreq = FMT((MEM / 1E+9), "%10.6f")
 22.007  TSET         TDESC = [V SpurFreq] GHz
 22.008  MATH         Acc2 = ACCV2(Dev, @ModeLogFi, SpurAmpl, MEM) / Conf
 22.009  MATH         L[1] = RSS2(Acc1, Acc2) * 2
 22.010  MATH         MEM = SpurAmpl
 22.011  ACC          dBc            L1U                                   +DW
 22.012  MEMC         -60.0dBc       -0.0U +100.0U 49.667000GH

 23.001  RSLT         =
 23.002  HEAD         -2{ CW Freq: 25.001000 GHz}
 23.003  TARGET       -p
 23.004  IEEE         CF125.001GHL1[V @L1]DMRF1
 23.005  MATH         MEM = @L1
 23.006  8560         D                            25.001000GH          N
 23.007  MATH         RefLvl = MEM
 23.008  IEEE         [@8560]MKF?;[I]
 23.009  MATH         Acc1 = ACCV2(Dev, @ModeFreqResp, RefLvl, MEM) / Conf
 23.010  TARGET       -m
 23.011  8560         -60D                         49.799800GH          N
 23.012  MATH         SpurAmpl = MEM - RefLvl
 23.013  IEEE         [@8560]MKF?;[I]
 23.014  MATH         SpurFreq = FMT((MEM / 1E+9), "%10.6f")
 23.015  TSET         TDESC = [V SpurFreq] GHz
 23.016  MATH         Acc2 = ACCV2(Dev, @ModeLogFi, SpurAmpl, MEM) / Conf
 23.017  MATH         L[1] = RSS2(Acc1, Acc2) * 2
 23.018  MATH         MEM = SpurAmpl
 23.019  ACC          dBc            L1U                                   +DW
 23.020  MEMC         -60.0dBc       -0.0U +100.0U 49.799800GH

 24.001  IF           @MaxFreq > 30E+9
 24.002  RSLT         =
 24.003  HEAD         -2{ CW Freq: 31.886891 GHz}
 24.004  TARGET       -p
 24.005  IEEE         CF131.886891GHL1[V @L1]DMRF1
 24.006  MATH         MEM = @L1
 24.007  8560         D                            31.886891GH          N
 24.008  MATH         RefLvl = MEM
 24.009  IEEE         [@8560]MKF?;[I]
 24.010  MATH         Acc1 = ACCV2(Dev, @ModeFreqResp, RefLvl, MEM) / Conf
 24.011  TARGET       -m
 24.012  8560         -60D                         26.246891GH          N
 24.013  MATH         SpurAmpl = MEM - RefLvl
 24.014  IEEE         [@8560]MKF?;[I]
 24.015  MATH         SpurFreq = FMT((MEM / 1E+9), "%10.6f")
 24.016  TSET         TDESC = [V SpurFreq] GHz
 24.017  MATH         Acc2 = ACCV2(Dev, @ModeLogFi, SpurAmpl, MEM) / Conf
 24.018  MATH         L[1] = RSS2(Acc1, Acc2) * 2
 24.019  MATH         MEM = SpurAmpl
 24.020  ACC          dBc            L1U                                   +DW
 24.021  MEMC         -60.0dBc       -0.0U +100.0U 26.246891GH

 25.001  RSLT         =
 25.002  HEAD         -2{ CW Freq: 32.892580 GHz}
 25.003  TARGET       -p
 25.004  IEEE         CF132.89258GHL1[V @L1]DMRF1
 25.005  MATH         MEM = @L1
 25.006  8560         D                            32.892580GH          N
 25.007  MATH         RefLvl = MEM
 25.008  IEEE         [@8560]MKF?;[I]
 25.009  MATH         Acc1 = ACCV2(Dev, @ModeFreqResp, RefLvl, MEM) / Conf
 25.010  TARGET       -m
 25.011  8560         -60D                         28.555738GH          N
 25.012  MATH         SpurAmpl = MEM - RefLvl
 25.013  IEEE         [@8560]MKF?;[I]
 25.014  MATH         SpurFreq = FMT((MEM / 1E+9), "%10.6f")
 25.015  TSET         TDESC = [V SpurFreq] GHz
 25.016  MATH         Acc2 = ACCV2(Dev, @ModeLogFi, SpurAmpl, MEM) / Conf
 25.017  MATH         L[1] = RSS2(Acc1, Acc2) * 2
 25.018  MATH         MEM = SpurAmpl
 25.019  ACC          dBc            L1U                                   +DW
 25.020  MEMC         -60.0dBc       -0.0U +100.0U 28.555738GH

 26.001  RSLT         =
 26.002  HEAD         -2{ CW Freq: 39.999000 GHz}
 26.003  TARGET       -p
 26.004  IEEE         CF139.999GHL1[V @L1]DMRF1
 26.005  MATH         MEM = @L1
 26.006  8560         D                            39.999000GH          N
 26.007  MATH         RefLvl = MEM
 26.008  IEEE         [@8560]MKF?;[I]
 26.009  MATH         Acc1 = ACCV2(Dev, @ModeFreqResp, RefLvl, MEM) / Conf
 26.010  TARGET       -m
 26.011  8560         -60D                         36.515522GH          N
 26.012  MATH         SpurAmpl = MEM - RefLvl
 26.013  IEEE         [@8560]MKF?;[I]
 26.014  MATH         SpurFreq = FMT((MEM / 1E+9), "%10.6f")
 26.015  TSET         TDESC = [V SpurFreq] GHz
 26.016  MATH         Acc2 = ACCV2(Dev, @ModeLogFi, SpurAmpl, MEM) / Conf
 26.017  MATH         L[1] = RSS2(Acc1, Acc2) * 2
 26.018  MATH         MEM = SpurAmpl
 26.019  ACC          dBc            L1U                                   +DW
 26.020  MEMC         -60.0dBc       -0.0U +100.0U 36.515522GH

 27.001  IF           @MaxFreq > 40E+9
 27.002  RSLT         =
 27.003  HEAD         -2{ CW Freq: 40.001000 GHz}
 27.004  TARGET       -p
 27.005  IEEE         CF140.001GHL1[V @L1]DMRF1
 27.006  MATH         MEM = @L1
 27.007  8560         D                            40.001000GH          N
 27.008  MATH         RefLvl = MEM
 27.009  IEEE         [@8560]MKF?;[I]
 27.010  MATH         Acc1 = ACCV2(Dev, @ModeFreqResp, RefLvl, MEM) / Conf
 27.011  TARGET       -m
 27.012  8560         -60D                         39.935300GH          N
 27.013  MATH         SpurAmpl = MEM - RefLvl
 27.014  IEEE         [@8560]MKF?;[I]
 27.015  MATH         SpurFreq = FMT((MEM / 1E+9), "%10.6f")
 27.016  TSET         TDESC = [V SpurFreq] GHz
 27.017  MATH         Acc2 = ACCV2(Dev, @ModeLogFi, SpurAmpl, MEM) / Conf
 27.018  MATH         L[1] = RSS2(Acc1, Acc2) * 2
 27.019  MATH         MEM = SpurAmpl
 27.020  ACC          dBc            L1U                                   +DW
 27.021  MEMC         -60.0dBc       -0.0U +100.0U 39.935300GH

 28.001  RSLT         =
 28.002  HEAD         -2{ CW Freq: 43.634869 GHz}
 28.003  TARGET       -p
 28.004  IEEE         CF143.634869GHL1[V @L1]DMRF1
 28.005  MATH         MEM = @L1
 28.006  8560         D                            43.634869GH          N
 28.007  MATH         RefLvl = MEM
 28.008  IEEE         [@8560]MKF?;[I]
 28.009  MATH         Acc1 = ACCV2(Dev, @ModeFreqResp, RefLvl, MEM) / Conf
 28.010  TARGET       -m
 28.011  8560         -60D                         43.723037GH          N
 28.012  MATH         SpurAmpl = MEM - RefLvl
 28.013  IEEE         [@8560]MKF?;[I]
 28.014  MATH         SpurFreq = FMT((MEM / 1E+9), "%10.6f")
 28.015  TSET         TDESC = [V SpurFreq] GHz
 28.016  MATH         Acc2 = ACCV2(Dev, @ModeLogFi, SpurAmpl, MEM) / Conf
 28.017  MATH         L[1] = RSS2(Acc1, Acc2) * 2
 28.018  MATH         MEM = SpurAmpl
 28.019  ACC          dBc            L1U                                   +DW
 28.020  MEMC         -60.0dBc       -0.0U +100.0U 43.723037GH

 29.001  RSLT         =
 29.002  HEAD         -2{ CW Freq: 49.999000 GHz}
 29.003  TARGET       -p
 29.004  IEEE         CF149.999GHL1[V @L1]DMRF1
 29.005  MATH         MEM = @L1
 29.006  8560         D                            49.999000GH          N
 29.007  MATH         RefLvl = MEM
 29.008  IEEE         [@8560]MKF?;[I]
 29.009  MATH         Acc1 = ACCV2(Dev, @ModeFreqResp, RefLvl, MEM) / Conf
 29.010  TARGET       -m
 29.011  8560         -60D                         44.215923GH          N
 29.012  MATH         SpurAmpl = MEM - RefLvl
 29.013  IEEE         [@8560]MKF?;[I]
 29.014  MATH         SpurFreq = FMT((MEM / 1E+9), "%10.6f")
 29.015  TSET         TDESC = [V SpurFreq] GHz
 29.016  MATH         Acc2 = ACCV2(Dev, @ModeLogFi, SpurAmpl, MEM) / Conf
 29.017  MATH         L[1] = RSS2(Acc1, Acc2) * 2
 29.018  MATH         MEM = SpurAmpl
 29.019  ACC          dBc            L1U                                   +DW
 29.020  MEMC         -60.0dBc       -0.0U +100.0U 44.215923GH
 30.001  ENDIF        ; @MaxFreq > 40E+9

 30.002  ENDIF        ; @MaxFreq > 30E+9

 30.003  HEAD         -2
 30.004  CALL         Sub MG369XB Reset & SRQ Masks
 30.005  M8560        *
 30.006  8560         *                                                 S
 30.007  END
