﻿Anritsu Company                                             MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub MG369XB Calculate AM /8901,LO
DATE:                  2009-09-10 17:37:31
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       78
CONFIGURATION:         HP 8901B
CONFIGURATION:         Anritsu 68369B
=============================================================================
#
#  Procedure Author:
#        DAC
#
#  Model(s) Covered:
#        MG369XB with Option 23, 25X, 27, or 28X
#
#  Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        None
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# Dummy statements to force header to contain reference used in subprocedure.
  1.001  IF           0
  1.002  IEEE         [@LO]
  1.003  ENDIF

# =====  Sub MG369XB (2 yr) Calculate AM /8901,LO  ==========================

  1.004  TARGET
# The 8901 must be setup for each iteration of the TARGET -m loop because
# a peak+ and peak- reading are taken.
  1.005  TSET         MEASURE_ONLY = No
  1.006  CALL         Sub Apply /LO
  1.007  IEEE         RF1[D50]
  1.008  M8901        1kH                                         H2 L2    P+

# 1 GHz test uses 8901 IF Freq of 600.53 MHz.
  1.009  IF           ZCMP(@LO_Freq, "1.60053 GHz")
  1.010  8901         50pct                        600.53MH          AM N
  1.011  ELSE
  1.012  8901         50pct                        120.53MH          AM N
  1.013  ENDIF

  1.014  MATH         Pk1 = MEM; AccPos = (REFACC() / MEM) * 100
  1.015  M8901        1kH                                         H2 L2    P-

  1.016  IF           ZCMP(@LO_Freq, "1.60053 GHz")
  1.017  8901         50pct                        600.53MH          AM N
  1.018  ELSE
  1.019  8901         50pct                        120.53MH          AM N
  1.020  ENDIF

  1.021  MATH         Pk2 = MEM; AccNeg = (REFACC() / MEM) * 100

  1.022  MATH         MEM = ((Pk1 + Pk2) / (200 + Pk1 - Pk2)) * 100
  1.023  MATH         MEM = CRND(MEM, 0.01)
  1.024  MATH         M[1] = RSS2(AccPos, AccNeg)

  1.025  END

