﻿Anritsu Company                                             MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub MG369XB ML2530A Absolute Range Cal
INSTRUMENT:            Sub MG369XB ML2530A Relative Range Cal
DATE:                  2009-09-01 16:57:19
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       3
NUMBER OF LINES:       137
CONFIGURATION:         Anritsu ML2530A
=============================================================================
#
#  Procedure Author:
#        DAC
#
#  Model(s) Covered:
#        MG369XB
#
#  Compatibility:
#        MET/CAL 7.20E or later
#
#  Subprocedures:
#        None
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  MATH         Freq = ENGR((@FreqGHz * 1E+9) & "Hz")

  1.002  JMPL         ABSOLUTE_RANGE_CAL PSUBI("Absolute")
  1.003  JMPL         RELATIVE_RANGE_CAL PSUBI("Relative")
  1.004  DISP         Subprocedure not found!
  1.005  END

  1.006  EVAL   Increment step number

# =====  Sub MG369XB ML2530A Absolute Range Cal  ============================

  2.001  LABEL        ABSOLUTE_RANGE_CAL
  2.002  HEAD         RANGE CALIBRATION @ [V Freq]

  2.003  HEAD         -2 Determine Cal Offsets
  2.004  IEEE         CF1[V @FreqGHz]GHL10DMRF1[D50]
  2.005  ML2530       NoSensorModuleRequired; Bandwidth = 10 Hz
  2.005  ML2530       Freq = [V Freq]; FreqSpan = 10 kHz
  2.005  ML2530       +Level = 0 dBm; Range = +20 dBm; AverageCount = 3
  2.006  MATH         CalLevel1 = 0 - MEM

  2.007  IEEE         CF1[V @FreqGHz]GHL1-30DMRF1[D50]
  2.008  ML2530       NoSensorModuleRequired; Bandwidth = 10 Hz
  2.008  ML2530       Freq = [V Freq]; FreqSpan = 10 kHz
  2.008  ML2530       +Level = -30 dBm; Range = -25 dBm; AverageCount = 3
  2.009  MATH         CalLevel2 = -30 + (-30 - MEM)

  2.010  IEEE         CF1[V @FreqGHz]GHL1-75DMRF1[D50]
  2.011  ML2530       NoSensorModuleRequired; Bandwidth = 10 Hz
  2.011  ML2530       Freq = [V Freq]; FreqSpan = 10 kHz
  2.011  ML2530       +Level = -75 dBm; Range = -70 dBm; AverageCount = 3
  2.012  MATH         CalLevel3 = -75 + (-75 - MEM)

  2.013  HEAD         -2 Sensor Module to Range 1
  2.014  IEEE         CF1[V @FreqGHz]GHL1[V CalLevel1]DMRF1[D50]
  2.015  ML2530       Bandwidth = 10 Hz
  2.015  ML2530       Freq = [V Freq]; FreqSpan = 10 kHz
  2.015  ML2530       Calibrate; SensorModuleToRange1; Level = 0 dBm

  2.016  HEAD         -2 Range 1 to Range 2
  2.017  IEEE         CF1[V @FreqGHz]GHL1[V CalLevel2]DMRF1[D50]
  2.018  ML2530       Bandwidth = 10 Hz
  2.018  ML2530       Freq = [V Freq]; FreqSpan = 10 kHz
  2.018  ML2530       Calibrate; Range1ToRange2; Level = -30 dBm

  2.019  HEAD         -2 Range 2 to Range 3
  2.020  IEEE         CF1[V @FreqGHz]GHL1[V CalLevel3]DMRF1[D50]
  2.021  ML2530       Bandwidth = 10 Hz
  2.021  ML2530       Freq = [V Freq]; FreqSpan = 10 kHz
  2.021  ML2530       Calibrate; Range2ToRange3; Level = -75 dBm

  2.022  HEAD         -2
  2.023  HEAD         RANGE CALIBRATION COMPLETE
  2.024  ML2530       Calibrate; RangeCalEnd

  2.025  HEAD
  2.026  END

  2.027  EVAL   Increment step number

# =====  Sub MG369XB ML2530A Relative Range Cal  ============================

  3.001  LABEL        RELATIVE_RANGE_CAL
  3.002  HEAD         RANGE CALIBRATION @ [V Freq]

  3.003  HEAD         -2 Determine Cal Offsets
  3.004  IEEE         CF1[V @FreqGHz]GHL1-30DMRF1[D50]
  3.005  ML2530       NoSensorModuleRequired; Bandwidth = 10 Hz
  3.005  ML2530       Freq = [V Freq]; FreqSpan = 10 kHz
  3.005  ML2530       +Level = -30 dBm; Range = -25 dBm; AverageCount = 3
  3.006  MATH         CalLevel2 = -30 + (-30 - MEM)

  3.007  IEEE         CF1[V @FreqGHz]GHL1-75DMRF1[D50]
  3.008  ML2530       NoSensorModuleRequired; Bandwidth = 10 Hz
  3.008  ML2530       Freq = [V Freq]; FreqSpan = 10 kHz
  3.008  ML2530       +Level = -75 dBm; Range = -70 dBm; AverageCount = 3
  3.009  MATH         CalLevel3 = -75 + (-75 - MEM)

  3.010  HEAD         -2 Range 1 to Range 2
  3.011  IEEE         CF1[V @FreqGHz]GHL1[V CalLevel2]DMRF1[D50]
  3.012  ML2530       NoSensorModuleRequired; Bandwidth = 10 Hz
  3.012  ML2530       Freq = [V Freq]; FreqSpan = 10 kHz
  3.012  ML2530       Calibrate; Range1ToRange2; Level = -30 dBm

  3.013  HEAD         -2 Range 2 to Range 3
  3.014  IEEE         CF1[V @FreqGHz]GHL1[V CalLevel3]DMRF1[D50]
  3.015  ML2530       NoSensorModuleRequired; Bandwidth = 10 Hz
  3.015  ML2530       Freq = [V Freq]; FreqSpan = 10 kHz
  3.015  ML2530       Calibrate; Range2ToRange3; Level = -75 dBm

  3.016  HEAD         -2
  3.017  HEAD         RANGE CALIBRATION COMPLETE
  3.018  ML2530       Calibrate; NoSensorModuleRequired; RangeCalEnd

  3.019  HEAD
  3.020  END


