﻿© 2010 Fluke Corporation, All rights reserved               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub MG369XB ML2530A Absolute Range Cal /LO
INSTRUMENT:            Sub MG369XB ML2530A Relative Range Cal /LO
DATE:                  2010-02-10 07:23:56
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       3
NUMBER OF LINES:       155
CONFIGURATION:         Anritsu ML2530A
CONFIGURATION:         Local Oscillator
=============================================================================
#
#  Procedure Author:
#        DAC AWS
#
#  Model(s) Covered:
#        MG369XB
#
#  Compatibility:
#        MET/CAL 7.20E or later
#
#  Subprocedures:
#        None
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           0
  1.002  IEEE         [@LO]
  1.003  ENDIF

  1.004  MATH         I_Freq = ABS((@FreqGHz * 1E+9)-(@LoFreqMHz * 1E+6))
  1.005  MATH         Freq = ENGR((@FreqGHz * 1E+9) & "Hz")

  1.006  JMPL         ABSOLUTE_RANGE_CAL PSUBI("Absolute")
  1.007  JMPL         RELATIVE_RANGE_CAL PSUBI("Relative")
  1.008  DISP         Subprocedure not found!
  1.009  END

  1.010  EVAL   Increment step number

# =====  Sub MG369XB ML2530A Absolute Range Cal  ============================

  2.001  LABEL        ABSOLUTE_RANGE_CAL
  2.002  HEAD         RANGE CALIBRATION @ [V Freq]

  2.003  HEAD         -2 LO Setup
  2.004  MATH         @LO_Freq = @LoFreqMHz & "MHz"; @LO_Ampl = "+6 dBm"
  2.005  CALL         Sub Apply /LO

  2.006  HEAD         -2 Determine Cal Offsets
  2.007  IEEE         CF1[V @FreqGHz]GHL10DMRF1[D50]
  2.008  ML2530       NoSensorModuleRequired; Bandwidth = 10 Hz
  2.008  ML2530       Freq = [V I_Freq] Hz; FreqSpan = 10 kHz
  2.008  ML2530       +Level = 0 dBm; Range = +20 dBm; AverageCount = 3
  2.009  MATH         CalLevel1 = 0 - MEM

  2.010  IEEE         CF1[V @FreqGHz]GHL1-30DMRF1[D50]
  2.011  ML2530       NoSensorModuleRequired; Bandwidth = 10 Hz
  2.011  ML2530       Freq = [V I_Freq] Hz; FreqSpan = 10 kHz
  2.011  ML2530       +Level = -30 dBm; Range = -25 dBm; AverageCount = 3
  2.012  MATH         CalLevel2 = -30 + (-30 - MEM)

  2.013  IEEE         CF1[V @FreqGHz]GHL1-75DMRF1[D50]
  2.014  ML2530       NoSensorModuleRequired; Bandwidth = 10 Hz
  2.014  ML2530       Freq = [V I_Freq] Hz; FreqSpan = 10 kHz
  2.014  ML2530       +Level = -75 dBm; Range = -70 dBm; AverageCount = 3
  2.015  MATH         CalLevel3 = -75 + (-75 - MEM)

  2.016  HEAD         -2 Sensor Module to Range 1
  2.017  IEEE         CF1[V @FreqGHz]GHL1[V CalLevel1]DMRF1[D50]
  2.018  ML2530       Bandwidth = 10 Hz
  2.018  ML2530       Freq = [V I_Freq] Hz; FreqSpan = 10 kHz
  2.018  ML2530       Calibrate; SensorModuleToRange1; Level = 0 dBm

  2.019  HEAD         -2 Range 1 to Range 2
  2.020  IEEE         CF1[V @FreqGHz]GHL1[V CalLevel2]DMRF1[D50]
  2.021  ML2530       Bandwidth = 10 Hz
  2.021  ML2530       Freq = [V I_Freq] Hz; FreqSpan = 10 kHz
  2.021  ML2530       Calibrate; Range1ToRange2; Level = -30 dBm

  2.022  HEAD         -2 Range 2 to Range 3
  2.023  IEEE         CF1[V @FreqGHz]GHL1[V CalLevel3]DMRF1[D50]
  2.024  ML2530       Bandwidth = 10 Hz
  2.024  ML2530       Freq = [V I_Freq] Hz; FreqSpan = 10 kHz
  2.024  ML2530       Calibrate; Range2ToRange3; Level = -75 dBm

  2.025  HEAD         -2
  2.026  HEAD         RANGE CALIBRATION COMPLETE
  2.027  ML2530       Calibrate; RangeCalEnd

  2.028  CALL         Sub Reset /LO

  2.029  HEAD
  2.030  END

  2.031  EVAL   Increment step number

# =====  Sub MG369XB ML2530A Relative Range Cal  ============================

  3.001  LABEL        RELATIVE_RANGE_CAL
  3.002  HEAD         RANGE CALIBRATION @ [V Freq]

  3.003  HEAD         -2 LO Setup
  3.004  MATH         @LO_Freq = @LoFreqMHz & "MHz"; @LO_Ampl = "+6 dBm"
  3.005  CALL         Sub Apply /LO

  3.006  HEAD         -2 Determine Cal Offsets
  3.007  IEEE         CF1[V @FreqGHz]GHL1-30DMRF1[D50]
  3.008  ML2530       NoSensorModuleRequired; Bandwidth = 10 Hz
  3.008  ML2530       Freq = [V I_Freq] Hz; FreqSpan = 10 kHz
  3.008  ML2530       +Level = -30 dBm; Range = -25 dBm; AverageCount = 3
  3.009  MATH         CalLevel2 = -30 + (-30 - MEM)

  3.010  IEEE         CF1[V @FreqGHz]GHL1-75DMRF1[D50]
  3.011  ML2530       NoSensorModuleRequired; Bandwidth = 10 Hz
  3.011  ML2530       Freq = [V I_Freq] Hz; FreqSpan = 10 kHz
  3.011  ML2530       +Level = -75 dBm; Range = -70 dBm; AverageCount = 3
  3.012  MATH         CalLevel3 = -75 + (-75 - MEM)

  3.013  HEAD         -2 Range 1 to Range 2
  3.014  IEEE         CF1[V @FreqGHz]GHL1[V CalLevel2]DMRF1[D50]
  3.015  ML2530       NoSensorModuleRequired; Bandwidth = 10 Hz
  3.015  ML2530       Freq = [V I_Freq] Hz; FreqSpan = 10 kHz
  3.015  ML2530       Calibrate; Range1ToRange2; Level = -30 dBm

  3.016  HEAD         -2 Range 2 to Range 3
  3.017  IEEE         CF1[V @FreqGHz]GHL1[V CalLevel3]DMRF1[D50]
  3.018  ML2530       NoSensorModuleRequired; Bandwidth = 10 Hz
  3.018  ML2530       Freq = [V I_Freq] Hz; FreqSpan = 10 kHz
  3.018  ML2530       Calibrate; Range2ToRange3; Level = -75 dBm

  3.019  HEAD         -2
  3.020  HEAD         RANGE CALIBRATION COMPLETE
  3.021  ML2530       Calibrate; NoSensorModuleRequired; RangeCalEnd

  3.022  CALL         Sub Reset /LO

  3.023  HEAD
  3.024  END


